package androidx.appcompat.view.menu;

import a.a.a;
import a.a.f;
import a.a.g;
import a.a.h;
import a.a.o.i.j;
import a.a.o.i.p;
import a.a.p.u0;
import a.f.k.l;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;

public class ListMenuItemView extends LinearLayout implements p.a, AbsListView.SelectionBoundsAdjuster {

    /* renamed from: b  reason: collision with root package name */
    public j f768b;

    /* renamed from: c  reason: collision with root package name */
    public ImageView f769c;
    public RadioButton d;
    public TextView e;
    public CheckBox f;
    public TextView g;
    public ImageView h;
    public ImageView i;
    public LinearLayout j;
    public Drawable k;
    public int l;
    public Context m;
    public boolean n;
    public Drawable o;
    public boolean p;
    public LayoutInflater q;
    public boolean r;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, a.listMenuViewStyle);
    }

    public ListMenuItemView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet);
        u0 a2 = u0.a(getContext(), attributeSet, a.a.j.MenuView, i2, 0);
        this.k = a2.b(a.a.j.MenuView_android_itemBackground);
        this.l = a2.f(a.a.j.MenuView_android_itemTextAppearance, -1);
        this.n = a2.a(a.a.j.MenuView_preserveIconSpacing, false);
        this.m = context;
        this.o = a2.b(a.a.j.MenuView_subMenuArrow);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, new int[]{16843049}, a.dropDownListViewStyle, 0);
        this.p = obtainStyledAttributes.hasValue(0);
        a2.f243b.recycle();
        obtainStyledAttributes.recycle();
    }

    private LayoutInflater getInflater() {
        if (this.q == null) {
            this.q = LayoutInflater.from(getContext());
        }
        return this.q;
    }

    private void setSubMenuArrowVisible(boolean z) {
        ImageView imageView = this.h;
        if (imageView != null) {
            imageView.setVisibility(z ? 0 : 8);
        }
    }

    @Override // a.a.o.i.p.a
    public void a(j jVar, int i2) {
        CharSequence charSequence;
        String str;
        int i3;
        this.f768b = jVar;
        int i4 = 0;
        setVisibility(jVar.isVisible() ? 0 : 8);
        if (c()) {
            charSequence = jVar.getTitleCondensed();
        } else {
            charSequence = jVar.e;
        }
        setTitle(charSequence);
        setCheckable(jVar.isCheckable());
        boolean f2 = jVar.f();
        jVar.b();
        if (!f2 || !this.f768b.f()) {
            i4 = 8;
        }
        if (i4 == 0) {
            TextView textView = this.g;
            j jVar2 = this.f768b;
            char b2 = jVar2.b();
            if (b2 == 0) {
                str = "";
            } else {
                Resources resources = jVar2.n.f130a.getResources();
                StringBuilder sb = new StringBuilder();
                if (ViewConfiguration.get(jVar2.n.f130a).hasPermanentMenuKey()) {
                    sb.append(resources.getString(h.abc_prepend_shortcut_label));
                }
                int i5 = jVar2.n.f() ? jVar2.k : jVar2.i;
                j.a(sb, i5, 65536, resources.getString(h.abc_menu_meta_shortcut_label));
                j.a(sb, i5, 4096, resources.getString(h.abc_menu_ctrl_shortcut_label));
                j.a(sb, i5, 2, resources.getString(h.abc_menu_alt_shortcut_label));
                j.a(sb, i5, 1, resources.getString(h.abc_menu_shift_shortcut_label));
                j.a(sb, i5, 4, resources.getString(h.abc_menu_sym_shortcut_label));
                j.a(sb, i5, 8, resources.getString(h.abc_menu_function_shortcut_label));
                if (b2 == '\b') {
                    i3 = h.abc_menu_delete_shortcut_label;
                } else if (b2 == '\n') {
                    i3 = h.abc_menu_enter_shortcut_label;
                } else if (b2 != ' ') {
                    sb.append(b2);
                    str = sb.toString();
                } else {
                    i3 = h.abc_menu_space_shortcut_label;
                }
                sb.append(resources.getString(i3));
                str = sb.toString();
            }
            textView.setText(str);
        }
        if (this.g.getVisibility() != i4) {
            this.g.setVisibility(i4);
        }
        setIcon(jVar.getIcon());
        setEnabled(jVar.isEnabled());
        setSubMenuArrowVisible(jVar.hasSubMenu());
        setContentDescription(jVar.q);
    }

    public void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.i;
        if (imageView != null && imageView.getVisibility() == 0) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.i.getLayoutParams();
            rect.top = this.i.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin + rect.top;
        }
    }

    public final void b() {
        RadioButton radioButton = (RadioButton) getInflater().inflate(g.abc_list_menu_item_radio, (ViewGroup) this, false);
        this.d = radioButton;
        LinearLayout linearLayout = this.j;
        if (linearLayout != null) {
            linearLayout.addView(radioButton, -1);
        } else {
            addView(radioButton, -1);
        }
    }

    @Override // a.a.o.i.p.a
    public boolean c() {
        return false;
    }

    @Override // a.a.o.i.p.a
    public j getItemData() {
        return this.f768b;
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        l.a(this, this.k);
        TextView textView = (TextView) findViewById(f.title);
        this.e = textView;
        int i2 = this.l;
        if (i2 != -1) {
            textView.setTextAppearance(this.m, i2);
        }
        this.g = (TextView) findViewById(f.shortcut);
        ImageView imageView = (ImageView) findViewById(f.submenuarrow);
        this.h = imageView;
        if (imageView != null) {
            imageView.setImageDrawable(this.o);
        }
        this.i = (ImageView) findViewById(f.group_divider);
        this.j = (LinearLayout) findViewById(f.content);
    }

    public void onMeasure(int i2, int i3) {
        if (this.f769c != null && this.n) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.f769c.getLayoutParams();
            int i4 = layoutParams.height;
            if (i4 > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = i4;
            }
        }
        super.onMeasure(i2, i3);
    }

    public void setCheckable(boolean z) {
        CompoundButton compoundButton;
        CompoundButton compoundButton2;
        if (z || this.d != null || this.f != null) {
            if (this.f768b.e()) {
                if (this.d == null) {
                    b();
                }
                compoundButton2 = this.d;
                compoundButton = this.f;
            } else {
                if (this.f == null) {
                    a();
                }
                compoundButton2 = this.f;
                compoundButton = this.d;
            }
            if (z) {
                compoundButton2.setChecked(this.f768b.isChecked());
                if (compoundButton2.getVisibility() != 0) {
                    compoundButton2.setVisibility(0);
                }
                if (compoundButton != null && compoundButton.getVisibility() != 8) {
                    compoundButton.setVisibility(8);
                    return;
                }
                return;
            }
            CheckBox checkBox = this.f;
            if (checkBox != null) {
                checkBox.setVisibility(8);
            }
            RadioButton radioButton = this.d;
            if (radioButton != null) {
                radioButton.setVisibility(8);
            }
        }
    }

    public void setChecked(boolean z) {
        CompoundButton compoundButton;
        if (this.f768b.e()) {
            if (this.d == null) {
                b();
            }
            compoundButton = this.d;
        } else {
            if (this.f == null) {
                a();
            }
            compoundButton = this.f;
        }
        compoundButton.setChecked(z);
    }

    public void setForceShowIcon(boolean z) {
        this.r = z;
        this.n = z;
    }

    public void setGroupDividerEnabled(boolean z) {
        ImageView imageView = this.i;
        if (imageView != null) {
            imageView.setVisibility((this.p || !z) ? 8 : 0);
        }
    }

    public void setIcon(Drawable drawable) {
        boolean z = this.f768b.n.s || this.r;
        if (!z && !this.n) {
            return;
        }
        if (this.f769c != null || drawable != null || this.n) {
            if (this.f769c == null) {
                ImageView imageView = (ImageView) getInflater().inflate(g.abc_list_menu_item_icon, (ViewGroup) this, false);
                this.f769c = imageView;
                LinearLayout linearLayout = this.j;
                if (linearLayout != null) {
                    linearLayout.addView(imageView, 0);
                } else {
                    addView(imageView, 0);
                }
            }
            if (drawable != null || this.n) {
                ImageView imageView2 = this.f769c;
                if (!z) {
                    drawable = null;
                }
                imageView2.setImageDrawable(drawable);
                if (this.f769c.getVisibility() != 0) {
                    this.f769c.setVisibility(0);
                    return;
                }
                return;
            }
            this.f769c.setVisibility(8);
        }
    }

    public void setTitle(CharSequence charSequence) {
        TextView textView;
        int i2;
        if (charSequence != null) {
            this.e.setText(charSequence);
            if (this.e.getVisibility() != 0) {
                textView = this.e;
                i2 = 0;
            } else {
                return;
            }
        } else {
            i2 = 8;
            if (this.e.getVisibility() != 8) {
                textView = this.e;
            } else {
                return;
            }
        }
        textView.setVisibility(i2);
    }

    public final void a() {
        CheckBox checkBox = (CheckBox) getInflater().inflate(g.abc_list_menu_item_checkbox, (ViewGroup) this, false);
        this.f = checkBox;
        LinearLayout linearLayout = this.j;
        if (linearLayout != null) {
            linearLayout.addView(checkBox, -1);
        } else {
            addView(checkBox, -1);
        }
    }
}
