package androidx.cardview.widget;

import a.c.f.b;
import a.c.f.d;
import a.c.f.e;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;

public class CardView extends FrameLayout {
    public static final int[] i = {16842801};
    public static final e j;

    /* renamed from: b */
    public boolean f815b;

    /* renamed from: c */
    public boolean f816c;
    public int d;
    public int e;
    public final Rect f;
    public final Rect g;
    public final d h;

    public class a implements d {

        /* renamed from: a */
        public Drawable f817a;

        public a() {
            CardView.this = r1;
        }

        public void a(int i, int i2, int i3, int i4) {
            CardView.this.g.set(i, i2, i3, i4);
            CardView cardView = CardView.this;
            Rect rect = cardView.f;
            CardView.super.setPadding(i + rect.left, i2 + rect.top, i3 + rect.right, i4 + rect.bottom);
        }

        public boolean a() {
            return CardView.this.getPreventCornerOverlap();
        }
    }

    static {
        e bVar = Build.VERSION.SDK_INT >= 21 ? new b() : new a.c.f.a();
        j = bVar;
        bVar.a();
    }

    public CardView(Context context) {
        this(context, null);
    }

    public CardView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, a.c.a.cardViewStyle);
    }

    public CardView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        Resources resources;
        int i3;
        ColorStateList valueOf;
        this.f = new Rect();
        this.g = new Rect();
        this.h = new a();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.c.e.CardView, i2, a.c.d.CardView);
        if (obtainStyledAttributes.hasValue(a.c.e.CardView_cardBackgroundColor)) {
            valueOf = obtainStyledAttributes.getColorStateList(a.c.e.CardView_cardBackgroundColor);
        } else {
            TypedArray obtainStyledAttributes2 = getContext().obtainStyledAttributes(i);
            int color = obtainStyledAttributes2.getColor(0, 0);
            obtainStyledAttributes2.recycle();
            float[] fArr = new float[3];
            Color.colorToHSV(color, fArr);
            if (fArr[2] > 0.5f) {
                resources = getResources();
                i3 = a.c.b.cardview_light_background;
            } else {
                resources = getResources();
                i3 = a.c.b.cardview_dark_background;
            }
            valueOf = ColorStateList.valueOf(resources.getColor(i3));
        }
        float dimension = obtainStyledAttributes.getDimension(a.c.e.CardView_cardCornerRadius, 0.0f);
        float dimension2 = obtainStyledAttributes.getDimension(a.c.e.CardView_cardElevation, 0.0f);
        float dimension3 = obtainStyledAttributes.getDimension(a.c.e.CardView_cardMaxElevation, 0.0f);
        this.f815b = obtainStyledAttributes.getBoolean(a.c.e.CardView_cardUseCompatPadding, false);
        this.f816c = obtainStyledAttributes.getBoolean(a.c.e.CardView_cardPreventCornerOverlap, true);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(a.c.e.CardView_contentPadding, 0);
        this.f.left = obtainStyledAttributes.getDimensionPixelSize(a.c.e.CardView_contentPaddingLeft, dimensionPixelSize);
        this.f.top = obtainStyledAttributes.getDimensionPixelSize(a.c.e.CardView_contentPaddingTop, dimensionPixelSize);
        this.f.right = obtainStyledAttributes.getDimensionPixelSize(a.c.e.CardView_contentPaddingRight, dimensionPixelSize);
        this.f.bottom = obtainStyledAttributes.getDimensionPixelSize(a.c.e.CardView_contentPaddingBottom, dimensionPixelSize);
        float f2 = dimension2 > dimension3 ? dimension2 : dimension3;
        this.d = obtainStyledAttributes.getDimensionPixelSize(a.c.e.CardView_android_minWidth, 0);
        this.e = obtainStyledAttributes.getDimensionPixelSize(a.c.e.CardView_android_minHeight, 0);
        obtainStyledAttributes.recycle();
        j.a(this.h, context, valueOf, dimension, dimension2, f2);
    }

    public ColorStateList getCardBackgroundColor() {
        return j.h(this.h);
    }

    public float getCardElevation() {
        return j.e(this.h);
    }

    public int getContentPaddingBottom() {
        return this.f.bottom;
    }

    public int getContentPaddingLeft() {
        return this.f.left;
    }

    public int getContentPaddingRight() {
        return this.f.right;
    }

    public int getContentPaddingTop() {
        return this.f.top;
    }

    public float getMaxCardElevation() {
        return j.a(this.h);
    }

    public boolean getPreventCornerOverlap() {
        return this.f816c;
    }

    public float getRadius() {
        return j.b(this.h);
    }

    public boolean getUseCompatPadding() {
        return this.f815b;
    }

    public void onMeasure(int i2, int i3) {
        if (!(j instanceof b)) {
            int mode = View.MeasureSpec.getMode(i2);
            if (mode == Integer.MIN_VALUE || mode == 1073741824) {
                i2 = View.MeasureSpec.makeMeasureSpec(Math.max((int) Math.ceil((double) j.f(this.h)), View.MeasureSpec.getSize(i2)), mode);
            }
            int mode2 = View.MeasureSpec.getMode(i3);
            if (mode2 == Integer.MIN_VALUE || mode2 == 1073741824) {
                i3 = View.MeasureSpec.makeMeasureSpec(Math.max((int) Math.ceil((double) j.d(this.h)), View.MeasureSpec.getSize(i3)), mode2);
            }
        }
        super.onMeasure(i2, i3);
    }

    public void setCardBackgroundColor(int i2) {
        j.a(this.h, ColorStateList.valueOf(i2));
    }

    public void setCardBackgroundColor(ColorStateList colorStateList) {
        j.a(this.h, colorStateList);
    }

    public void setCardElevation(float f2) {
        j.a(this.h, f2);
    }

    public void setMaxCardElevation(float f2) {
        j.b(this.h, f2);
    }

    public void setMinimumHeight(int i2) {
        this.e = i2;
        super.setMinimumHeight(i2);
    }

    public void setMinimumWidth(int i2) {
        this.d = i2;
        super.setMinimumWidth(i2);
    }

    public void setPadding(int i2, int i3, int i4, int i5) {
    }

    public void setPaddingRelative(int i2, int i3, int i4, int i5) {
    }

    public void setPreventCornerOverlap(boolean z) {
        if (z != this.f816c) {
            this.f816c = z;
            j.c(this.h);
        }
    }

    public void setRadius(float f2) {
        j.c(this.h, f2);
    }

    public void setUseCompatPadding(boolean z) {
        if (this.f815b != z) {
            this.f815b = z;
            j.g(this.h);
        }
    }
}
