package androidx.preference;

import a.a.k.u;
import a.o.m;
import a.o.s;
import android.content.Context;
import android.content.SharedPreferences;
import android.content.res.TypedArray;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import androidx.preference.Preference;
import androidx.preference.internal.AbstractMultiSelectListPreference;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

public class MultiSelectListPreference extends AbstractMultiSelectListPreference {
    public CharSequence[] S;
    public CharSequence[] T;
    public Set<String> U = new HashSet();

    public static class a extends Preference.b {
        public static final Parcelable.Creator<a> CREATOR = new C0032a();

        /* renamed from: b  reason: collision with root package name */
        public Set<String> f846b;

        /* renamed from: androidx.preference.MultiSelectListPreference$a$a  reason: collision with other inner class name */
        public static class C0032a implements Parcelable.Creator<a> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public a createFromParcel(Parcel parcel) {
                return new a(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public a[] newArray(int i) {
                return new a[i];
            }
        }

        public a(Parcel parcel) {
            super(parcel);
            int readInt = parcel.readInt();
            this.f846b = new HashSet();
            String[] strArr = new String[readInt];
            parcel.readStringArray(strArr);
            Collections.addAll(this.f846b, strArr);
        }

        public a(Parcelable parcelable) {
            super(parcelable);
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f846b.size());
            Set<String> set = this.f846b;
            parcel.writeStringArray((String[]) set.toArray(new String[set.size()]));
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MultiSelectListPreference(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, r0, 0);
        int a2 = u.a(context, m.dialogPreferenceStyle, 16842897);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, s.MultiSelectListPreference, a2, 0);
        this.S = u.b(obtainStyledAttributes, s.MultiSelectListPreference_entries, s.MultiSelectListPreference_android_entries);
        int i = s.MultiSelectListPreference_entryValues;
        int i2 = s.MultiSelectListPreference_android_entryValues;
        CharSequence[] textArray = obtainStyledAttributes.getTextArray(i);
        this.T = textArray == null ? obtainStyledAttributes.getTextArray(i2) : textArray;
        obtainStyledAttributes.recycle();
    }

    @Override // androidx.preference.Preference
    public Object a(TypedArray typedArray, int i) {
        CharSequence[] textArray = typedArray.getTextArray(i);
        HashSet hashSet = new HashSet();
        for (CharSequence charSequence : textArray) {
            hashSet.add(charSequence.toString());
        }
        return hashSet;
    }

    @Override // androidx.preference.Preference
    public void a(Parcelable parcelable) {
        if (parcelable == null || !parcelable.getClass().equals(a.class)) {
            super.a(parcelable);
            return;
        }
        a aVar = (a) parcelable;
        super.a(aVar.getSuperState());
        b(aVar.f846b);
    }

    @Override // androidx.preference.Preference
    public void b(Object obj) {
        b(a((Set) obj));
    }

    @Override // androidx.preference.internal.AbstractMultiSelectListPreference
    public void b(Set<String> set) {
        this.U.clear();
        this.U.addAll(set);
        if (r() && !set.equals(a((Set<String>) null))) {
            g();
            SharedPreferences.Editor a2 = this.f848c.a();
            a2.putStringSet(this.n, set);
            if (!this.f848c.e) {
                a2.apply();
            }
        }
    }

    @Override // androidx.preference.Preference
    public Parcelable p() {
        Parcelable p = super.p();
        if (this.t) {
            return p;
        }
        a aVar = new a(p);
        aVar.f846b = this.U;
        return aVar;
    }
}
