package androidx.preference;

import a.a.k.u;
import a.d.h;
import a.o.j;
import a.o.s;
import android.content.Context;
import android.content.res.TypedArray;
import android.os.Bundle;
import android.os.Handler;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import androidx.preference.Preference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public abstract class PreferenceGroup extends Preference {
    public List<Preference> M;
    public boolean N;
    public int O;
    public boolean P;
    public int Q;
    public a R;
    public final h<String, Long> S;

    public interface a {
    }

    public static class b extends Preference.b {
        public static final Parcelable.Creator<b> CREATOR = new a();

        /* renamed from: b  reason: collision with root package name */
        public int f850b;

        public static class a implements Parcelable.Creator<b> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public b createFromParcel(Parcel parcel) {
                return new b(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public b[] newArray(int i) {
                return new b[i];
            }
        }

        public b(Parcel parcel) {
            super(parcel);
            this.f850b = parcel.readInt();
        }

        public b(Parcelable parcelable, int i) {
            super(parcelable);
            this.f850b = i;
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f850b);
        }
    }

    public PreferenceGroup(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0, 0);
    }

    @Override // androidx.preference.Preference
    public void a(Bundle bundle) {
        super.a(bundle);
        int s = s();
        for (int i = 0; i < s; i++) {
            c(i).a(bundle);
        }
    }

    @Override // androidx.preference.Preference
    public void a(Parcelable parcelable) {
        if (parcelable == null || !parcelable.getClass().equals(b.class)) {
            super.a(parcelable);
            return;
        }
        b bVar = (b) parcelable;
        this.Q = bVar.f850b;
        super.a(bVar.getSuperState());
    }

    /* JADX INFO: finally extract failed */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00bc  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00c3  */
    public boolean a(Preference preference) {
        long j;
        Preference.c cVar;
        if (this.M.contains(preference)) {
            return true;
        }
        if (preference.n != null) {
            PreferenceGroup preferenceGroup = this;
            while (true) {
                PreferenceGroup preferenceGroup2 = preferenceGroup.J;
                if (preferenceGroup2 == null) {
                    break;
                }
                preferenceGroup = preferenceGroup2;
            }
            String str = preference.n;
            if (preferenceGroup.b((CharSequence) str) != null) {
                Log.e("PreferenceGroup", "Found duplicated key: \"" + str + "\". This can cause unintended behaviour," + " please use unique keys for every preference.");
            }
        }
        if (preference.h == Integer.MAX_VALUE) {
            if (this.N) {
                int i = this.O;
                this.O = i + 1;
                preference.b(i);
            }
            if (preference instanceof PreferenceGroup) {
                ((PreferenceGroup) preference).N = this.N;
            }
        }
        int binarySearch = Collections.binarySearch(this.M, preference);
        if (binarySearch < 0) {
            binarySearch = (binarySearch * -1) - 1;
        }
        boolean q = q();
        if (preference.x == q) {
            preference.x = !q;
            preference.b(preference.q());
            preference.l();
        }
        synchronized (this) {
            this.M.add(binarySearch, preference);
        }
        j jVar = this.f848c;
        String str2 = preference.n;
        if (str2 != null) {
            if (this.S.a(str2) >= 0) {
                j = this.S.get(str2).longValue();
                this.S.remove(str2);
                preference.d = j;
                preference.e = true;
                preference.a(jVar);
                preference.e = false;
                preference.J = this;
                if (this.P) {
                    preference.m();
                }
                cVar = this.H;
                if (cVar != null) {
                    a.o.h hVar = (a.o.h) cVar;
                    hVar.h.removeCallbacks(hVar.j);
                    hVar.h.post(hVar.j);
                }
                return true;
            }
        }
        j = jVar.b();
        preference.d = j;
        preference.e = true;
        try {
            preference.a(jVar);
            preference.e = false;
            preference.J = this;
            if (this.P) {
            }
            cVar = this.H;
            if (cVar != null) {
            }
            return true;
        } catch (Throwable th) {
            preference.e = false;
            throw th;
        }
    }

    public Preference b(CharSequence charSequence) {
        Preference b2;
        if (TextUtils.equals(this.n, charSequence)) {
            return this;
        }
        int s = s();
        for (int i = 0; i < s; i++) {
            Preference c2 = c(i);
            String str = c2.n;
            if (str != null && str.equals(charSequence)) {
                return c2;
            }
            if ((c2 instanceof PreferenceGroup) && (b2 = ((PreferenceGroup) c2).b(charSequence)) != null) {
                return b2;
            }
        }
        return null;
    }

    @Override // androidx.preference.Preference
    public void b(Bundle bundle) {
        super.b(bundle);
        int s = s();
        for (int i = 0; i < s; i++) {
            c(i).b(bundle);
        }
    }

    public Preference c(int i) {
        return this.M.get(i);
    }

    public void d(int i) {
        if (i != Integer.MAX_VALUE && !j()) {
            Log.e("PreferenceGroup", getClass().getSimpleName() + " should have a key defined if it contains an expandable preference");
        }
        this.Q = i;
    }

    @Override // androidx.preference.Preference
    public void m() {
        super.m();
        this.P = true;
        int s = s();
        for (int i = 0; i < s; i++) {
            c(i).m();
        }
    }

    @Override // androidx.preference.Preference
    public void o() {
        Preference a2;
        List<Preference> list;
        String str = this.u;
        if (!(str == null || (a2 = a(str)) == null || (list = a2.I) == null)) {
            list.remove(this);
        }
        this.P = false;
        int s = s();
        for (int i = 0; i < s; i++) {
            c(i).o();
        }
    }

    @Override // androidx.preference.Preference
    public Parcelable p() {
        return new b(super.p(), this.Q);
    }

    public int s() {
        return this.M.size();
    }

    public boolean t() {
        return true;
    }

    public void u() {
        synchronized (this) {
            Collections.sort(this.M);
        }
    }

    public PreferenceGroup(Context context, AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i, i2);
        this.N = true;
        this.O = 0;
        this.P = false;
        this.Q = Integer.MAX_VALUE;
        this.R = null;
        this.S = new h<>();
        new Handler();
        this.M = new ArrayList();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, s.PreferenceGroup, i, i2);
        int i3 = s.PreferenceGroup_orderingFromXml;
        this.N = u.a(obtainStyledAttributes, i3, i3, true);
        if (obtainStyledAttributes.hasValue(s.PreferenceGroup_initialExpandedChildrenCount)) {
            int i4 = s.PreferenceGroup_initialExpandedChildrenCount;
            d(obtainStyledAttributes.getInt(i4, obtainStyledAttributes.getInt(i4, Integer.MAX_VALUE)));
        }
        obtainStyledAttributes.recycle();
    }

    @Override // androidx.preference.Preference
    public void b(boolean z) {
        super.b(z);
        int s = s();
        for (int i = 0; i < s; i++) {
            Preference c2 = c(i);
            if (c2.x == z) {
                c2.x = !z;
                c2.b(c2.q());
                c2.l();
            }
        }
    }
}
