package androidx.preference;

import a.o.l;
import a.o.m;
import a.o.o;
import a.o.s;
import android.content.Context;
import android.content.SharedPreferences;
import android.content.res.TypedArray;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.widget.SeekBar;
import android.widget.TextView;
import androidx.preference.Preference;

public class SeekBarPreference extends Preference {
    public int M;
    public int N;
    public int O;
    public int P;
    public boolean Q;
    public SeekBar R;
    public TextView S;
    public boolean T;
    public boolean U;
    public SeekBar.OnSeekBarChangeListener V = new a();
    public View.OnKeyListener W = new b();

    public class a implements SeekBar.OnSeekBarChangeListener {
        public a() {
        }

        public void onProgressChanged(SeekBar seekBar, int i, boolean z) {
            if (z) {
                SeekBarPreference seekBarPreference = SeekBarPreference.this;
                if (!seekBarPreference.Q) {
                    seekBarPreference.a(seekBar);
                }
            }
        }

        public void onStartTrackingTouch(SeekBar seekBar) {
            SeekBarPreference.this.Q = true;
        }

        public void onStopTrackingTouch(SeekBar seekBar) {
            SeekBarPreference.this.Q = false;
            int progress = seekBar.getProgress();
            SeekBarPreference seekBarPreference = SeekBarPreference.this;
            if (progress + seekBarPreference.N != seekBarPreference.M) {
                seekBarPreference.a(seekBar);
            }
        }
    }

    public class b implements View.OnKeyListener {
        public b() {
        }

        public boolean onKey(View view, int i, KeyEvent keyEvent) {
            if (keyEvent.getAction() != 0) {
                return false;
            }
            if ((!SeekBarPreference.this.T && (i == 21 || i == 22)) || i == 23 || i == 66) {
                return false;
            }
            SeekBar seekBar = SeekBarPreference.this.R;
            if (seekBar != null) {
                return seekBar.onKeyDown(i, keyEvent);
            }
            Log.e("SeekBarPreference", "SeekBar view is null and hence cannot be adjusted.");
            return false;
        }
    }

    public static class c extends Preference.b {
        public static final Parcelable.Creator<c> CREATOR = new a();

        /* renamed from: b  reason: collision with root package name */
        public int f853b;

        /* renamed from: c  reason: collision with root package name */
        public int f854c;
        public int d;

        public static class a implements Parcelable.Creator<c> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public c createFromParcel(Parcel parcel) {
                return new c(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public c[] newArray(int i) {
                return new c[i];
            }
        }

        public c(Parcel parcel) {
            super(parcel);
            this.f853b = parcel.readInt();
            this.f854c = parcel.readInt();
            this.d = parcel.readInt();
        }

        public c(Parcelable parcelable) {
            super(parcelable);
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f853b);
            parcel.writeInt(this.f854c);
            parcel.writeInt(this.d);
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public SeekBarPreference(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, r0, 0);
        int i = m.seekBarPreferenceStyle;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, s.SeekBarPreference, i, 0);
        this.N = obtainStyledAttributes.getInt(s.SeekBarPreference_min, 0);
        int i2 = obtainStyledAttributes.getInt(s.SeekBarPreference_android_max, 100);
        int i3 = this.N;
        i2 = i2 < i3 ? i3 : i2;
        if (i2 != this.O) {
            this.O = i2;
            l();
        }
        int i4 = obtainStyledAttributes.getInt(s.SeekBarPreference_seekBarIncrement, 0);
        if (i4 != this.P) {
            this.P = Math.min(this.O - this.N, Math.abs(i4));
            l();
        }
        this.T = obtainStyledAttributes.getBoolean(s.SeekBarPreference_adjustable, true);
        this.U = obtainStyledAttributes.getBoolean(s.SeekBarPreference_showSeekBarValue, true);
        obtainStyledAttributes.recycle();
    }

    @Override // androidx.preference.Preference
    public Object a(TypedArray typedArray, int i) {
        return Integer.valueOf(typedArray.getInt(i, 0));
    }

    public final void a(int i, boolean z) {
        int i2 = this.N;
        if (i < i2) {
            i = i2;
        }
        int i3 = this.O;
        if (i > i3) {
            i = i3;
        }
        if (i != this.M) {
            this.M = i;
            TextView textView = this.S;
            if (textView != null) {
                textView.setText(String.valueOf(i));
            }
            if (r() && i != a(i ^ -1)) {
                g();
                SharedPreferences.Editor a2 = this.f848c.a();
                a2.putInt(this.n, i);
                if (!this.f848c.e) {
                    a2.apply();
                }
            }
            if (z) {
                l();
            }
        }
    }

    @Override // androidx.preference.Preference
    public void a(l lVar) {
        super.a(lVar);
        lVar.f911a.setOnKeyListener(this.W);
        this.R = (SeekBar) lVar.c(o.seekbar);
        TextView textView = (TextView) lVar.c(o.seekbar_value);
        this.S = textView;
        if (this.U) {
            textView.setVisibility(0);
        } else {
            textView.setVisibility(8);
            this.S = null;
        }
        SeekBar seekBar = this.R;
        if (seekBar == null) {
            Log.e("SeekBarPreference", "SeekBar view is null in onBindViewHolder.");
            return;
        }
        seekBar.setOnSeekBarChangeListener(this.V);
        this.R.setMax(this.O - this.N);
        int i = this.P;
        if (i != 0) {
            this.R.setKeyProgressIncrement(i);
        } else {
            this.P = this.R.getKeyProgressIncrement();
        }
        this.R.setProgress(this.M - this.N);
        TextView textView2 = this.S;
        if (textView2 != null) {
            textView2.setText(String.valueOf(this.M));
        }
        this.R.setEnabled(k());
    }

    @Override // androidx.preference.Preference
    public void a(Parcelable parcelable) {
        if (!parcelable.getClass().equals(c.class)) {
            super.a(parcelable);
            return;
        }
        c cVar = (c) parcelable;
        super.a(cVar.getSuperState());
        this.M = cVar.f853b;
        this.N = cVar.f854c;
        this.O = cVar.d;
        l();
    }

    public void a(SeekBar seekBar) {
        int progress = seekBar.getProgress() + this.N;
        if (progress == this.M) {
            return;
        }
        if (a(Integer.valueOf(progress))) {
            a(progress, false);
        } else {
            seekBar.setProgress(this.M - this.N);
        }
    }

    @Override // androidx.preference.Preference
    public void b(Object obj) {
        if (obj == null) {
            obj = 0;
        }
        a(a(((Integer) obj).intValue()), true);
    }

    @Override // androidx.preference.Preference
    public Parcelable p() {
        Parcelable p = super.p();
        if (this.t) {
            return p;
        }
        c cVar = new c(p);
        cVar.f853b = this.M;
        cVar.f854c = this.N;
        cVar.d = this.O;
        return cVar;
    }
}
