package com.androlua;

import android.os.AsyncTask;
import android.util.Log;
import com.luajava.LuaException;
import com.luajava.LuaObject;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.UnsupportedEncodingException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.Charset;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
/* loaded from: classes.dex */
public class Http {
    private static HashMap<String, String> sHeader;

    public static void setHeader(HashMap<String, String> header) {
        sHeader = header;
    }

    public static HashMap<String, String> getHeader() {
        return sHeader;
    }

    public static HttpTask get(String url, LuaObject callback) {
        HttpTask task = new HttpTask(url, "GET", null, null, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask get(String url, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = new HttpTask(url, "GET", null, null, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask get(String url, String cookie, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = (cookie.matches("[\\w\\-\\.:]+") && Charset.isSupported(cookie)) ? new HttpTask(url, "GET", null, cookie, header, callback) : new HttpTask(url, "GET", cookie, null, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask get(String url, String cookie, LuaObject callback) {
        HttpTask task = (cookie.matches("[\\w\\-\\.:]+") && Charset.isSupported(cookie)) ? new HttpTask(url, "GET", null, cookie, null, callback) : new HttpTask(url, "GET", cookie, null, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask get(String url, String cookie, String charset, LuaObject callback) {
        HttpTask task = new HttpTask(url, "GET", cookie, charset, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask get(String url, String cookie, String charset, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = new HttpTask(url, "GET", cookie, charset, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask download(String url, String data, LuaObject callback) {
        HttpTask task = new HttpTask(url, "GET", null, null, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask download(String url, String data, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = new HttpTask(url, "GET", null, null, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask download(String url, String data, String cookie, LuaObject callback) {
        HttpTask task = new HttpTask(url, "GET", cookie, null, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask download(String url, String data, String cookie, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = new HttpTask(url, "GET", cookie, null, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask delete(String url, LuaObject callback) {
        HttpTask task = new HttpTask(url, "DELETE", null, null, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask delete(String url, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = new HttpTask(url, "DELETE", null, null, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask delete(String url, String cookie, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = (cookie.matches("[\\w\\-\\.:]+") && Charset.isSupported(cookie)) ? new HttpTask(url, "DELETE", null, cookie, header, callback) : new HttpTask(url, "DELETE", cookie, null, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask delete(String url, String cookie, LuaObject callback) {
        HttpTask task = (cookie.matches("[\\w\\-\\.:]+") && Charset.isSupported(cookie)) ? new HttpTask(url, "DELETE", null, cookie, null, callback) : new HttpTask(url, "DELETE", cookie, null, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask delete(String url, String cookie, String charset, LuaObject callback) {
        HttpTask task = new HttpTask(url, "DELETE", cookie, charset, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask delete(String url, String cookie, String charset, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = new HttpTask(url, "DELETE", cookie, charset, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[0]);
        return task;
    }

    public static HttpTask post(String url, String data, LuaObject callback) {
        HttpTask task = new HttpTask(url, "POST", null, null, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask post(String url, String data, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = new HttpTask(url, "POST", null, null, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask post(String url, String data, String cookie, LuaObject callback) {
        HttpTask task = (cookie.matches("[\\w\\-\\.:]+") && Charset.isSupported(cookie)) ? new HttpTask(url, "POST", null, cookie, null, callback) : new HttpTask(url, "POST", cookie, null, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask post(String url, String data, String cookie, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = (cookie.matches("[\\w\\-\\.:]+") && Charset.isSupported(cookie)) ? new HttpTask(url, "POST", null, cookie, header, callback) : new HttpTask(url, "POST", cookie, null, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask post(String url, String data, String cookie, String charset, LuaObject callback) {
        HttpTask task = new HttpTask(url, "POST", cookie, charset, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask post(String url, String data, String cookie, String charset, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = new HttpTask(url, "POST", cookie, charset, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask put(String url, String data, LuaObject callback) {
        HttpTask task = new HttpTask(url, "PUT", null, null, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask put(String url, String data, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = new HttpTask(url, "PUT", null, null, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask put(String url, String data, String cookie, LuaObject callback) {
        HttpTask task = (cookie.matches("[\\w\\-\\.:]+") && Charset.isSupported(cookie)) ? new HttpTask(url, "PUT", null, cookie, null, callback) : new HttpTask(url, "PUT", cookie, null, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask put(String url, String data, String cookie, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = (cookie.matches("[\\w\\-\\.:]+") && Charset.isSupported(cookie)) ? new HttpTask(url, "PUT", null, cookie, header, callback) : new HttpTask(url, "PUT", cookie, null, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask put(String url, String data, String cookie, String charset, LuaObject callback) {
        HttpTask task = new HttpTask(url, "PUT", cookie, charset, null, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    public static HttpTask put(String url, String data, String cookie, String charset, HashMap<String, String> header, LuaObject callback) {
        HttpTask task = new HttpTask(url, "PUT", cookie, charset, header, callback);
        task.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, data);
        return task;
    }

    /* loaded from: classes.dex */
    public static class HttpTask extends AsyncTask {
        private LuaObject mCallback;
        private String mCharset;
        private String mCookie;
        private byte[] mData;
        private HashMap<String, String> mHeader;
        private String mMethod;
        private String mUrl;

        public HttpTask(String url, String method, String cookie, String charset, HashMap<String, String> header, LuaObject callback) {
            this.mUrl = url;
            this.mMethod = method;
            this.mCookie = cookie;
            this.mCharset = charset;
            this.mHeader = header;
            this.mCallback = callback;
        }

        @Override // android.os.AsyncTask
        protected Object doInBackground(Object[] p1) {
            try {
                URL url = new URL(this.mUrl);
                HttpURLConnection conn = (HttpURLConnection) url.openConnection();
                conn.setConnectTimeout(6000);
                HttpURLConnection.setFollowRedirects(true);
                conn.setDoInput(true);
                conn.setRequestProperty("Accept-Language", "zh-cn,zh;q=0.5");
                if (this.mCharset == null) {
                    this.mCharset = "UTF-8";
                }
                conn.setRequestProperty("Accept-Charset", this.mCharset);
                if (this.mCookie != null) {
                    conn.setRequestProperty("Cookie", this.mCookie);
                }
                if (Http.sHeader != null) {
                    Set<Map.Entry<String, String>> entries = Http.sHeader.entrySet();
                    for (Map.Entry<String, String> entry : entries) {
                        conn.setRequestProperty(entry.getKey(), entry.getValue());
                    }
                }
                if (this.mHeader != null) {
                    Set<Map.Entry<String, String>> entries2 = this.mHeader.entrySet();
                    for (Map.Entry<String, String> entry2 : entries2) {
                        conn.setRequestProperty(entry2.getKey(), entry2.getValue());
                    }
                }
                if (this.mMethod != null) {
                    conn.setRequestMethod(this.mMethod);
                }
                if (!"GET".equals(this.mMethod) && p1.length != 0) {
                    this.mData = formatData(p1);
                    conn.setDoOutput(true);
                    conn.setRequestProperty("Content-length", "" + this.mData.length);
                }
                conn.connect();
                if ("GET".equals(this.mMethod) && p1.length != 0) {
                    File f = new File((String) p1[0]);
                    if (!f.getParentFile().exists()) {
                        f.getParentFile().mkdirs();
                    }
                    FileOutputStream os = new FileOutputStream(f);
                    LuaUtil.copyFile(conn.getInputStream(), os);
                    return new Object[]{Integer.valueOf(conn.getResponseCode()), conn.getHeaderFields()};
                }
                if (p1.length != 0) {
                    OutputStream os2 = conn.getOutputStream();
                    os2.write(this.mData);
                }
                int code = conn.getResponseCode();
                Map<String, List<String>> hs = conn.getHeaderFields();
                if (code < 200 || code >= 400) {
                    return new Object[]{Integer.valueOf(code), conn.getResponseMessage(), null, hs};
                }
                conn.getContentEncoding();
                List<String> cs = hs.get("Set-Cookie");
                StringBuffer cok = new StringBuffer();
                if (cs != null) {
                    for (String s : cs) {
                        cok.append(s + ";");
                    }
                }
                InputStream is = conn.getInputStream();
                BufferedReader reader = new BufferedReader(new InputStreamReader(is, this.mCharset));
                StringBuffer buf = new StringBuffer();
                while (true) {
                    String line = reader.readLine();
                    if (line == null || isCancelled()) {
                        break;
                    }
                    buf.append(line + '\n');
                }
                is.close();
                return new Object[]{Integer.valueOf(code), new String(buf), cok.toString(), hs};
            } catch (Exception e) {
                e.printStackTrace();
                return new Object[]{-1, e.getMessage()};
            }
        }

        private byte[] formatData(Object[] p1) throws UnsupportedEncodingException, IOException {
            if (p1.length != 1) {
                return null;
            }
            Object obj = p1[0];
            if (obj instanceof String) {
                byte[] bs = ((String) obj).getBytes(this.mCharset);
                return bs;
            } else if (obj.getClass().getComponentType() == Byte.TYPE) {
                byte[] bs2 = (byte[]) obj;
                return bs2;
            } else if (obj instanceof File) {
                byte[] bs3 = LuaUtil.readAll(new FileInputStream((File) obj));
                return bs3;
            } else if (!(obj instanceof Map)) {
                return null;
            } else {
                byte[] bs4 = formatData((Map) obj);
                return bs4;
            }
        }

        private byte[] formatData(Map<String, String> obj) throws UnsupportedEncodingException {
            StringBuilder buf = new StringBuilder();
            Set<Map.Entry<String, String>> entries = obj.entrySet();
            for (Map.Entry<String, String> entry : entries) {
                buf.append(entry.getKey()).append("=").append(entry.getValue()).append("&");
            }
            return buf.toString().getBytes(this.mCharset);
        }

        public boolean cancel() {
            return super.cancel(true);
        }

        @Override // android.os.AsyncTask
        protected void onPostExecute(Object result) {
            super.onPostExecute(result);
            if (!isCancelled()) {
                try {
                    this.mCallback.call((Object[]) result);
                } catch (LuaException e) {
                    try {
                        this.mCallback.getLuaState().getLuaObject("print").call(e.getMessage());
                    } catch (LuaException e2) {
                    }
                    Log.d("lua", e.getMessage());
                }
            }
        }
    }
}
