package com.androlua;

import android.accessibilityservice.AccessibilityService;
import android.util.Log;
import android.view.accessibility.AccessibilityEvent;
import com.luajava.LuaException;
import com.luajava.LuaFunction;
import com.luajava.LuaTable;
import java.util.Map;
/* loaded from: classes.dex */
public class LuaAccessibilityService extends AccessibilityService {
    private static LuaAccessibilityService mLuaAccessibilityService;
    public static LuaFunction onAccessibilityEvent;
    private LuaApplication mApplication;
    private Map mData;

    @Override // android.app.Service
    public void onCreate() {
        LuaTable as;
        Log.d("lua", "onCreate");
        super.onCreate();
        mLuaAccessibilityService = this;
        this.mApplication = (LuaApplication) getApplication();
        this.mData = this.mApplication.getGlobalData();
        if (this.mData.containsKey("LuaAccessibilityService") && (as = (LuaTable) this.mData.get("LuaAccessibilityService")) != null) {
            try {
                ((LuaFunction) as.get("onCreate")).call(this);
            } catch (LuaException e) {
                LuaFunction func = (LuaFunction) as.get("onError");
                if (func == null) {
                    Log.d("onCreate", e.getMessage());
                    return;
                }
                try {
                    func.call(e);
                } catch (LuaException e2) {
                    Log.d("onCreate", e.getMessage());
                }
            }
        }
    }

    @Override // android.accessibilityservice.AccessibilityService
    protected void onServiceConnected() {
        LuaTable as;
        Log.d("lua", "onServiceConnected");
        super.onServiceConnected();
        if (this.mData.containsKey("LuaAccessibilityService") && (as = (LuaTable) this.mData.get("LuaAccessibilityService")) != null) {
            try {
                ((LuaFunction) as.get("onServiceConnected")).call(this);
            } catch (LuaException e) {
                LuaFunction func = (LuaFunction) as.get("onError");
                if (func == null) {
                    Log.d("onServiceConnected", e.getMessage());
                    return;
                }
                try {
                    func.call(e);
                } catch (LuaException e2) {
                    Log.d("onServiceConnected", e.getMessage());
                }
            }
        }
    }

    public static LuaAccessibilityService getInstance() {
        return mLuaAccessibilityService;
    }

    @Override // android.accessibilityservice.AccessibilityService
    public void onAccessibilityEvent(AccessibilityEvent p1) {
        LuaTable as;
        Log.d("lua", p1.toString());
        if (onAccessibilityEvent != null) {
            try {
                onAccessibilityEvent.call(p1);
            } catch (LuaException e) {
                Log.d("lua", "onAccessibilityEvent: " + e.toString());
            }
        } else if (this.mData.containsKey("LuaAccessibilityService") && (as = (LuaTable) this.mData.get("LuaAccessibilityService")) != null) {
            try {
                ((LuaFunction) as.get("onAccessibilityEvent")).call(p1);
            } catch (LuaException e2) {
                LuaFunction func = (LuaFunction) as.get("onError");
                if (func == null) {
                    Log.d("onAccessibilityEvent", e2.getMessage());
                    return;
                }
                try {
                    func.call(e2);
                } catch (LuaException e3) {
                    Log.d("onAccessibilityEvent", e2.getMessage());
                }
            }
        }
    }

    @Override // android.accessibilityservice.AccessibilityService
    public void onInterrupt() {
    }
}
