package com.androlua;

import android.R;
import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.content.res.AssetManager;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.StrictMode;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.ContextMenu;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.ArrayListAdapter;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.MyToast;
import android.widget.ScrollView;
import android.widget.TextView;
import android.widget.Toast;
import com.androlua.LuaBroadcastReceiver;
import com.androlua.LuaService;
import com.androlua.util.SharedPreUtil;
import com.luajava.JavaFunction;
import com.luajava.LuaException;
import com.luajava.LuaFunction;
import com.luajava.LuaObject;
import com.luajava.LuaState;
import com.luajava.LuaStateFactory;
import com.luajava.LuaTable;
import dalvik.system.DexClassLoader;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;
/* loaded from: classes.dex */
public class LuaActivity extends Activity implements LuaBroadcastReceiver.OnReceiveListerer, LuaContext {
    private static final String DATA = "data";
    private static final String NAME = "name";
    private LuaState L;
    private ArrayListAdapter<String> adapter;
    public Handler handler;
    private boolean isSetViewed;
    private boolean isUpdata;
    private long lastShow;
    private LinearLayout layout;
    private String libDir;
    private ListView list;
    private String localDir;
    public String luaCpath;
    public String luaDir;
    private String luaExtDir;
    private String luaLpath;
    private String luaMdDir;
    private String luaPath;
    private int mHeight;
    private LuaDexLoader mLuaDexLoader;
    private LuaObject mOnKeyDown;
    private LuaObject mOnKeyLongPress;
    private LuaObject mOnKeyUp;
    private LuaObject mOnTouchEvent;
    private LuaBroadcastReceiver mReceiver;
    private Resources mResources;
    private Resources.Theme mTheme;
    private int mWidth;
    private String odexDir;
    private Menu optionsMenu;
    public TextView status;
    private Toast toast;
    private static ArrayList<String> prjCache = new ArrayList<>();
    public static String ACTION_DOWNLOAD_SUCCESS = "downloader_ok";
    public static String ACTION_DOWNLOAD_PROGRESS = "downloader_progress";
    public static String ACTION_DOWNLOAD_FAIL = "downloader_fail";
    private StringBuilder toastbuilder = new StringBuilder();
    private Boolean isCreate = false;
    private boolean mDebug = true;
    private ArrayList<LuaGcable> gclist = new ArrayList<>();
    private String pageName = "main";

    private static byte[] readAll(InputStream input) throws IOException {
        ByteArrayOutputStream output = new ByteArrayOutputStream(4096);
        byte[] buffer = new byte[4096];
        while (true) {
            int n = input.read(buffer);
            if (-1 != n) {
                output.write(buffer, 0, n);
            } else {
                byte[] ret = output.toByteArray();
                output.close();
                return ret;
            }
        }
    }

    @Override // com.androlua.LuaContext
    public ArrayList<ClassLoader> getClassLoaders() {
        return this.mLuaDexLoader.getClassLoaders();
    }

    public HashMap<String, String> getLibrarys() {
        return this.mLuaDexLoader.getLibrarys();
    }

    @Override // android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        setTheme(getUserTheme());
        StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
        StrictMode.setThreadPolicy(policy);
        super.onCreate(null);
        Resources superRes = super.getResources();
        this.mResources = new LuaResources(getAssets(), superRes.getDisplayMetrics(), superRes.getConfiguration());
        WindowManager wm = (WindowManager) getSystemService("window");
        DisplayMetrics outMetrics = new DisplayMetrics();
        wm.getDefaultDisplay().getMetrics(outMetrics);
        this.mWidth = outMetrics.widthPixels;
        this.mHeight = outMetrics.heightPixels;
        this.layout = new LinearLayout(this);
        ScrollView scroll = new ScrollView(this);
        scroll.setFillViewport(true);
        this.status = new TextView(this);
        this.status.setTextColor(-16777216);
        scroll.addView(this.status, new ViewGroup.LayoutParams(-1, -2));
        this.status.setText("");
        this.status.setTextIsSelectable(true);
        this.list = new ListView(this);
        this.list.setFastScrollEnabled(true);
        this.adapter = new ArrayListAdapter<String>(this, 17367043) { // from class: com.androlua.LuaActivity.1
            @Override // android.widget.ArrayListAdapter, android.widget.Adapter
            public View getView(int position, View convertView, ViewGroup parent) {
                TextView view = (TextView) super.getView(position, convertView, parent);
                if (convertView == null) {
                    view.setTextIsSelectable(true);
                }
                return view;
            }
        };
        this.list.setAdapter((ListAdapter) this.adapter);
        this.layout.addView(this.list, new ViewGroup.LayoutParams(-1, -2));
        LuaApplication app = (LuaApplication) getApplication();
        this.localDir = app.getLocalDir();
        this.odexDir = app.getOdexDir();
        this.libDir = app.getLibDir();
        this.luaMdDir = app.getMdDir();
        this.luaCpath = app.getLuaCpath();
        this.luaDir = this.localDir;
        this.luaLpath = app.getLuaLpath();
        this.luaExtDir = app.getLuaExtDir();
        this.handler = new MainHandler();
        try {
            this.status.setText("");
            this.adapter.clear();
            Intent intent = getIntent();
            Object[] arg = (Object[]) intent.getSerializableExtra("arg");
            if (arg == null) {
                arg = new Object[0];
            }
            this.luaPath = getLuaPath();
            this.pageName = new File(this.luaPath).getName();
            int idx = this.pageName.lastIndexOf(".");
            if (idx > 0) {
                this.pageName = this.pageName.substring(0, idx);
            }
            this.luaLpath = this.luaDir + "/?.lua;" + this.luaDir + "/lua/?.lua;" + this.luaDir + "/?/init.lua;" + this.luaLpath;
            initLua();
            this.mLuaDexLoader = new LuaDexLoader(this);
            this.mLuaDexLoader.loadLibs();
            doFile(this.luaPath, arg);
            this.isCreate = true;
            runFunc(this.pageName, arg);
            runFunc("onCreate", savedInstanceState);
            if (!this.isSetViewed) {
                TypedArray array = getTheme().obtainStyledAttributes(new int[]{16842801, 16842806, 16843599});
                int backgroundColor = array.getColor(0, 16711935);
                int textColor = array.getColor(1, 16711935);
                array.recycle();
                this.status.setTextColor(textColor);
                this.layout.setBackgroundColor(backgroundColor);
                setContentView(this.layout);
            }
            this.mOnKeyDown = this.L.getLuaObject("onKeyDown");
            if (this.mOnKeyDown.isNil()) {
                this.mOnKeyDown = null;
            }
            this.mOnKeyUp = this.L.getLuaObject("onKeyUp");
            if (this.mOnKeyUp.isNil()) {
                this.mOnKeyUp = null;
            }
            this.mOnKeyLongPress = this.L.getLuaObject("onKeyLongPress");
            if (this.mOnKeyLongPress.isNil()) {
                this.mOnKeyLongPress = null;
            }
            this.mOnTouchEvent = this.L.getLuaObject("onTouchEvent");
            if (this.mOnTouchEvent.isNil()) {
                this.mOnTouchEvent = null;
            }
            LuaObject onAccessibilityEvent = this.L.getLuaObject("onAccessibilityEvent");
            if (onAccessibilityEvent.isFunction()) {
                LuaAccessibilityService.onAccessibilityEvent = onAccessibilityEvent.getFunction();
            }
        } catch (Exception e) {
            sendMsg(e.getMessage());
            setContentView(this.layout);
        }
    }

    private void addProjectRes(String srcDir) {
        String initPath = srcDir + "/init.lua";
        LuaFunction<LuaTable> FUN = (LuaFunction) runFunc("loadfile", initPath, null, null);
        try {
            FUN.call(new Object[0]);
        } catch (LuaException e) {
            e.printStackTrace();
        }
        print(null);
    }

    public void buildProject(String srcDir, String proDir) {
        addProjectRes(srcDir);
    }

    @Override // com.androlua.LuaContext
    public void regGc(LuaGcable obj) {
        this.gclist.add(obj);
    }

    @Override // com.androlua.LuaContext
    public String getLuaPath() {
        Intent intent = getIntent();
        Uri uri = intent.getData();
        String path = null;
        if (uri != null) {
            path = uri.getPath();
        } else {
            Bundle bundle = getIntent().getExtras();
            if (bundle != null && (path = bundle.getString("luaPath")) == null) {
                return null;
            }
        }
        this.luaPath = path;
        new File(path);
        this.luaDir = new File(this.luaPath).getParent();
        if (new File(this.luaDir + "/init.lua").exists()) {
            if (!prjCache.contains(this.luaDir)) {
                prjCache.add(this.luaDir);
            }
        } else {
            Iterator<String> it = prjCache.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                String p = it.next();
                if (this.luaDir.indexOf(p) == 0) {
                    this.luaDir = p;
                    break;
                }
            }
        }
        return path;
    }

    @Override // com.androlua.LuaContext
    public String getLuaPath(String path) {
        return new File(getLuaDir(), path).getAbsolutePath();
    }

    @Override // com.androlua.LuaContext
    public String getLuaPath(String dir, String name) {
        return new File(getLuaDir(dir), name).getAbsolutePath();
    }

    @Override // com.androlua.LuaContext
    public String getLuaExtPath(String path) {
        return new File(getLuaExtDir(), path).getAbsolutePath();
    }

    @Override // com.androlua.LuaContext
    public String getLuaExtPath(String dir, String name) {
        return new File(getLuaExtDir(dir), name).getAbsolutePath();
    }

    @Override // com.androlua.LuaContext
    public String getLuaLpath() {
        return this.luaLpath;
    }

    @Override // com.androlua.LuaContext
    public String getLuaCpath() {
        return this.luaCpath;
    }

    @Override // com.androlua.LuaContext
    public Context getContext() {
        return this;
    }

    @Override // com.androlua.LuaContext
    public LuaState getLuaState() {
        return this.L;
    }

    public View getDecorView() {
        return getWindow().getDecorView();
    }

    public String getLocalDir() {
        return this.localDir;
    }

    @Override // com.androlua.LuaContext
    public String getLuaExtDir() {
        return this.luaExtDir;
    }

    @Override // com.androlua.LuaContext
    public String getLuaExtDir(String name) {
        File dir = new File(this.luaExtDir + "/" + name);
        if (dir.exists() || dir.mkdirs()) {
            return dir.getAbsolutePath();
        }
        return null;
    }

    @Override // com.androlua.LuaContext
    public String getLuaDir() {
        return this.luaDir;
    }

    @Override // com.androlua.LuaContext
    public String getLuaDir(String name) {
        File dir = new File(this.luaDir + "/" + name);
        if (dir.exists() || dir.mkdirs()) {
            return dir.getAbsolutePath();
        }
        return null;
    }

    public void unZipAssets(String assetName, String outputDirectory) throws IOException {
        File file = new File(outputDirectory);
        if (!file.exists()) {
            file.mkdirs();
        }
        try {
            InputStream inputStream = getAssets().open(assetName);
            ZipInputStream zipInputStream = new ZipInputStream(inputStream);
            byte[] buffer = new byte[32768];
            for (ZipEntry zipEntry = zipInputStream.getNextEntry(); zipEntry != null; zipEntry = zipInputStream.getNextEntry()) {
                if (zipEntry.isDirectory()) {
                    new File(outputDirectory + File.separator + zipEntry.getName()).mkdir();
                } else {
                    File file2 = new File(outputDirectory + File.separator + zipEntry.getName());
                    file2.createNewFile();
                    FileOutputStream fileOutputStream = new FileOutputStream(file2);
                    while (true) {
                        int count = zipInputStream.read(buffer);
                        if (count <= 0) {
                            break;
                        }
                        fileOutputStream.write(buffer, 0, count);
                    }
                    fileOutputStream.close();
                }
            }
            zipInputStream.close();
        } catch (IOException e) {
        }
    }

    public DexClassLoader loadDex(String path) throws LuaException {
        return this.mLuaDexLoader.loadDex(path);
    }

    public void loadResources(String path) {
        this.mLuaDexLoader.loadResources(path);
    }

    @Override // android.view.ContextThemeWrapper, android.content.ContextWrapper, android.content.Context
    public AssetManager getAssets() {
        return (this.mLuaDexLoader == null || this.mLuaDexLoader.getAssets() == null) ? super.getAssets() : this.mLuaDexLoader.getAssets();
    }

    @Override // android.view.ContextThemeWrapper, android.content.ContextWrapper, android.content.Context
    public Resources getResources() {
        if (this.mLuaDexLoader != null && this.mLuaDexLoader.getResources() != null) {
            return this.mLuaDexLoader.getResources();
        }
        if (this.mResources != null) {
            return this.mResources;
        }
        return super.getResources();
    }

    public Object loadLib(String name) throws LuaException {
        int i = name.indexOf(".");
        String fn = name;
        if (i > 0) {
            fn = name.substring(0, i);
        }
        File f = new File(this.libDir + "/lib" + fn + ".so");
        if (!f.exists()) {
            File f2 = new File(this.luaDir + "/lib" + fn + ".so");
            if (!f2.exists()) {
                throw new LuaException("can not find lib " + name);
            }
            LuaUtil.copyFile(this.luaDir + "/lib" + fn + ".so", this.libDir + "/lib" + fn + ".so");
        }
        LuaObject require = this.L.getLuaObject("require");
        return require.call(name);
    }

    public Intent registerReceiver(LuaBroadcastReceiver receiver, IntentFilter filter) {
        return super.registerReceiver((BroadcastReceiver) receiver, filter);
    }

    public Intent registerReceiver(LuaBroadcastReceiver.OnReceiveListerer ltr, IntentFilter filter) {
        LuaBroadcastReceiver receiver = new LuaBroadcastReceiver(ltr);
        return super.registerReceiver((BroadcastReceiver) receiver, filter);
    }

    public Intent registerReceiver(IntentFilter filter) {
        if (this.mReceiver != null) {
            unregisterReceiver(this.mReceiver);
        }
        this.mReceiver = new LuaBroadcastReceiver(this);
        return super.registerReceiver((BroadcastReceiver) this.mReceiver, filter);
    }

    @Override // com.androlua.LuaBroadcastReceiver.OnReceiveListerer
    public void onReceive(Context context, Intent intent) {
        runFunc("onReceive", context, intent);
    }

    @Override // android.app.Activity, android.view.Window.Callback
    public void onContentChanged() {
        super.onContentChanged();
        this.isSetViewed = true;
    }

    @Override // android.app.Activity
    protected void onStart() {
        super.onStart();
        runFunc("onStart", new Object[0]);
    }

    @Override // android.app.Activity
    protected void onResume() {
        super.onResume();
        runFunc("onResume", new Object[0]);
    }

    @Override // android.app.Activity
    protected void onPause() {
        super.onPause();
        runFunc("onPause", new Object[0]);
    }

    @Override // android.app.Activity
    protected void onStop() {
        super.onStop();
        runFunc("onStop", new Object[0]);
    }

    @Override // android.app.Activity
    protected void onDestroy() {
        if (this.mReceiver != null) {
            unregisterReceiver(this.mReceiver);
        }
        Iterator<LuaGcable> it = this.gclist.iterator();
        while (it.hasNext()) {
            LuaGcable obj = it.next();
            obj.gc();
        }
        runFunc("onDestroy", new Object[0]);
        super.onDestroy();
        System.gc();
        this.L.gc(2, 1);
    }

    @Override // android.app.Activity
    protected void onActivityResult(int i, int i2, Intent intent) {
        String stringExtra;
        if (intent != null && (stringExtra = intent.getStringExtra(NAME)) != null) {
            Object[] objArr = (Object[]) intent.getSerializableExtra(DATA);
            if (objArr == null) {
                runFunc("onResult", stringExtra);
            } else {
                Object[] objArr2 = new Object[objArr.length + 1];
                objArr2[0] = stringExtra;
                for (int i3 = 0; i3 < objArr.length; i3++) {
                    objArr2[i3 + 1] = objArr[i3];
                }
                Object runFunc = runFunc("onResult", objArr2);
                if (runFunc != null && runFunc.getClass() == Boolean.class && ((Boolean) runFunc).booleanValue()) {
                    return;
                }
            }
        }
        runFunc("onActivityResult", Integer.valueOf(i), Integer.valueOf(i2), intent);
        super.onActivityResult(i, i2, intent);
    }

    @Override // android.app.Activity, android.view.KeyEvent.Callback
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (this.mOnKeyDown != null) {
            try {
                Object ret = this.mOnKeyDown.call(Integer.valueOf(keyCode), event);
                if (ret != null && ret.getClass() == Boolean.class) {
                    if (((Boolean) ret).booleanValue()) {
                        return true;
                    }
                }
            } catch (LuaException e) {
                sendError("onKeyDown", e);
            }
        }
        return super.onKeyDown(keyCode, event);
    }

    @Override // android.app.Activity, android.view.KeyEvent.Callback
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        if (this.mOnKeyUp != null) {
            try {
                Object ret = this.mOnKeyUp.call(Integer.valueOf(keyCode), event);
                if (ret != null && ret.getClass() == Boolean.class) {
                    if (((Boolean) ret).booleanValue()) {
                        return true;
                    }
                }
            } catch (LuaException e) {
                sendError("onKeyUp", e);
            }
        }
        return super.onKeyUp(keyCode, event);
    }

    @Override // android.app.Activity, android.view.KeyEvent.Callback
    public boolean onKeyLongPress(int keyCode, KeyEvent event) {
        if (this.mOnKeyLongPress != null) {
            try {
                Object ret = this.mOnKeyLongPress.call(Integer.valueOf(keyCode), event);
                if (ret != null && ret.getClass() == Boolean.class) {
                    if (((Boolean) ret).booleanValue()) {
                        return true;
                    }
                }
            } catch (LuaException e) {
                sendError("onKeyLongPress", e);
            }
        }
        return super.onKeyLongPress(keyCode, event);
    }

    @Override // android.app.Activity
    public boolean onTouchEvent(MotionEvent event) {
        if (this.mOnTouchEvent != null) {
            try {
                Object ret = this.mOnTouchEvent.call(event);
                if (ret != null && ret.getClass() == Boolean.class) {
                    if (((Boolean) ret).booleanValue()) {
                        return true;
                    }
                }
            } catch (LuaException e) {
                sendError("onTouchEvent", e);
            }
        }
        return super.onTouchEvent(event);
    }

    @Override // android.app.Activity
    public boolean onCreateOptionsMenu(Menu menu) {
        this.optionsMenu = menu;
        runFunc("onCreateOptionsMenu", menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override // android.app.Activity
    public boolean onOptionsItemSelected(MenuItem item) {
        Object ret = null;
        if (!item.hasSubMenu()) {
            ret = runFunc("onOptionsItemSelected", item);
        }
        if (ret != null && ret.getClass() == Boolean.class && ((Boolean) ret).booleanValue()) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }

    public Menu getOptionsMenu() {
        return this.optionsMenu;
    }

    @Override // android.app.Activity, android.view.Window.Callback
    public boolean onMenuItemSelected(int featureId, MenuItem item) {
        if (!item.hasSubMenu()) {
            runFunc("onMenuItemSelected", Integer.valueOf(featureId), item);
        }
        return super.onMenuItemSelected(featureId, item);
    }

    @Override // android.app.Activity, android.view.View.OnCreateContextMenuListener
    public void onCreateContextMenu(ContextMenu menu, View v, ContextMenu.ContextMenuInfo menuInfo) {
        runFunc("onCreateContextMenu", menu, v, menuInfo);
        super.onCreateContextMenu(menu, v, menuInfo);
    }

    @Override // android.app.Activity
    public boolean onContextItemSelected(MenuItem item) {
        runFunc("onContextItemSelected", item);
        return super.onContextItemSelected(item);
    }

    @Override // android.app.Activity, android.content.ComponentCallbacks
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        WindowManager wm = (WindowManager) getSystemService("window");
        DisplayMetrics outMetrics = new DisplayMetrics();
        wm.getDefaultDisplay().getMetrics(outMetrics);
        this.mWidth = outMetrics.widthPixels;
        this.mHeight = outMetrics.heightPixels;
        runFunc("onConfigurationChanged", newConfig);
    }

    @Override // com.androlua.LuaContext
    public int getWidth() {
        return this.mWidth;
    }

    @Override // com.androlua.LuaContext
    public int getHeight() {
        return this.mHeight;
    }

    @Override // com.androlua.LuaContext
    public Map getGlobalData() {
        return ((LuaApplication) getApplication()).getGlobalData();
    }

    @Override // com.androlua.LuaContext
    public Object getSharedData(String key) {
        return LuaApplication.getInstance().getSharedData(key);
    }

    @Override // com.androlua.LuaContext
    public Object getSharedData(String key, Object def) {
        return LuaApplication.getInstance().getSharedData(key, def);
    }

    @Override // com.androlua.LuaContext
    public boolean setSharedData(String key, Object value) {
        return LuaApplication.getInstance().setSharedData(key, value);
    }

    public boolean bindService(int flag) {
        ServiceConnection conn = new ServiceConnection() { // from class: com.androlua.LuaActivity.2
            @Override // android.content.ServiceConnection
            public void onServiceConnected(ComponentName comp, IBinder binder) {
                LuaActivity.this.runFunc("onServiceConnected", comp, ((LuaService.LuaBinder) binder).getService());
            }

            @Override // android.content.ServiceConnection
            public void onServiceDisconnected(ComponentName comp) {
                LuaActivity.this.runFunc("onServiceDisconnected", comp);
            }
        };
        return bindService(conn, flag);
    }

    public boolean bindService(ServiceConnection conn, int flag) {
        Intent service = new Intent(this, LuaService.class);
        service.putExtra("luaDir", this.luaDir);
        service.putExtra("luaPath", this.luaPath);
        return super.bindService(service, conn, flag);
    }

    public ComponentName startService() {
        return startService(null, null);
    }

    public ComponentName startService(Object[] arg) {
        return startService(null, arg);
    }

    public ComponentName startService(String path) {
        return startService(path, null);
    }

    /* JADX WARN: Multi-variable type inference failed */
    public ComponentName startService(String path, Object[] arg) {
        Intent intent = new Intent(this, LuaService.class);
        intent.putExtra("luaDir", this.luaDir);
        intent.putExtra("luaPath", this.luaPath);
        if (path != null) {
            if (path.charAt(0) != '/') {
                intent.setData(Uri.parse("file://" + this.luaDir + "/" + path + ".lua"));
            } else {
                intent.setData(Uri.parse("file://" + path));
            }
        }
        if (arg != 0) {
            intent.putExtra("arg", (Serializable) arg);
        }
        return super.startService(intent);
    }

    public void newActivity(String path) throws FileNotFoundException {
        newActivity(1, path, (Object[]) null);
    }

    public void newActivity(String path, Object[] arg) throws FileNotFoundException {
        newActivity(1, path, arg);
    }

    public void newActivity(int req, String path) throws FileNotFoundException {
        newActivity(req, path, (Object[]) null);
    }

    /* JADX WARN: Multi-variable type inference failed */
    public void newActivity(int req, String path, Object[] arg) throws FileNotFoundException {
        Intent intent = new Intent(this, LuaActivity.class);
        intent.putExtra(NAME, path);
        if (path.charAt(0) != '/') {
            path = this.luaDir + "/" + path;
        }
        File f = new File(path);
        if (f.isDirectory() && new File(path + "/main.lua").exists()) {
            path = path + "/main.lua";
        } else if ((f.isDirectory() || !f.exists()) && !path.endsWith(".lua")) {
            path = path + ".lua";
        }
        if (!new File(path).exists()) {
            throw new FileNotFoundException(path);
        }
        intent.setData(Uri.parse("file://" + path));
        if (arg != 0) {
            intent.putExtra("arg", (Serializable) arg);
        }
        startActivityForResult(intent, req);
    }

    public void newActivity(String path, int in, int out) throws FileNotFoundException {
        newActivity(1, path, in, out, null);
    }

    public void newActivity(String path, int in, int out, Object[] arg) throws FileNotFoundException {
        newActivity(1, path, in, out, arg);
    }

    public void newActivity(int req, String path, int in, int out) throws FileNotFoundException {
        newActivity(req, path, in, out, null);
    }

    /* JADX WARN: Multi-variable type inference failed */
    public void newActivity(int req, String path, int in, int out, Object[] arg) throws FileNotFoundException {
        Intent intent = new Intent(this, LuaActivity.class);
        intent.putExtra(NAME, path);
        if (path.charAt(0) != '/') {
            path = this.luaDir + "/" + path;
        }
        File f = new File(path);
        if (f.isDirectory() && new File(path + "/main.lua").exists()) {
            path = path + "/main.lua";
        } else if ((f.isDirectory() || !f.exists()) && !path.endsWith(".lua")) {
            path = path + ".lua";
        }
        if (!new File(path).exists()) {
            throw new FileNotFoundException(path);
        }
        intent.setData(Uri.parse("file://" + path));
        if (arg != 0) {
            intent.putExtra("arg", (Serializable) arg);
        }
        startActivityForResult(intent, req);
        overridePendingTransition(in, out);
    }

    public LuaAsyncTask newTask(LuaObject func) throws LuaException {
        return newTask(func, null, null);
    }

    public LuaAsyncTask newTask(LuaObject func, LuaObject callback) throws LuaException {
        return newTask(func, null, callback);
    }

    public LuaAsyncTask newTask(LuaObject func, LuaObject update, LuaObject callback) throws LuaException {
        return new LuaAsyncTask(this, func, update, callback);
    }

    public LuaThread newThread(LuaObject func) throws LuaException {
        return newThread(func, null);
    }

    public LuaThread newThread(LuaObject func, Object[] arg) throws LuaException {
        LuaThread thread = new LuaThread((LuaContext) this, func, true, arg);
        return thread;
    }

    public LuaTimer newTimer(LuaObject func) throws LuaException {
        return newTimer(func, null);
    }

    public LuaTimer newTimer(LuaObject func, Object[] arg) throws LuaException {
        return new LuaTimer(this, func, arg);
    }

    public Bitmap loadBitmap(String path) throws IOException {
        return LuaBitmap.getBitmap(this, path);
    }

    public void setContentView(String layout) throws LuaException {
        setContentView(layout, (LuaObject) null);
    }

    public void setContentView(String layout, LuaObject env) throws LuaException {
        LuaObject loadlayout = this.L.getLuaObject("loadlayout");
        View view = (View) loadlayout.call(layout, env);
        super.setContentView(view);
    }

    public void setContentView(LuaObject layout) throws LuaException {
        setContentView(layout, (LuaObject) null);
    }

    public void setContentView(LuaObject layout, LuaObject env) throws LuaException {
        View view;
        LuaObject loadlayout = this.L.getLuaObject("loadlayout");
        if (layout.isString()) {
            view = (View) loadlayout.call(layout.getString(), env);
        } else if (!layout.isTable()) {
            throw new LuaException("layout may be table or string.");
        } else {
            view = (View) loadlayout.call(layout, env);
        }
        super.setContentView(view);
    }

    /* JADX WARN: Multi-variable type inference failed */
    public void result(Object[] data) {
        Intent res = new Intent();
        res.putExtra(NAME, getIntent().getStringExtra(NAME));
        res.putExtra(DATA, (Serializable) data);
        setResult(0, res);
        finish();
    }

    private void initLua() throws Exception {
        this.L = LuaStateFactory.newLuaState();
        this.L.openLibs();
        this.L.pushJavaObject(this);
        this.L.setGlobal("activity");
        this.L.getGlobal("activity");
        this.L.setGlobal("this");
        this.L.pushContext(this);
        this.L.getGlobal("luajava");
        this.L.pushString(this.luaExtDir);
        this.L.setField(-2, "luaextdir");
        this.L.pushString(this.luaDir);
        this.L.setField(-2, "luadir");
        this.L.pushString(this.luaPath);
        this.L.setField(-2, "luapath");
        this.L.pop(1);
        initENV();
        JavaFunction print = new LuaPrint(this, this.L);
        print.register("print");
        this.L.getGlobal("package");
        this.L.pushString(this.luaLpath);
        this.L.setField(-2, "path");
        this.L.pushString(this.luaCpath);
        this.L.setField(-2, "cpath");
        this.L.pop(1);
        JavaFunction set = new JavaFunction(this.L) { // from class: com.androlua.LuaActivity.3
            @Override // com.luajava.JavaFunction
            public int execute() throws LuaException {
                LuaThread thread = (LuaThread) this.L.toJavaObject(2);
                thread.set(this.L.toString(3), this.L.toJavaObject(4));
                return 0;
            }
        };
        set.register("set");
        JavaFunction call = new JavaFunction(this.L) { // from class: com.androlua.LuaActivity.4
            @Override // com.luajava.JavaFunction
            public int execute() throws LuaException {
                LuaThread thread = (LuaThread) this.L.toJavaObject(2);
                int top = this.L.getTop();
                if (top > 3) {
                    Object[] args = new Object[top - 3];
                    for (int i = 4; i <= top; i++) {
                        args[i - 4] = this.L.toJavaObject(i);
                    }
                    thread.call(this.L.toString(3), args);
                    return 0;
                } else if (top == 3) {
                    thread.call(this.L.toString(3));
                    return 0;
                } else {
                    return 0;
                }
            }
        };
        call.register("call");
    }

    public void setDebug(boolean isDebug) {
        this.mDebug = isDebug;
    }

    private void initENV() throws LuaException {
        if (new File(this.luaDir + "/init.lua").exists()) {
            try {
                int ok = this.L.LloadFile(this.luaDir + "/init.lua");
                if (ok == 0) {
                    this.L.newTable();
                    LuaObject env = this.L.getLuaObject(-1);
                    this.L.setUpValue(-2, 1);
                    ok = this.L.pcall(0, 0, 0);
                    if (ok == 0) {
                        LuaObject title = env.getField("appname");
                        if (title.isString()) {
                            setTitle(title.getString());
                        }
                        LuaObject title2 = env.getField("app_name");
                        if (title2.isString()) {
                            setTitle(title2.getString());
                        }
                        LuaObject debug = env.getField("debugmode");
                        if (debug.isBoolean()) {
                            this.mDebug = debug.getBoolean();
                        }
                        LuaObject debug2 = env.getField("debug_mode");
                        if (debug2.isBoolean()) {
                            this.mDebug = debug2.getBoolean();
                        }
                        LuaObject theme = env.getField("theme");
                        if (theme.isNumber()) {
                            setTheme((int) theme.getInteger());
                            return;
                        } else if (theme.isString()) {
                            setTheme(R.style.class.getField(theme.getString()).getInt(null));
                            return;
                        } else {
                            return;
                        }
                    }
                }
                throw new LuaException(errorReason(ok) + ": " + this.L.toString(-1));
            } catch (Exception e) {
                sendMsg(e.getMessage());
            }
        }
    }

    public Object doFile(String filePath) {
        return doFile(filePath, new Object[0]);
    }

    @Override // com.androlua.LuaContext
    public Object doFile(String filePath, Object[] args) {
        int i;
        int n;
        try {
            if (filePath.charAt(0) != '/') {
                filePath = this.luaDir + "/" + filePath;
            }
            this.L.setTop(0);
            int ok = this.L.LloadFile(filePath);
            if (ok == 0) {
                this.L.getGlobal(BuildConfig.BUILD_TYPE);
                this.L.getField(-1, "traceback");
                this.L.remove(-2);
                this.L.insert(-2);
                int l = args.length;
                for (Object obj : args) {
                    this.L.pushObjectValue(obj);
                }
                ok = this.L.pcall(l, 1, (-2) - l);
                if (ok == 0) {
                    return this.L.toJavaObject(-1);
                }
            }
            Intent res = new Intent();
            res.putExtra(DATA, this.L.toString(-1));
            setResult(ok, res);
            throw new LuaException(errorReason(ok) + ": " + this.L.toString(-1));
        } catch (LuaException e) {
            setTitle(errorReason(0));
            setContentView(this.layout);
            sendMsg(e.getMessage());
            String s = e.getMessage();
            int i2 = s.indexOf("android.permission.");
            if (i2 > 0 && (n = s.indexOf(".", (i = i2 + "android.permission.".length()))) > i) {
                String m = s.substring(i, n);
                this.L.getGlobal("require");
                this.L.pushString("permission");
                this.L.pcall(1, 0, 0);
                this.L.getGlobal("permission_info");
                this.L.getField(-1, m);
                if (this.L.isString(-1)) {
                    m = m + " (" + this.L.toString(-1) + ")";
                }
                sendMsg("权限错误: " + m);
                return null;
            }
            if (this.isUpdata) {
            }
            return null;
        }
    }

    public Object doAsset(String name, Object... args) {
        try {
            byte[] bytes = readAsset(name);
            this.L.setTop(0);
            int ok = this.L.LloadBuffer(bytes, name);
            if (ok == 0) {
                this.L.getGlobal(BuildConfig.BUILD_TYPE);
                this.L.getField(-1, "traceback");
                this.L.remove(-2);
                this.L.insert(-2);
                int l = args.length;
                for (Object obj : args) {
                    this.L.pushObjectValue(obj);
                }
                ok = this.L.pcall(l, 0, (-2) - l);
                if (ok == 0) {
                    return this.L.toJavaObject(-1);
                }
            }
            throw new LuaException(errorReason(ok) + ": " + this.L.toString(-1));
        } catch (Exception e) {
            setTitle(errorReason(0));
            setContentView(this.layout);
            sendMsg(e.getMessage());
            return null;
        }
    }

    public Object runFunc(String funcName, Object... args) {
        if (this.L != null) {
            synchronized (this.L) {
                try {
                    this.L.setTop(0);
                    this.L.pushGlobalTable();
                    this.L.pushString(funcName);
                    this.L.rawGet(-2);
                    if (this.L.isFunction(-1)) {
                        this.L.getGlobal(BuildConfig.BUILD_TYPE);
                        this.L.getField(-1, "traceback");
                        this.L.remove(-2);
                        this.L.insert(-2);
                        int l = args.length;
                        for (Object obj : args) {
                            this.L.pushObjectValue(obj);
                        }
                        int ok = this.L.pcall(l, 1, (-2) - l);
                        if (ok == 0) {
                            return this.L.toJavaObject(-1);
                        }
                        throw new LuaException(errorReason(ok) + ": " + this.L.toString(-1));
                    }
                } catch (LuaException e) {
                    sendError(funcName, e);
                }
            }
        }
        return null;
    }

    public Object doString(String funcSrc, Object... args) {
        try {
            this.L.setTop(0);
            int ok = this.L.LloadString(funcSrc);
            if (ok == 0) {
                this.L.getGlobal(BuildConfig.BUILD_TYPE);
                this.L.getField(-1, "traceback");
                this.L.remove(-2);
                this.L.insert(-2);
                int l = args.length;
                for (Object obj : args) {
                    this.L.pushObjectValue(obj);
                }
                ok = this.L.pcall(l, 1, (-2) - l);
                if (ok == 0) {
                    return this.L.toJavaObject(-1);
                }
            }
            throw new LuaException(errorReason(ok) + ": " + this.L.toString(-1));
        } catch (LuaException e) {
            sendMsg(e.getMessage());
            return null;
        }
    }

    private String errorReason(int error) {
        switch (error) {
            case 1:
                return "Yield error";
            case 2:
                return "Runtime error";
            case 3:
                return "Syntax error";
            case 4:
                return "Out of memory";
            case 5:
                return "GC error";
            case 6:
                return "error error";
            default:
                return "Unknown error " + error;
        }
    }

    public byte[] readAsset(String name) throws IOException {
        AssetManager am = getAssets();
        InputStream is = am.open(name);
        byte[] ret = readAll(is);
        is.close();
        return ret;
    }

    public void assetsToSD(String InFileName, String OutFileName) throws IOException {
        OutputStream myOutput = new FileOutputStream(OutFileName);
        InputStream myInput = getAssets().open(InFileName);
        byte[] buffer = new byte[8192];
        for (int length = myInput.read(buffer); length > 0; length = myInput.read(buffer)) {
            myOutput.write(buffer, 0, length);
        }
        myOutput.flush();
        myInput.close();
        myOutput.close();
    }

    @Override // com.androlua.LuaContext
    public void sendMsg(String msg) {
        Message message = new Message();
        Bundle bundle = new Bundle();
        bundle.putString(DATA, msg);
        message.setData(bundle);
        message.what = 0;
        this.handler.sendMessage(message);
        Log.d("lua", msg);
    }

    @Override // com.androlua.LuaContext
    public void sendError(String title, Exception msg) {
        Object ret = runFunc("onError", title, msg);
        if (ret == null || ret.getClass() != Boolean.class || !((Boolean) ret).booleanValue()) {
            sendMsg(title + ": " + msg.getMessage());
        }
    }

    public void showToast(String text) {
        long now = System.currentTimeMillis();
        if (this.toast == null || now - this.lastShow > 1000) {
            this.toastbuilder.setLength(0);
            this.toast = Toast.makeText(this, text, 1);
            this.toastbuilder.append(text);
        } else {
            this.toastbuilder.append("\n");
            this.toastbuilder.append(text);
            this.toast.setText(this.toastbuilder.toString());
            this.toast.setDuration(1);
        }
        this.lastShow = now;
        this.toast.show();
    }

    public void toast(String text) {
        new MyToast(this).setMessage(text).show();
    }

    public void longToast(String text) {
        new MyToast(this).setMessage(text).setDuration(1).show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setField(String key, Object value) {
        synchronized (this.L) {
            try {
                this.L.pushObjectValue(value);
                this.L.setGlobal(key);
            } catch (LuaException e) {
                sendError("setField", e);
            }
        }
    }

    public void call(String func) {
        push(2, func);
    }

    @Override // com.androlua.LuaContext
    public void call(String func, Object[] args) {
        if (args.length == 0) {
            push(2, func);
        } else {
            push(3, func, args);
        }
    }

    @Override // com.androlua.LuaContext
    public void set(String key, Object value) {
        push(1, key, new Object[]{value});
    }

    public Object get(String key) throws LuaException {
        Object javaObject;
        synchronized (this.L) {
            this.L.getGlobal(key);
            javaObject = this.L.toJavaObject(-1);
        }
        return javaObject;
    }

    public void push(int what, String s) {
        Message message = new Message();
        Bundle bundle = new Bundle();
        bundle.putString(DATA, s);
        message.setData(bundle);
        message.what = what;
        this.handler.sendMessage(message);
    }

    /* JADX WARN: Multi-variable type inference failed */
    public void push(int what, String s, Object[] args) {
        Message message = new Message();
        Bundle bundle = new Bundle();
        bundle.putString(DATA, s);
        bundle.putSerializable("args", args);
        message.setData(bundle);
        message.what = what;
        this.handler.sendMessage(message);
    }

    public void print(Object... args) {
        runFunc("print", args);
    }

    public int getUserTheme() {
        SharedPreUtil Spu = new SharedPreUtil(this, "settings", "nightMode");
        return Spu.getBoolean() ? R.style.Theme_FusionApp_Night : R.style.Theme_FusionApp;
    }

    /* loaded from: classes.dex */
    public class MainHandler extends Handler {
        public MainHandler() {
        }

        @Override // android.os.Handler
        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            switch (msg.what) {
                case 0:
                    String data = msg.getData().getString(LuaActivity.DATA);
                    if (LuaActivity.this.mDebug) {
                        LuaActivity.this.showToast(data);
                    }
                    LuaActivity.this.status.append(data + "\n");
                    LuaActivity.this.adapter.add(data);
                    return;
                case 1:
                    Bundle data2 = msg.getData();
                    LuaActivity.this.setField(data2.getString(LuaActivity.DATA), ((Object[]) data2.getSerializable("args"))[0]);
                    return;
                case 2:
                    String src = msg.getData().getString(LuaActivity.DATA);
                    LuaActivity.this.runFunc(src, new Object[0]);
                    return;
                case 3:
                    String src2 = msg.getData().getString(LuaActivity.DATA);
                    Serializable args = msg.getData().getSerializable("args");
                    LuaActivity.this.runFunc(src2, (Object[]) args);
                    return;
                default:
                    return;
            }
        }
    }
}
