package com.androlua;

import android.view.animation.Animation;
import android.view.animation.Transformation;
import com.luajava.LuaException;
import com.luajava.LuaFunction;
/* loaded from: classes.dex */
public class LuaAnimation extends Animation {
    private LuaFunction mAnimation;
    private LuaFunction mApplyTransformation;
    private final LuaContext mContext;

    public LuaAnimation(LuaFunction animation) {
        this.mAnimation = animation;
        this.mContext = this.mAnimation.getLuaState().getContext();
    }

    @Override // android.view.animation.Animation
    protected void applyTransformation(float interpolatedTime, Transformation t) {
        Object r;
        super.applyTransformation(interpolatedTime, t);
        try {
            this.mAnimation.call(Float.valueOf(interpolatedTime), t);
            if (this.mApplyTransformation == null && (r = this.mAnimation.call(Float.valueOf(interpolatedTime), t, this)) != null && (r instanceof LuaFunction)) {
                this.mApplyTransformation = (LuaFunction) r;
            }
            if (this.mApplyTransformation != null) {
                this.mApplyTransformation.call(Float.valueOf(interpolatedTime), t);
            }
        } catch (LuaException e) {
            this.mContext.sendError("applyTransformation", e);
        }
    }

    @Override // android.view.animation.Animation
    protected float resolveSize(int type, float value, int size, int parentSize) {
        return super.resolveSize(type, value, size, parentSize);
    }
}
