package com.androlua;

import android.content.Context;
import android.content.res.AssetManager;
import com.luajava.JavaFunction;
import com.luajava.LuaException;
import com.luajava.LuaState;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
/* loaded from: classes.dex */
public class LuaAssetLoader extends JavaFunction {
    private LuaState L;
    private Context mContext;

    public LuaAssetLoader(LuaContext luaContext, LuaState L) {
        super(L);
        this.L = L;
        this.mContext = luaContext.getContext();
    }

    @Override // com.luajava.JavaFunction
    public int execute() throws LuaException {
        String name = this.L.toString(-1).replace('.', '/') + ".lua";
        try {
            byte[] bytes = readAsset(name);
            int ok = this.L.LloadBuffer(bytes, name);
            if (ok != 0) {
                this.L.pushString("\n\t" + this.L.toString(-1));
            }
        } catch (IOException e) {
            this.L.pushString("\n\tno file '/assets/" + name + "'");
        }
        return 1;
    }

    public byte[] readAsset(String name) throws IOException {
        AssetManager am = this.mContext.getAssets();
        InputStream is = am.open(name);
        byte[] ret = readAll(is);
        is.close();
        return ret;
    }

    private static byte[] readAll(InputStream input) throws IOException {
        ByteArrayOutputStream output = new ByteArrayOutputStream(4096);
        byte[] buffer = new byte[4096];
        while (true) {
            int n = input.read(buffer);
            if (-1 != n) {
                output.write(buffer, 0, n);
            } else {
                byte[] ret = output.toByteArray();
                output.close();
                return ret;
            }
        }
    }
}
