package com.androlua;

import android.content.Context;
import android.hardware.Camera;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import java.io.IOException;
/* loaded from: classes.dex */
class LuaCameraView extends SurfaceView {
    private SurfaceHolder holder;

    public LuaCameraView(Context context) {
        super(context);
        this.holder = null;
        this.holder = getHolder();
        this.holder.addCallback(new SurfaceHolder.Callback() { // from class: com.androlua.LuaCameraView.1
            private Camera mCamera;

            @Override // android.view.SurfaceHolder.Callback
            public void surfaceDestroyed(SurfaceHolder holder) {
                this.mCamera.stopPreview();
                this.mCamera.release();
                this.mCamera = null;
            }

            @Override // android.view.SurfaceHolder.Callback
            public void surfaceCreated(SurfaceHolder holder) {
                this.mCamera = Camera.open();
                try {
                    this.mCamera.setPreviewDisplay(holder);
                } catch (IOException e) {
                    this.mCamera = null;
                }
            }

            @Override // android.view.SurfaceHolder.Callback
            public void surfaceChanged(SurfaceHolder holder, int format, int width, int height) {
                Camera.Parameters parameters = this.mCamera.getParameters();
                parameters.setPictureFormat(256);
                parameters.setPreviewSize(854, 480);
                parameters.setFocusMode("auto");
                parameters.setPictureSize(2592, 1456);
                this.mCamera.startPreview();
            }
        });
        this.holder.setType(3);
    }
}
