package com.androlua;

import dalvik.system.DexClassLoader;
import java.util.HashMap;
/* loaded from: classes.dex */
public class LuaDexClassLoader extends DexClassLoader {
    private HashMap<String, Class<?>> classCache;
    private String mDexPath;

    public LuaDexClassLoader(String dexPath, String optimizedDirectory, String libraryPath, ClassLoader parent) {
        super(dexPath, optimizedDirectory, libraryPath, parent);
        this.classCache = new HashMap<>();
        this.mDexPath = dexPath;
    }

    public String getDexPath() {
        return this.mDexPath;
    }

    @Override // dalvik.system.BaseDexClassLoader, java.lang.ClassLoader
    protected Class<?> findClass(String name) throws ClassNotFoundException {
        Class<?> cls = this.classCache.get(name);
        if (cls == null) {
            Class<?> cls2 = super.findClass(name);
            this.classCache.put(name, cls2);
            return cls2;
        }
        return cls;
    }
}
