package com.androlua;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.drawable.Drawable;
import com.luajava.LuaException;
import com.luajava.LuaFunction;
import com.luajava.LuaObject;
/* loaded from: classes.dex */
public class LuaDrawable extends Drawable {
    private final LuaContext mContext;
    private LuaObject mDraw;
    private LuaFunction mOnDraw;
    private Paint mPaint = new Paint();

    public LuaDrawable(LuaFunction func) {
        this.mDraw = func;
        this.mContext = this.mDraw.getLuaState().getContext();
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(Canvas p1) {
        Object r;
        try {
            if (this.mOnDraw == null && (r = this.mDraw.call(p1, this.mPaint, this)) != null && (r instanceof LuaFunction)) {
                this.mOnDraw = (LuaFunction) r;
            }
            if (this.mOnDraw != null) {
                this.mOnDraw.call(p1);
            }
        } catch (LuaException e) {
            this.mContext.sendError("onDraw", e);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(int p1) {
        this.mPaint.setAlpha(p1);
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter p1) {
        this.mPaint.setColorFilter(p1);
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        return 0;
    }

    public Paint getPaint() {
        return this.mPaint;
    }
}
