package com.androlua;

import com.luajava.JavaFunction;
import com.luajava.LuaException;
import com.luajava.LuaState;
/* loaded from: classes.dex */
public class LuaPrint extends JavaFunction {
    private LuaState L;
    private LuaContext mLuaContext;
    private StringBuilder output;

    public LuaPrint(LuaContext luaContext, LuaState L) {
        super(L);
        this.output = new StringBuilder();
        this.L = L;
        this.mLuaContext = luaContext;
    }

    @Override // com.luajava.JavaFunction
    public int execute() throws LuaException {
        if (this.L.getTop() < 2) {
            this.mLuaContext.sendMsg("");
        } else {
            for (int i = 2; i <= this.L.getTop(); i++) {
                int type = this.L.type(i);
                String val = null;
                String stype = this.L.typeName(type);
                if (stype.equals("userdata")) {
                    Object obj = this.L.toJavaObject(i);
                    if (obj != null) {
                        val = obj.toString();
                    }
                } else if (stype.equals("boolean")) {
                    val = this.L.toBoolean(i) ? "true" : "false";
                } else {
                    val = this.L.toString(i);
                }
                if (val == null) {
                    val = stype;
                }
                this.output.append("\t");
                this.output.append(val);
                this.output.append("\t");
            }
            this.mLuaContext.sendMsg(this.output.toString().substring(1, this.output.length() - 1));
            this.output.setLength(0);
        }
        return 0;
    }
}
