package com.androlua;

import com.androlua.util.TimerX;
import com.luajava.LuaException;
import com.luajava.LuaObject;
/* loaded from: classes.dex */
public class LuaTimer extends TimerX implements LuaGcable {
    private LuaTimerTask task;

    @Override // com.androlua.LuaGcable
    public void gc() {
        stop();
    }

    public LuaTimer(LuaContext main, String src) throws LuaException {
        this(main, src, (Object[]) null);
    }

    public LuaTimer(LuaContext main, String src, Object[] arg) throws LuaException {
        super("LuaTimer");
        main.regGc(this);
        this.task = new LuaTimerTask(main, src, arg);
    }

    public LuaTimer(LuaContext main, LuaObject func) throws LuaException {
        this(main, func, (Object[]) null);
    }

    public LuaTimer(LuaContext main, LuaObject func, Object[] arg) throws LuaException {
        super("LuaTimer");
        main.regGc(this);
        this.task = new LuaTimerTask(main, func, arg);
    }

    public void start(long delay, long period) {
        schedule(this.task, delay, period);
    }

    public void start(long delay) {
        schedule(this.task, delay);
    }

    public void stop() {
        this.task.cancel();
    }

    public void setEnabled(boolean enabled) {
        this.task.setEnabled(enabled);
    }

    public boolean isEnabled() {
        return this.task.isEnabled();
    }

    public boolean getEnabled() {
        return this.task.isEnabled();
    }

    public void setPeriod(long period) {
        this.task.setPeriod(period);
    }

    public long getPeriod() {
        return this.task.getPeriod();
    }
}
