package com.androlua;

import android.annotation.SuppressLint;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.DownloadManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.graphics.Bitmap;
import android.net.Uri;
import android.net.http.SslError;
import android.os.Message;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.JavascriptInterface;
import android.widget.AbsoluteLayout;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.ProgressBar;
import android.widget.TextView;
import com.luajava.LuaException;
import com.luajava.LuaFunction;
import com.tencent.smtt.export.external.interfaces.ClientCertRequest;
import com.tencent.smtt.export.external.interfaces.GeolocationPermissionsCallback;
import com.tencent.smtt.export.external.interfaces.HttpAuthHandler;
import com.tencent.smtt.export.external.interfaces.IX5WebChromeClient;
import com.tencent.smtt.export.external.interfaces.JsPromptResult;
import com.tencent.smtt.export.external.interfaces.JsResult;
import com.tencent.smtt.export.external.interfaces.SslErrorHandler;
import com.tencent.smtt.export.external.interfaces.WebResourceRequest;
import com.tencent.smtt.export.external.interfaces.WebResourceResponse;
import com.tencent.smtt.sdk.ValueCallback;
import com.tencent.smtt.sdk.WebChromeClient;
import com.tencent.smtt.sdk.WebSettings;
import com.tencent.smtt.sdk.WebStorage;
import com.tencent.smtt.sdk.WebView;
import com.tencent.smtt.sdk.WebViewClient;
import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
/* loaded from: classes2.dex */
public class LuaWebView extends WebView implements LuaGcable {
    public static final int FILECHOOSER_RESULTCODE_FOR_ANDROID_5 = 5174;
    private boolean ProgressBarEnabled;
    private DisplayMetrics dm;
    private LuaFunction<Boolean> mAdsFilter;
    private LuaActivity mContext;
    private String mDir;
    private HashMap<Long, String[]> mDownload;
    private DownloadBroadcastReceiver mDownloadBroadcastReceiver;
    private OnDownloadCompleteListener mOnDownloadCompleteListener;
    private ProgressBar mProgressbar;
    public ValueCallback<Uri[]> mUploadCallbackAboveL;
    public ValueCallback<Uri> mUploadMessage;
    private FrameLayout mVideo_FullView;
    private Dialog open_dlg;
    private ListView open_list;
    private View xCustomView;
    private LuaWebChromeClient xwebchromeclient;

    /* loaded from: classes2.dex */
    public interface JsInterface {
        @JavascriptInterface
        String execute(String str);
    }

    /* loaded from: classes2.dex */
    public interface LuaWebViewClient {
        public static final int ERROR_AUTHENTICATION = -4;
        public static final int ERROR_BAD_URL = -12;
        public static final int ERROR_CONNECT = -6;
        public static final int ERROR_FAILED_SSL_HANDSHAKE = -11;
        public static final int ERROR_FILE = -13;
        public static final int ERROR_FILE_NOT_FOUND = -14;
        public static final int ERROR_HOST_LOOKUP = -2;
        public static final int ERROR_IO = -7;
        public static final int ERROR_PROXY_AUTHENTICATION = -5;
        public static final int ERROR_REDIRECT_LOOP = -9;
        public static final int ERROR_TIMEOUT = -8;
        public static final int ERROR_TOO_MANY_REQUESTS = -15;
        public static final int ERROR_UNKNOWN = -1;
        public static final int ERROR_UNSUPPORTED_AUTH_SCHEME = -3;
        public static final int ERROR_UNSUPPORTED_SCHEME = -10;

        void doUpdateVisitedHistory(WebView webView, String str, boolean z);

        void onFormResubmission(WebView webView, Message message, Message message2);

        void onLoadResource(WebView webView, String str);

        void onPageFinished(WebView webView, String str);

        void onPageStarted(WebView webView, String str, Bitmap bitmap);

        void onProceededAfterSslError(WebView webView, SslError sslError);

        void onReceivedClientCertRequest(WebView webView, ClientCertRequest clientCertRequest, String str);

        void onReceivedError(WebView webView, int i, String str, String str2);

        void onReceivedHttpAuthRequest(WebView webView, HttpAuthHandler httpAuthHandler, String str, String str2);

        void onReceivedLoginRequest(WebView webView, String str, String str2, String str3);

        void onReceivedSslError(WebView webView, SslErrorHandler sslErrorHandler, SslError sslError);

        void onScaleChanged(WebView webView, float f, float f2);

        @Deprecated
        void onTooManyRedirects(WebView webView, Message message, Message message2);

        void onUnhandledKeyEvent(WebView webView, KeyEvent keyEvent);

        WebResourceResponse shouldInterceptRequest(WebView webView, String str);

        boolean shouldOverrideKeyEvent(WebView webView, KeyEvent keyEvent);

        boolean shouldOverrideUrlLoading(WebView webView, String str);
    }

    /* loaded from: classes2.dex */
    public interface OnDownloadCompleteListener {
        void onDownloadComplete(String str, String str2);
    }

    /* loaded from: classes2.dex */
    public interface OnDownloadStartListener {
        void onDownloadStart(String str, String str2, String str3, String str4, long j);
    }

    public LuaWebView(LuaActivity context) {
        super(context);
        this.mDownload = new HashMap<>();
        this.ProgressBarEnabled = true;
        this.mDir = "/";
        context.regGc(this);
        this.mContext = context;
        getSettings().setJavaScriptEnabled(true);
        getSettings().setJavaScriptCanOpenWindowsAutomatically(true);
        getSettings().setDisplayZoomControls(true);
        getSettings().setGeolocationDatabasePath(context.getCacheDir().getPath());
        getSettings().setSupportZoom(true);
        getSettings().setBuiltInZoomControls(true);
        getSettings().setMixedContentMode(0);
        getSettings().setPluginState(WebSettings.PluginState.ON);
        getSettings().setNeedInitialFocus(true);
        getSettings().setMediaPlaybackRequiresUserGesture(false);
        getSettings().setDomStorageEnabled(true);
        getSettings().setAppCacheMaxSize(8388608L);
        String appCacheDir = this.mContext.getApplicationContext().getDir("cache", 0).getPath();
        getSettings().setAppCachePath(appCacheDir);
        getSettings().setAllowFileAccess(true);
        getSettings().setAppCacheEnabled(true);
        getSettings().setSavePassword(true);
        getSettings().setSaveFormData(true);
        getSettings().setCacheMode(-1);
        addJavascriptInterface(new LuaJavaScriptinterface(context), "androlua");
        setWebViewClient(new WebViewClient() { // from class: com.androlua.LuaWebView.1
            /* JADX WARN: Code restructure failed: missing block: B:7:0x0022, code lost:
                if (r1.booleanValue() != false) goto L8;
             */
            @Override // com.tencent.smtt.sdk.WebViewClient
            /*
                Code decompiled incorrectly, please refer to instructions dump.
            */
            public boolean shouldOverrideUrlLoading(WebView view, String url) {
                if (LuaWebView.this.mAdsFilter != null) {
                    try {
                        Boolean ret = (Boolean) LuaWebView.this.mAdsFilter.call(url);
                        if (ret != null) {
                        }
                    } catch (LuaException e) {
                        e.printStackTrace();
                    }
                }
                if (!url.startsWith("http") && !url.startsWith("file")) {
                    LuaWebView.this.mContext.startActivityForResult(new Intent("android.intent.action.VIEW", Uri.parse(url)), 0);
                } else {
                    view.loadUrl(url);
                }
                return true;
            }

            @Override // com.tencent.smtt.sdk.WebViewClient
            @SuppressLint({"NewApi"})
            public WebResourceResponse shouldInterceptRequest(WebView view, String url) {
                if (LuaWebView.this.mAdsFilter != null) {
                    try {
                        Boolean ret = (Boolean) LuaWebView.this.mAdsFilter.call(url);
                        if (ret != null && ret.booleanValue()) {
                            return new WebResourceResponse(null, null, null);
                        }
                    } catch (LuaException e) {
                        e.printStackTrace();
                    }
                }
                return null;
            }

            public void onReceivedSslError(WebView view, final SslErrorHandler handler, SslError error) {
                AlertDialog.Builder b = new AlertDialog.Builder(LuaWebView.this.mContext);
                b.setTitle("SslError");
                b.setMessage(error.toString());
                b.setPositiveButton(17039370, new DialogInterface.OnClickListener() { // from class: com.androlua.LuaWebView.1.1
                    @Override // android.content.DialogInterface.OnClickListener
                    public void onClick(DialogInterface dialog, int which) {
                        handler.proceed();
                    }
                });
                b.setNegativeButton(17039360, new DialogInterface.OnClickListener() { // from class: com.androlua.LuaWebView.1.2
                    @Override // android.content.DialogInterface.OnClickListener
                    public void onClick(DialogInterface dialog, int which) {
                        handler.cancel();
                    }
                });
                b.setCancelable(false);
                b.create();
                b.show();
            }
        });
        this.dm = context.getResources().getDisplayMetrics();
        int top = (int) TypedValue.applyDimension(1, 2.0f, this.dm);
        this.mProgressbar = new ProgressBar(context, null, 16842872);
        this.mProgressbar.setLayoutParams(new AbsoluteLayout.LayoutParams(-1, top, 0, 0));
        addView(this.mProgressbar);
        setWebChromeClient(new LuaWebChromeClient());
        setDownloadListener(new Download());
    }

    @Override // com.androlua.LuaGcable
    public void gc() {
        destroy();
    }

    public void setProgressBarEnabled(boolean visibility) {
        this.ProgressBarEnabled = visibility;
        if (visibility) {
            this.mProgressbar.setVisibility(0);
        } else {
            this.mProgressbar.setVisibility(8);
        }
    }

    public void setProgressBar(ProgressBar pb) {
        this.mProgressbar = pb;
    }

    public void setVideoFullView(FrameLayout view) {
        this.mVideo_FullView = view;
    }

    @Override // android.view.View
    protected void onScrollChanged(int l, int t, int oldl, int oldt) {
        AbsoluteLayout.LayoutParams lp = (AbsoluteLayout.LayoutParams) this.mProgressbar.getLayoutParams();
        lp.x = l;
        lp.y = t;
        this.mProgressbar.setLayoutParams(lp);
        super.onScrollChanged(l, t, oldl, oldt);
    }

    @Override // com.tencent.smtt.sdk.WebView
    public void setDownloadListener(com.tencent.smtt.sdk.DownloadListener listener) {
        super.setDownloadListener(listener);
    }

    public void setOnDownloadStartListener(final OnDownloadStartListener listener) {
        setDownloadListener(new com.tencent.smtt.sdk.DownloadListener() { // from class: com.androlua.LuaWebView.2
            @Override // com.tencent.smtt.sdk.DownloadListener
            public void onDownloadStart(String p1, String p2, String p3, String p4, long p5) {
                listener.onDownloadStart(p1, p2, p3, p4, p5);
            }
        });
    }

    public void setOnDownloadCompleteListener(OnDownloadCompleteListener listener) {
        this.mOnDownloadCompleteListener = listener;
    }

    @Override // com.tencent.smtt.sdk.WebView
    public void destroy() {
        if (this.mDownloadBroadcastReceiver != null) {
            this.mContext.unregisterReceiver(this.mDownloadBroadcastReceiver);
        }
        loadUrl("about:blank");
        stopLoading();
        setWebChromeClient(null);
        super.destroy();
    }

    @Override // android.view.View, android.view.KeyEvent.Callback
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode == 4 && canGoBack()) {
            goBack();
            return true;
        }
        return super.onKeyDown(keyCode, event);
    }

    @Override // android.view.View
    public void setOnKeyListener(View.OnKeyListener l) {
        super.setOnKeyListener(l);
    }

    public void addJSInterface(JsInterface object, String name) {
        super.addJavascriptInterface(new JsObject(object), name);
    }

    public void addJsInterface(JsInterface object, String name) {
        super.addJavascriptInterface(new JsObject(object), name);
    }

    public void setWebViewClient(LuaWebViewClient client) {
        super.setWebViewClient(new SimpleLuaWebViewClient(client));
    }

    public void openFile(String dir) {
        if (this.open_dlg == null) {
            this.open_dlg = new Dialog(getContext());
            this.open_list = new ListView(getContext());
            this.open_list.setFastScrollEnabled(true);
            this.open_list.setFastScrollAlwaysVisible(true);
            this.open_dlg.setContentView(this.open_list);
            this.open_list.setOnItemClickListener(new AdapterView.OnItemClickListener() { // from class: com.androlua.LuaWebView.3
                @Override // android.widget.AdapterView.OnItemClickListener
                public void onItemClick(AdapterView<?> p1, View p2, int p3, long p4) {
                    String t = ((TextView) p2).getText().toString();
                    if (!t.equals("../")) {
                        String fn = LuaWebView.this.mDir + t;
                        File f = new File(fn);
                        if (f.isDirectory()) {
                            LuaWebView.this.mDir = fn;
                            LuaWebView.this.openFile(LuaWebView.this.mDir);
                            return;
                        }
                        LuaWebView.this.mUploadMessage.onReceiveValue(Uri.parse(fn));
                        return;
                    }
                    LuaWebView.this.mDir = new File(LuaWebView.this.mDir).getParent() + "/";
                    LuaWebView.this.openFile(LuaWebView.this.mDir);
                }
            });
        }
        File d = new File(dir);
        ArrayList<String> ns = new ArrayList<>();
        ns.add("../");
        String[] fs = d.list();
        if (fs != null) {
            Arrays.sort(fs);
            for (String k : fs) {
                if (new File(this.mDir + k).isDirectory()) {
                    ns.add(k + "/");
                }
            }
            for (String k2 : fs) {
                if (new File(this.mDir + k2).isFile()) {
                    ns.add(k2);
                }
            }
        }
        ArrayAdapter adapter = new ArrayAdapter(getContext(), 17367043, ns);
        this.open_list.setAdapter((ListAdapter) adapter);
        this.open_dlg.setTitle(this.mDir);
        this.open_dlg.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes2.dex */
    public class DownloadBroadcastReceiver extends BroadcastReceiver {
        private DownloadBroadcastReceiver() {
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context p1, Intent p2) {
            long id = p2.getLongExtra("extra_download_id", 0L);
            p2.getExtras();
            if (LuaWebView.this.mDownload.containsKey(Long.valueOf(id)) && LuaWebView.this.mOnDownloadCompleteListener != null) {
                String[] data = (String[]) LuaWebView.this.mDownload.get(Long.valueOf(id));
                LuaWebView.this.mOnDownloadCompleteListener.onDownloadComplete(data[0], data[1]);
            }
        }
    }

    /* loaded from: classes2.dex */
    private class Download implements com.tencent.smtt.sdk.DownloadListener {
        EditText file_input_field;
        private String mContentDisposition;
        private long mContentLength;
        private String mFilename;
        private String mMimetype;
        private String mUrl;
        private String mUserAgent;

        private Download() {
        }

        @Override // com.tencent.smtt.sdk.DownloadListener
        public void onDownloadStart(String url, String userAgent, String contentDisposition, String mimetype, long contentLength) {
            int i;
            int i2;
            int n;
            this.mUrl = url;
            this.mUserAgent = userAgent;
            this.mContentDisposition = contentDisposition;
            this.mMimetype = mimetype;
            this.mContentLength = contentLength;
            Uri uri = Uri.parse(this.mUrl);
            this.mFilename = uri.getLastPathSegment();
            if (contentDisposition != null && (i = contentDisposition.indexOf("filename=\"")) != -1 && (n = contentDisposition.indexOf(34, (i2 = i + "filename=\"".length()))) > i2) {
                this.mFilename = contentDisposition.substring(i2, n);
            }
            this.file_input_field = new EditText(LuaWebView.this.mContext);
            this.file_input_field.setText(this.mFilename);
            new AlertDialog.Builder(LuaWebView.this.mContext).setTitle("Download").setMessage("Type: " + mimetype + "\nSize: " + contentLength).setView(this.file_input_field).setPositiveButton("Download", new DialogInterface.OnClickListener() { // from class: com.androlua.LuaWebView.Download.2
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface p1, int p2) {
                    Download.this.mFilename = Download.this.file_input_field.getText().toString();
                    Download.this.download(false);
                }
            }).setNegativeButton("Cancel", (DialogInterface.OnClickListener) null).setNeutralButton("Only Wifi", new DialogInterface.OnClickListener() { // from class: com.androlua.LuaWebView.Download.1
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface p1, int p2) {
                    Download.this.mFilename = Download.this.file_input_field.getText().toString();
                    Download.this.download(true);
                }
            }).create().show();
        }

        /* JADX INFO: Access modifiers changed from: private */
        public long download(boolean isWifi) {
            if (LuaWebView.this.mDownloadBroadcastReceiver == null) {
                IntentFilter filter = new IntentFilter();
                filter.addAction("android.intent.action.DOWNLOAD_COMPLETE");
                LuaWebView.this.mDownloadBroadcastReceiver = new DownloadBroadcastReceiver();
                LuaWebView.this.mContext.registerReceiver(LuaWebView.this.mDownloadBroadcastReceiver, filter);
            }
            DownloadManager downloadManager = (DownloadManager) LuaWebView.this.mContext.getSystemService("download");
            Uri uri = Uri.parse(this.mUrl);
            uri.getLastPathSegment();
            DownloadManager.Request request = new DownloadManager.Request(uri);
            String dir = LuaWebView.this.mContext.getLuaExtDir("Download");
            request.setDestinationInExternalPublicDir("AndroLua/Download", this.mFilename);
            request.setTitle(this.mFilename);
            request.setDescription(this.mUrl);
            if (isWifi) {
                request.setAllowedNetworkTypes(2);
            }
            request.setMimeType(this.mMimetype);
            long downloadId = downloadManager.enqueue(request);
            LuaWebView.this.mDownload.put(Long.valueOf(downloadId), new String[]{new File(dir, this.mFilename).getAbsolutePath(), this.mMimetype});
            return downloadId;
        }
    }

    /* loaded from: classes2.dex */
    class JsObject {
        private JsInterface mJs;

        public JsObject(JsInterface js) {
            this.mJs = js;
        }

        @JavascriptInterface
        public String execute(String arg) {
            return this.mJs.execute(arg);
        }
    }

    /* loaded from: classes2.dex */
    private class LuaJavaScriptinterface {
        private LuaActivity mMain;

        public LuaJavaScriptinterface(LuaActivity main) {
            this.mMain = main;
        }

        @JavascriptInterface
        public Object callLuaFunction(String name) {
            return this.mMain.runFunc(name, new Object[0]);
        }

        @JavascriptInterface
        public Object callLuaFunction(String name, String arg) {
            return this.mMain.runFunc(name, arg);
        }

        @JavascriptInterface
        public Object doLuaString(String name) {
            return this.mMain.doString(name, new Object[0]);
        }
    }

    public void setAdsFilter(LuaFunction<Boolean> filter) {
        this.mAdsFilter = filter;
    }

    /* loaded from: classes2.dex */
    private class SimpleLuaWebViewClient extends WebViewClient {
        private LuaWebViewClient mLuaWebViewClient;

        public SimpleLuaWebViewClient(LuaWebViewClient wvc) {
            this.mLuaWebViewClient = wvc;
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public boolean shouldOverrideUrlLoading(WebView view, String url) {
            return this.mLuaWebViewClient.shouldOverrideUrlLoading(view, url);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onPageStarted(WebView view, String url, Bitmap favicon) {
            this.mLuaWebViewClient.onPageStarted(view, url, favicon);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onPageFinished(WebView view, String url) {
            this.mLuaWebViewClient.onPageFinished(view, url);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onLoadResource(WebView view, String url) {
            this.mLuaWebViewClient.onLoadResource(view, url);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public WebResourceResponse shouldInterceptRequest(WebView view, String url) {
            if (LuaWebView.this.mAdsFilter != null) {
                try {
                    if (((Boolean) LuaWebView.this.mAdsFilter.call(url)).booleanValue()) {
                        return new WebResourceResponse(null, null, null);
                    }
                } catch (LuaException e) {
                    e.printStackTrace();
                }
            }
            return this.mLuaWebViewClient.shouldInterceptRequest(view, url);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public WebResourceResponse shouldInterceptRequest(WebView view, WebResourceRequest request) {
            return super.shouldInterceptRequest(view, request);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        @Deprecated
        public void onTooManyRedirects(WebView view, Message cancelMsg, Message continueMsg) {
            cancelMsg.sendToTarget();
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onReceivedError(WebView view, int errorCode, String description, String failingUrl) {
            this.mLuaWebViewClient.onReceivedError(view, errorCode, description, failingUrl);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onFormResubmission(WebView view, Message dontResend, Message resend) {
            dontResend.sendToTarget();
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void doUpdateVisitedHistory(WebView view, String url, boolean isReload) {
            this.mLuaWebViewClient.doUpdateVisitedHistory(view, url, isReload);
        }

        public void onReceivedSslError(WebView view, SslErrorHandler handler, SslError error) {
            this.mLuaWebViewClient.onReceivedSslError(view, handler, error);
        }

        public void onProceededAfterSslError(WebView view, SslError error) {
            this.mLuaWebViewClient.onProceededAfterSslError(view, error);
        }

        public void onReceivedClientCertRequest(WebView view, ClientCertRequest handler, String host_and_port) {
            this.mLuaWebViewClient.onReceivedClientCertRequest(view, handler, host_and_port);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onReceivedHttpAuthRequest(WebView view, HttpAuthHandler handler, String host, String realm) {
            this.mLuaWebViewClient.onReceivedHttpAuthRequest(view, handler, host, realm);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public boolean shouldOverrideKeyEvent(WebView view, KeyEvent event) {
            return this.mLuaWebViewClient.shouldOverrideKeyEvent(view, event);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onUnhandledKeyEvent(WebView view, KeyEvent event) {
            this.mLuaWebViewClient.onUnhandledKeyEvent(view, event);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onScaleChanged(WebView view, float oldScale, float newScale) {
            this.mLuaWebViewClient.onScaleChanged(view, oldScale, newScale);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onReceivedLoginRequest(WebView view, String realm, String account, String args) {
            this.mLuaWebViewClient.onReceivedLoginRequest(view, realm, account, args);
        }
    }

    /* loaded from: classes2.dex */
    public class LuaWebChromeClient extends WebChromeClient {
        private View mVideo_progressView;
        EditText prompt_input_field;
        private IX5WebChromeClient.CustomViewCallback xCustomViewCallback;

        public LuaWebChromeClient() {
            this.prompt_input_field = new EditText(LuaWebView.this.mContext);
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onShowCustomView(View view, IX5WebChromeClient.CustomViewCallback callback) {
            LuaWebView.this.mContext.setRequestedOrientation(0);
            LuaWebView.this.setVisibility(4);
            LuaWebView.this.mProgressbar.setVisibility(8);
            if (LuaWebView.this.xCustomView == null) {
                LuaWebView.this.mVideo_FullView.addView(view);
                LuaWebView.this.xCustomView = view;
                this.xCustomViewCallback = callback;
                LuaWebView.this.mVideo_FullView.setVisibility(0);
                setStatusBarVisible(false);
                return;
            }
            callback.onCustomViewHidden();
        }

        private void setStatusBarVisible(boolean show) {
            if (show) {
                int uiFlags = 256 | 4096;
                LuaWebView.this.mContext.getWindow().getDecorView().setSystemUiVisibility(uiFlags);
                return;
            }
            int uiFlags2 = 1284 | 4096;
            LuaWebView.this.mContext.getWindow().getDecorView().setSystemUiVisibility(uiFlags2);
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onHideCustomView() {
            if (LuaWebView.this.xCustomView != null) {
                LuaWebView.this.mContext.setRequestedOrientation(1);
                LuaWebView.this.xCustomView.setVisibility(8);
                LuaWebView.this.mVideo_FullView.removeView(LuaWebView.this.xCustomView);
                LuaWebView.this.xCustomView = null;
                LuaWebView.this.mVideo_FullView.setVisibility(8);
                this.xCustomViewCallback.onCustomViewHidden();
                LuaWebView.this.setVisibility(0);
                setStatusBarVisible(true);
            }
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public View getVideoLoadingProgressView() {
            if (this.mVideo_progressView == null) {
                LayoutInflater inflater = LayoutInflater.from(LuaWebView.this.mContext);
                this.mVideo_progressView = inflater.inflate(R.layout.video_loading, (ViewGroup) null);
            }
            return this.mVideo_progressView;
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onReachedMaxAppCacheSize(long spaceNeeded, long totalUsedQuota, WebStorage.QuotaUpdater quotaUpdater) {
            quotaUpdater.updateQuota(2 * spaceNeeded);
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onGeolocationPermissionsShowPrompt(String origin, GeolocationPermissionsCallback callback) {
            callback.invoke(origin, true, false);
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public boolean onJsAlert(WebView view, String url, String message, final JsResult result) {
            new AlertDialog.Builder(LuaWebView.this.mContext).setTitle(url).setMessage(message).setPositiveButton(17039370, new DialogInterface.OnClickListener() { // from class: com.androlua.LuaWebView.LuaWebChromeClient.1
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialog, int which) {
                    result.confirm();
                }
            }).setCancelable(false).create().show();
            return true;
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public boolean onJsConfirm(WebView view, String url, String message, final JsResult result) {
            AlertDialog.Builder b = new AlertDialog.Builder(LuaWebView.this.mContext);
            b.setTitle(url);
            b.setMessage(message);
            b.setPositiveButton(17039370, new DialogInterface.OnClickListener() { // from class: com.androlua.LuaWebView.LuaWebChromeClient.2
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialog, int which) {
                    result.confirm();
                }
            });
            b.setNegativeButton(17039360, new DialogInterface.OnClickListener() { // from class: com.androlua.LuaWebView.LuaWebChromeClient.3
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialog, int which) {
                    result.cancel();
                }
            });
            b.setCancelable(false);
            b.create();
            b.show();
            return true;
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public boolean onJsPrompt(WebView view, String url, String message, String defaultValue, final JsPromptResult result) {
            this.prompt_input_field.setText(defaultValue);
            AlertDialog.Builder b = new AlertDialog.Builder(LuaWebView.this.mContext);
            b.setTitle(url);
            b.setMessage(message);
            b.setView(this.prompt_input_field);
            b.setPositiveButton(17039370, new DialogInterface.OnClickListener() { // from class: com.androlua.LuaWebView.LuaWebChromeClient.4
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialog, int which) {
                    String value = LuaWebChromeClient.this.prompt_input_field.getText().toString();
                    result.confirm(value);
                }
            });
            b.setNegativeButton(17039360, new DialogInterface.OnClickListener() { // from class: com.androlua.LuaWebView.LuaWebChromeClient.5
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialog, int which) {
                    result.cancel();
                }
            });
            b.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: com.androlua.LuaWebView.LuaWebChromeClient.6
                @Override // android.content.DialogInterface.OnCancelListener
                public void onCancel(DialogInterface dialog) {
                    result.cancel();
                }
            });
            b.show();
            return true;
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onProgressChanged(WebView view, int newProgress) {
            if (LuaWebView.this.ProgressBarEnabled) {
                if (newProgress == 100) {
                    LuaWebView.this.mProgressbar.setVisibility(8);
                } else {
                    LuaWebView.this.mProgressbar.setVisibility(0);
                    LuaWebView.this.mProgressbar.setProgress(newProgress);
                }
            }
            super.onProgressChanged(view, newProgress);
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onReceivedTitle(WebView view, String title) {
            super.onReceivedTitle(view, title);
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onReceivedIcon(WebView view, Bitmap icon) {
            super.onReceivedIcon(view, icon);
        }

        public void openFileChooser(ValueCallback<Uri> uploadMsg, String acceptType) {
            if (LuaWebView.this.mUploadMessage == null) {
                LuaWebView.this.mUploadMessage = uploadMsg;
                LuaWebView.this.openFile(LuaWebView.this.mDir);
            }
        }

        public void openFileChooser(ValueCallback<Uri> uploadMsg) {
            openFileChooser(uploadMsg, "");
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void openFileChooser(ValueCallback<Uri> uploadMsg, String acceptType, String capture) {
            openFileChooser(uploadMsg, acceptType);
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public boolean onShowFileChooser(WebView webView, ValueCallback<Uri[]> filePathCallback, WebChromeClient.FileChooserParams fileChooserParams) {
            LuaWebView.this.mUploadCallbackAboveL = filePathCallback;
            Intent i = new Intent("android.intent.action.GET_CONTENT");
            i.addCategory("android.intent.category.OPENABLE");
            i.setType("*/*");
            LuaWebView.this.mContext.startActivityForResult(Intent.createChooser(i, "File Browser"), 1);
            return true;
        }
    }
}
