package com.androlua;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ObjectAnimator;
import android.annotation.TargetApi;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.DownloadManager;
import android.app.ProgressDialog;
import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.pm.ResolveInfo;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.net.http.SslError;
import android.os.AsyncTask;
import android.os.Build;
import android.os.Environment;
import android.support.v4.view.MotionEventCompat;
import android.support.v4.widget.SwipeRefreshLayout;
import android.text.format.Formatter;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.animation.DecelerateInterpolator;
import android.webkit.JavascriptInterface;
import android.widget.AbsoluteLayout;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.InputDialog;
import android.widget.LinearLayout;
import android.widget.PopupMenu;
import android.widget.ProgressBar;
import com.androlua.util.ImageUtils;
import com.androlua.util.SharedPreUtil;
import com.androlua.util.TieUtils;
import com.androlua.util.UiUtils;
import com.luajava.LuaException;
import com.luajava.LuaFunction;
import com.tencent.smtt.export.external.interfaces.GeolocationPermissionsCallback;
import com.tencent.smtt.export.external.interfaces.IX5WebChromeClient;
import com.tencent.smtt.export.external.interfaces.JsPromptResult;
import com.tencent.smtt.export.external.interfaces.SslErrorHandler;
import com.tencent.smtt.export.external.interfaces.WebResourceError;
import com.tencent.smtt.export.external.interfaces.WebResourceRequest;
import com.tencent.smtt.sdk.CookieManager;
import com.tencent.smtt.sdk.TbsReaderView;
import com.tencent.smtt.sdk.ValueCallback;
import com.tencent.smtt.sdk.WebChromeClient;
import com.tencent.smtt.sdk.WebSettings;
import com.tencent.smtt.sdk.WebView;
import com.tencent.smtt.sdk.WebViewClient;
import java.io.File;
import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.List;
/* loaded from: classes2.dex */
public class MyWebView extends WebView implements LuaGcable {
    public TieUtils MyUtil;
    private ObjectAnimator anim_progress_alpha;
    private ObjectAnimator anim_progress_eighty;
    private ObjectAnimator anim_progress_full;
    private float downX;
    private float downY;
    private boolean isBlocker;
    private boolean isErrorPage;
    private boolean isInjectionJavaScriptOk;
    private boolean isProgressAnimation;
    private boolean isRefresh;
    private LuaActivity mContext;
    private IX5WebChromeClient.CustomViewCallback mCustomViewCallBack;
    private ProgressDialog mLoadDialog;
    private LuaEvents mLuaEvents;
    private LuaWebEvents mLuaWebEvents;
    private boolean mMenuEnabled;
    private View mMenuPositionView;
    private MyWebChromeClient mMyWebChromeClient;
    private MyWebClient mMyWebClient;
    private boolean mProgressBarEnabled;
    private ProgressBar mProgressbar;
    private WebSettings mSettings;
    private boolean mSupportOpenApp;
    private SwipeRefreshLayout mSwipeRefreshLayout;
    public ValueCallback<Uri[]> mUploadCallbackAboveL;
    private LinearLayout mVideoLoadView;
    private View mVideoView;
    private FrameLayout mVideoViewParent;
    public boolean needClearHistory;
    public LuaFunction onScrollChanged;
    private boolean one_progress_animation;

    /* loaded from: classes2.dex */
    interface LuaEvents {
        void onInjectionJavaScript(MyWebView myWebView);

        void onReviewElementComplete(String str, String str2);

        void onReviewImgElement(MyWebView myWebView, String str);

        void onReviewLinkElement(MyWebView myWebView, String str);

        void onShieldingElement(MyWebView myWebView, String str, String str2);

        void onShieldingImgAd(MyWebView myWebView, String str, String str2);

        void onShieldingLinkAd(MyWebView myWebView, String str, String str2);
    }

    /* loaded from: classes2.dex */
    interface LuaWebEvents {
        void onPageFinished(WebView webView, String str);

        void onPageStarted(MyWebView myWebView, String str, Bitmap bitmap);

        void onReceivedTitle(WebView webView, String str);
    }

    public MyWebView(LuaActivity context) {
        super(context);
        this.MyUtil = new TieUtils();
        this.mSupportOpenApp = true;
        this.mProgressBarEnabled = true;
        this.mMenuEnabled = true;
        context.regGc(this);
        this.mContext = context;
        this.mSettings = getSettings();
        this.mSettings.setDomStorageEnabled(true);
        this.mSettings.setAppCacheEnabled(true);
        this.mSettings.setAppCachePath(this.mContext.getCacheDir().toString());
        this.mSettings.setGeolocationDatabasePath(this.mContext.getDir("Geolocation", 0).toString());
        this.mSettings.setAllowFileAccess(true);
        this.mSettings.setDatabaseEnabled(true);
        this.mSettings.setSaveFormData(true);
        this.mSettings.setSupportZoom(true);
        this.mSettings.setJavaScriptCanOpenWindowsAutomatically(true);
        this.mSettings.setDefaultTextEncodingName("UTF-8");
        this.mSettings.setUseWideViewPort(true);
        this.mSettings.setLoadWithOverviewMode(true);
        this.mSettings.setBuiltInZoomControls(true);
        this.mSettings.setDisplayZoomControls(false);
        this.mSettings.setAllowContentAccess(true);
        this.mSettings.setBlockNetworkImage(false);
        this.mSettings.setAllowFileAccessFromFileURLs(false);
        this.mSettings.setAllowUniversalAccessFromFileURLs(false);
        this.mSettings.setMediaPlaybackRequiresUserGesture(true);
        this.mSettings.setAllowContentAccess(true);
        this.mSettings.setJavaScriptEnabled(true);
        if (this.MyUtil.isNetworkConnected(this.mContext)) {
            this.mSettings.setCacheMode(-1);
        } else {
            this.mSettings.setCacheMode(1);
        }
        try {
            setOverScrollMode(2);
            this.mSettings.setMixedContentMode(0);
        } catch (Exception e) {
            e.printStackTrace();
        }
        this.mMenuPositionView = new View(this.mContext);
        this.mMenuPositionView.setLayoutParams(new AbsoluteLayout.LayoutParams(1, 1, 0, 0));
        addView(this.mMenuPositionView);
        setDrawingCacheBackgroundColor(0);
        setFocusableInTouchMode(true);
        setFocusable(true);
        setSaveEnabled(true);
        CookieManager instance = CookieManager.getInstance();
        instance.setAcceptCookie(true);
        instance.setAcceptThirdPartyCookies(this, true);
        addJavascriptInterface(new JsInterface(), "JsInterface");
        this.mMyWebChromeClient = new MyWebChromeClient();
        setWebChromeClient(this.mMyWebChromeClient);
        setWebViewClient(new MyWebClient());
        setDownloadListener(new com.tencent.smtt.sdk.DownloadListener() { // from class: com.androlua.MyWebView.1
            static final /* synthetic */ boolean $assertionsDisabled;

            static {
                $assertionsDisabled = !MyWebView.class.desiredAssertionStatus();
            }

            @Override // com.tencent.smtt.sdk.DownloadListener
            public void onDownloadStart(final String url, String userAgent, String contentDisposition, String mimetype, long contentLength) {
                if (TieUtils.isInstalled(MyWebView.this.mContext, "com.dv.adm.pay")) {
                    Intent intent = new Intent().setAction("android.intent.action.SEND").setType("text/*").putExtra("android.intent.extra.TEXT", url).setClassName("com.dv.adm.pay", "com.dv.adm.pay.AEditor");
                    MyWebView.this.mContext.startActivity(intent);
                    return;
                }
                AlertDialog mDownloadDialog = new AlertDialog.Builder(MyWebView.this.mContext).setTitle("下载文件").setMessage("文件大小:" + Formatter.formatFileSize(MyWebView.this.mContext, contentLength) + "\n\n文件类型:" + mimetype + "\n\n下载链接:" + url).setPositiveButton("下载", new DialogInterface.OnClickListener() { // from class: com.androlua.MyWebView.1.1
                    @Override // android.content.DialogInterface.OnClickListener
                    public void onClick(DialogInterface p1, int p2) {
                        DownloadManager downloadManager = (DownloadManager) MyWebView.this.mContext.getSystemService("download");
                        Uri mUri = Uri.parse(url);
                        TieUtils tieUtils = MyWebView.this.MyUtil;
                        String mFileName = TieUtils.getUrlFileName(url);
                        DownloadManager.Request request = new DownloadManager.Request(mUri);
                        request.setAllowedNetworkTypes(3);
                        request.setDestinationInExternalPublicDir("Download", mFileName);
                        request.setTitle(mFileName);
                        request.setNotificationVisibility(1);
                        downloadManager.enqueue(request);
                    }
                }).create();
                Window mDialogWindow = mDownloadDialog.getWindow();
                if (!$assertionsDisabled && mDialogWindow == null) {
                    throw new AssertionError();
                }
                mDialogWindow.setGravity(17);
                mDialogWindow.setWindowAnimations(R.style.dialog_anim);
                mDownloadDialog.show();
            }
        });
        setOnLongClickListener(new View.OnLongClickListener() { // from class: com.androlua.MyWebView.2
            @Override // android.view.View.OnLongClickListener
            public boolean onLongClick(View view_) {
                final WebView.HitTestResult result;
                if (MyWebView.this.mMenuEnabled && (result = MyWebView.this.getHitTestResult()) != null) {
                    int type = result.getType();
                    MyWebView.this.mMenuPositionView.setX(MyWebView.this.downX);
                    MyWebView.this.mMenuPositionView.setY(MyWebView.this.downY + MyWebView.this.getScrollY());
                    switch (type) {
                        case 5:
                            MyWebView.this.MenuClick_img(MyWebView.this, result);
                            break;
                        case 7:
                            PopupMenu pop = new PopupMenu(MyWebView.this.mContext, MyWebView.this.mMenuPositionView, 5);
                            Menu menu = pop.getMenu();
                            menu.add("复制链接");
                            menu.add("分享链接");
                            menu.add("屏蔽广告");
                            menu.add("审查元素");
                            pop.setOnMenuItemClickListener(new PopupMenu.OnMenuItemClickListener() { // from class: com.androlua.MyWebView.2.1
                                @Override // android.widget.PopupMenu.OnMenuItemClickListener
                                public boolean onMenuItemClick(MenuItem p1) {
                                    String item = p1.toString();
                                    String url = result.getExtra();
                                    char c = 65535;
                                    switch (item.hashCode()) {
                                        case 646112908:
                                            if (item.equals("分享链接")) {
                                                c = 1;
                                                break;
                                            }
                                            break;
                                        case 700578544:
                                            if (item.equals("复制链接")) {
                                                c = 0;
                                                break;
                                            }
                                            break;
                                        case 725044129:
                                            if (item.equals("审查元素")) {
                                                c = 3;
                                                break;
                                            }
                                            break;
                                        case 737541369:
                                            if (item.equals("屏蔽广告")) {
                                                c = 2;
                                                break;
                                            }
                                            break;
                                    }
                                    switch (c) {
                                        case 0:
                                            ClipboardManager mClipboardManager = (ClipboardManager) MyWebView.this.mContext.getSystemService("clipboard");
                                            mClipboardManager.setPrimaryClip(ClipData.newPlainText("Label", url));
                                            MyWebView.this.mContext.toast("复制完成");
                                            break;
                                        case 1:
                                            TieUtils.shareText(MyWebView.this.mContext, url);
                                            break;
                                        case 2:
                                            try {
                                                MyWebView.this.mLuaEvents.onShieldingLinkAd(MyWebView.this, url, new URL(MyWebView.this.getUrl()).getHost());
                                                break;
                                            } catch (MalformedURLException e2) {
                                                MyWebView.this.mLuaEvents.onShieldingLinkAd(MyWebView.this, url, MyWebView.this.getUrl());
                                                break;
                                            }
                                        case 3:
                                            MyWebView.this.mLuaEvents.onReviewLinkElement(MyWebView.this, url);
                                            break;
                                    }
                                    return false;
                                }
                            });
                            pop.show();
                            break;
                        case 8:
                            MyWebView.this.MenuClick_img(MyWebView.this, result);
                            break;
                    }
                }
                return false;
            }
        });
    }

    public void MenuClick_img(final MyWebView view, final WebView.HitTestResult result) {
        PopupMenu pop = new PopupMenu(this.mContext, this.mMenuPositionView, 5);
        Menu menu = pop.getMenu();
        menu.add("保存图片");
        menu.add("查看图片");
        menu.add("以图搜图");
        menu.add("复制链接");
        menu.add("分享链接");
        menu.add("分享图片");
        menu.add("屏蔽广告");
        menu.add("审查元素");
        pop.setOnMenuItemClickListener(new PopupMenu.OnMenuItemClickListener() { // from class: com.androlua.MyWebView.3
            @Override // android.widget.PopupMenu.OnMenuItemClickListener
            public boolean onMenuItemClick(MenuItem p1) {
                String item = p1.toString();
                String url = result.getExtra();
                char c = 65535;
                switch (item.hashCode()) {
                    case 623907035:
                        if (item.equals("以图搜图")) {
                            c = 2;
                            break;
                        }
                        break;
                    case 632268644:
                        if (item.equals("保存图片")) {
                            c = 0;
                            break;
                        }
                        break;
                    case 645624622:
                        if (item.equals("分享图片")) {
                            c = 5;
                            break;
                        }
                        break;
                    case 646112908:
                        if (item.equals("分享链接")) {
                            c = 4;
                            break;
                        }
                        break;
                    case 700578544:
                        if (item.equals("复制链接")) {
                            c = 3;
                            break;
                        }
                        break;
                    case 725044129:
                        if (item.equals("审查元素")) {
                            c = 7;
                            break;
                        }
                        break;
                    case 737541369:
                        if (item.equals("屏蔽广告")) {
                            c = 6;
                            break;
                        }
                        break;
                    case 822357327:
                        if (item.equals("查看图片")) {
                            c = 1;
                            break;
                        }
                        break;
                }
                switch (c) {
                    case 0:
                        MyWebView.this.saveBitmapByUrl(url);
                        break;
                    case 1:
                        new SeeImage(url).show();
                        break;
                    case 2:
                        MyWebView.this.loadUrl("http://pic.sogou.com/pic/ris_searchList.jsp?statref=home&v=5&keyword=" + url + "&ul=1");
                        break;
                    case 3:
                        ClipboardManager mClipboardManager = (ClipboardManager) MyWebView.this.mContext.getSystemService("clipboard");
                        mClipboardManager.setPrimaryClip(ClipData.newPlainText("Label", url));
                        MyWebView.this.mContext.toast("复制完成");
                        break;
                    case 4:
                        TieUtils tieUtils = MyWebView.this.MyUtil;
                        TieUtils.shareText(MyWebView.this.mContext, url);
                        break;
                    case 5:
                        MyWebView.this.shareImageByUrl(url);
                        break;
                    case 6:
                        try {
                            MyWebView.this.mLuaEvents.onShieldingImgAd(view, url, new URL(MyWebView.this.getUrl()).getHost());
                            break;
                        } catch (MalformedURLException e) {
                            MyWebView.this.mLuaEvents.onShieldingImgAd(view, url, MyWebView.this.getUrl());
                            break;
                        }
                    case 7:
                        MyWebView.this.mLuaEvents.onReviewImgElement(view, url);
                        break;
                }
                return false;
            }
        });
        pop.show();
    }

    public void setVideoViewParent(FrameLayout VideoViewParent) {
        this.mVideoViewParent = VideoViewParent;
    }

    public void setProgressBarEnabled(boolean enabled) {
        this.mProgressBarEnabled = enabled;
    }

    public boolean getProgressBarEnabled() {
        return this.mProgressBarEnabled;
    }

    /* loaded from: classes2.dex */
    private class JsInterface {
        private JsInterface() {
        }

        @JavascriptInterface
        public void onShieldingElement(String classname, String host) {
            MyWebView.this.mLuaEvents.onShieldingElement(MyWebView.this, classname, host);
        }

        @JavascriptInterface
        public void onReviewElementComplete(String result, String parentHtml) {
            MyWebView.this.mLuaEvents.onReviewElementComplete(result, parentHtml);
        }

        @JavascriptInterface
        public void callLuaFunction(String fun, String args) {
            try {
                MyWebView.this.mContext.runFunc(fun, args);
            } catch (Exception e) {
            }
        }

        @JavascriptInterface
        public void callLuaFunction(String fun) {
            try {
                MyWebView.this.mContext.runFunc(fun, new Object[0]);
            } catch (Exception e) {
            }
        }
    }

    public void setSupportOpenApp(boolean p) {
        this.mSupportOpenApp = p;
    }

    public void setMenuEnabled(boolean menuEnabled) {
        this.mMenuEnabled = menuEnabled;
    }

    public int getFirstPixel() {
        setDrawingCacheEnabled(true);
        Bitmap bitmap = getDrawingCache(true);
        int color = bitmap.getPixel(8, 8);
        bitmap.recycle();
        setDrawingCacheEnabled(false);
        return color;
    }

    public void setLuaEvents(LuaEvents luaevents) {
        this.mLuaEvents = luaevents;
    }

    public void setLuaWebEvents(LuaWebEvents events) {
        this.mLuaWebEvents = events;
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent event) {
        if (event.getAction() == 0) {
            this.downX = event.getX();
            this.downY = event.getY();
        }
        return super.onTouchEvent(event);
    }

    @Override // com.tencent.smtt.sdk.WebView
    public void loadUrl(String url) {
        if (url.startsWith("@MHT(")) {
            super.loadUrl("file://" + this.mContext.getLuaDir() + "/mht/" + url.substring(5, url.length() - 1) + ".mht");
        } else {
            super.loadUrl(url);
        }
    }

    @Override // android.view.View
    protected void onScrollChanged(int l, int t, int ol, int ot) {
        if (this.onScrollChanged != null) {
            try {
                this.onScrollChanged.call(Integer.valueOf(l), Integer.valueOf(t), Integer.valueOf(ol), Integer.valueOf(ot));
            } catch (LuaException e) {
                e.printStackTrace();
            }
        }
        if (this.mSwipeRefreshLayout != null) {
            if (getScrollY() == 0) {
                this.mSwipeRefreshLayout.setEnabled(true);
            } else if (!this.mSwipeRefreshLayout.isRefreshing()) {
                this.mSwipeRefreshLayout.setEnabled(false);
            }
        }
    }

    public void loadJs(String js) {
        evaluateJavascript(js, null);
    }

    public void bindRefreshLayout(SwipeRefreshLayout mSwipeRefreshLayout) {
        this.mSwipeRefreshLayout = mSwipeRefreshLayout;
        mSwipeRefreshLayout.setOnRefreshListener(new SwipeRefreshLayout.OnRefreshListener() { // from class: com.androlua.MyWebView.4
            @Override // android.support.v4.widget.SwipeRefreshLayout.OnRefreshListener
            public void onRefresh() {
                MyWebView.this.reload();
            }
        });
    }

    public void loadJs(String js, int loopExecTime) {
        evaluateJavascript("loadJsInterval=setInterval(function(){ " + js + " },100)\nsetTimeout(function(){clearInterval(loadJsInterval)}," + loopExecTime + ")", null);
    }

    public void showLoadDialog(String message) {
        this.mLoadDialog = new ProgressDialog(this.mContext);
        this.mLoadDialog.setMessage(message);
        this.mLoadDialog.show();
    }

    public void saveBitmapByUrl(String url) {
        AsyncTask<String, Integer, String> asyncTask = new AsyncTask<String, Integer, String>() { // from class: com.androlua.MyWebView.5
            /* JADX INFO: Access modifiers changed from: protected */
            @Override // android.os.AsyncTask
            public String doInBackground(String[] p1) {
                return new ImageUtils().saveImageByUrl(p1[0], MyWebView.this.mContext);
            }

            /* JADX INFO: Access modifiers changed from: protected */
            @Override // android.os.AsyncTask
            public void onPostExecute(String s) {
                super.onPostExecute((AnonymousClass5) s);
                if (s == null) {
                    MyWebView.this.mContext.toast("保存失败");
                }
                MyWebView.this.mContext.toast("保存到了:" + s);
            }
        };
        asyncTask.execute(url);
    }

    public void shareImageByUrl(String url) {
        AsyncTask<String, Integer, String> asyncTask = new AsyncTask<String, Integer, String>() { // from class: com.androlua.MyWebView.6
            /* JADX INFO: Access modifiers changed from: protected */
            @Override // android.os.AsyncTask
            public String doInBackground(String[] p1) {
                return new ImageUtils().saveImageByUrl(p1[0], Environment.getExternalStorageDirectory() + "/.tmp/" + System.currentTimeMillis() + ".png", MyWebView.this.mContext);
            }

            /* JADX INFO: Access modifiers changed from: protected */
            @Override // android.os.AsyncTask
            public void onPostExecute(String s) {
                super.onPostExecute((AnonymousClass6) s);
                if (s == null) {
                    MyWebView.this.mContext.toast("分享失败");
                    return;
                }
                Intent shareIntent = new Intent();
                shareIntent.setAction("android.intent.action.SEND");
                shareIntent.putExtra("android.intent.extra.STREAM", Uri.fromFile(new File(s)));
                shareIntent.setType("image/*");
                MyWebView.this.mContext.startActivity(Intent.createChooser(shareIntent, "分享到"));
            }
        };
        asyncTask.execute(url);
    }

    public void shareImageByBitmap(Bitmap bit) {
        AsyncTask<Bitmap, Integer, String> asyncTask = new AsyncTask<Bitmap, Integer, String>() { // from class: com.androlua.MyWebView.7
            /* JADX INFO: Access modifiers changed from: protected */
            @Override // android.os.AsyncTask
            public String doInBackground(Bitmap[] p1) {
                return ImageUtils.saveBitmap(Environment.getExternalStorageDirectory() + "/.tmp/" + System.currentTimeMillis() + ".png", p1[0], MyWebView.this.mContext);
            }

            /* JADX INFO: Access modifiers changed from: protected */
            @Override // android.os.AsyncTask
            public void onPostExecute(String s) {
                super.onPostExecute((AnonymousClass7) s);
                if (s == null) {
                    MyWebView.this.mContext.toast("分享失败");
                    return;
                }
                Intent shareIntent = new Intent();
                shareIntent.setAction("android.intent.action.SEND");
                shareIntent.putExtra("android.intent.extra.STREAM", Uri.fromFile(new File(s)));
                shareIntent.setType("image/*");
                MyWebView.this.mContext.startActivity(Intent.createChooser(shareIntent, "分享到"));
            }
        };
        asyncTask.execute(bit);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes2.dex */
    public class SeeImage {
        static final /* synthetic */ boolean $assertionsDisabled;
        private ImageView mInfoView;
        private ImageView mSaveView;
        private ImageView mSearchView;
        private Dialog mSeeImageDialog;
        private ProgressBar mSeeImageProgressBar;
        private ImageView mSeeImageView;
        private ImageView mShareView;
        private String mUrl;
        private Bitmap see_bitmap;

        static {
            $assertionsDisabled = !MyWebView.class.desiredAssertionStatus();
        }

        SeeImage(String url) {
            this.mUrl = url;
        }

        public void close() {
            try {
                this.see_bitmap = null;
                this.mSeeImageDialog.dismiss();
                this.mSeeImageDialog = null;
                this.mSaveView = null;
                this.mSeeImageProgressBar = null;
                this.mShareView = null;
                this.see_bitmap.recycle();
                System.gc();
            } catch (Exception e) {
            }
        }

        public void show() {
            this.mSeeImageDialog = new Dialog(MyWebView.this.mContext, R.style.Theme_FusionApp);
            this.mSeeImageDialog.setContentView(R.layout.see_image);
            this.mSeeImageDialog.show();
            Window mWindow = this.mSeeImageDialog.getWindow();
            if (!$assertionsDisabled && mWindow == null) {
                throw new AssertionError();
            }
            mWindow.setWindowAnimations(R.style.dialog_anim);
            this.mSeeImageProgressBar = (ProgressBar) this.mSeeImageDialog.findViewById(R.id.seeimageProgressBar1);
            this.mSeeImageView = (ImageView) this.mSeeImageDialog.findViewById(R.id.seeimageImageView1);
            this.mSeeImageDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: com.androlua.MyWebView.SeeImage.1
                @Override // android.content.DialogInterface.OnCancelListener
                public void onCancel(DialogInterface p1) {
                    SeeImage.this.close();
                }
            });
            this.mShareView = (ImageView) this.mSeeImageDialog.findViewById(R.id.seeimageImageView2);
            this.mSaveView = (ImageView) this.mSeeImageDialog.findViewById(R.id.seeimageImageView3);
            this.mSearchView = (ImageView) this.mSeeImageDialog.findViewById(R.id.seeimageImageView4);
            this.mInfoView = (ImageView) this.mSeeImageDialog.findViewById(R.id.seeimageImageView5);
            this.mSeeImageDialog.getWindow().addFlags(1024);
            this.mShareView.setOnClickListener(new View.OnClickListener() { // from class: com.androlua.MyWebView.SeeImage.2
                @Override // android.view.View.OnClickListener
                public void onClick(View p1) {
                    if (SeeImage.this.see_bitmap != null) {
                        MyWebView.this.shareImageByBitmap(SeeImage.this.see_bitmap);
                    }
                }
            });
            this.mSaveView.setOnClickListener(new View.OnClickListener() { // from class: com.androlua.MyWebView.SeeImage.3
                @Override // android.view.View.OnClickListener
                public void onClick(View p1) {
                    MyWebView.this.saveBitmapByUrl(SeeImage.this.mUrl);
                }
            });
            this.mSearchView.setOnClickListener(new View.OnClickListener() { // from class: com.androlua.MyWebView.SeeImage.4
                @Override // android.view.View.OnClickListener
                public void onClick(View p1) {
                    MyWebView.this.loadUrl("http://pic.sogou.com/pic/ris_searchList.jsp?statref=home&v=5&keyword=" + SeeImage.this.mUrl + "&ul=1");
                    SeeImage.this.close();
                }
            });
            this.mInfoView.setOnClickListener(new AnonymousClass5());
            AsyncTask<String, Integer, Bitmap> mSeeImageAsyncTask = new AsyncTask<String, Integer, Bitmap>() { // from class: com.androlua.MyWebView.SeeImage.6
                /* JADX INFO: Access modifiers changed from: protected */
                @Override // android.os.AsyncTask
                public Bitmap doInBackground(String[] p1) {
                    try {
                        return LuaBitmap.getHttpBitmap(p1[0]);
                    } catch (IOException e) {
                        return null;
                    }
                }

                /* JADX INFO: Access modifiers changed from: protected */
                @Override // android.os.AsyncTask
                public void onPostExecute(Bitmap bitmap) {
                    super.onPostExecute((AnonymousClass6) bitmap);
                    if (bitmap == null) {
                        MyWebView.this.mContext.toast("加载失败");
                        SeeImage.this.close();
                        return;
                    }
                    SeeImage.this.see_bitmap = bitmap;
                    SeeImage.this.mSeeImageProgressBar.setVisibility(8);
                    SeeImage.this.mSeeImageView.setImageBitmap(bitmap);
                }
            };
            mSeeImageAsyncTask.execute(this.mUrl);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: com.androlua.MyWebView$SeeImage$5  reason: invalid class name */
        /* loaded from: classes2.dex */
        public class AnonymousClass5 implements View.OnClickListener {
            AnonymousClass5() {
            }

            @Override // android.view.View.OnClickListener
            public void onClick(View p1) {
                MyWebView.this.showLoadDialog("Loading..");
                AsyncTask<Bitmap, Integer, String> asyncTask = new AsyncTask<Bitmap, Integer, String>() { // from class: com.androlua.MyWebView.SeeImage.5.1
                    /* JADX INFO: Access modifiers changed from: protected */
                    @Override // android.os.AsyncTask
                    public String doInBackground(Bitmap[] p12) {
                        return ImageUtils.saveBitmap(MyWebView.this.mContext.getExternalCacheDir() + "/.tmp/" + System.currentTimeMillis() + ".png", p12[0], MyWebView.this.mContext);
                    }

                    /* JADX INFO: Access modifiers changed from: protected */
                    @Override // android.os.AsyncTask
                    public void onPostExecute(String Path) {
                        super.onPostExecute((AnonymousClass1) Path);
                        MyWebView.this.mLoadDialog.dismiss();
                        BitmapFactory.Options options = new BitmapFactory.Options();
                        options.inJustDecodeBounds = true;
                        BitmapFactory.decodeFile(Path, options);
                        final String[] mInfos = {"体积:" + Formatter.formatFileSize(MyWebView.this.mContext, new File(Path).length()), "尺寸:" + options.outWidth + "x" + options.outHeight, "MD5:" + LuaUtil.getFileMD5(Path)};
                        new AlertDialog.Builder(MyWebView.this.mContext).setTitle("图片信息").setItems(mInfos, new DialogInterface.OnClickListener() { // from class: com.androlua.MyWebView.SeeImage.5.1.1
                            @Override // android.content.DialogInterface.OnClickListener
                            public void onClick(DialogInterface p12, int p2) {
                                String text = mInfos[p2];
                                ClipboardManager mClipboardManager = (ClipboardManager) MyWebView.this.mContext.getSystemService("clipboard");
                                mClipboardManager.setPrimaryClip(ClipData.newPlainText("Label", text));
                            }
                        }).show();
                    }
                };
                asyncTask.execute(SeeImage.this.see_bitmap);
            }
        }
    }

    @Override // com.androlua.LuaGcable
    public void gc() {
        destroy();
    }

    @Override // com.tencent.smtt.sdk.WebView
    public void destroy() {
        loadUrl("about:blank");
        stopLoading();
        clearHistory();
        setTag(null);
        setWebChromeClient(null);
        setWebViewClient(null);
        System.gc();
        removeAllViews();
        destroyDrawingCache();
        super.destroy();
    }

    public void setProgressBar(ProgressBar view) {
        this.mProgressbar = view;
    }

    public ProgressBar getProgressBar() {
        return this.mProgressbar;
    }

    public boolean inPlayVideo() {
        return this.mVideoView != null;
    }

    public void canelPlayVideo() {
        this.mMyWebChromeClient.onHideCustomView();
    }

    /* loaded from: classes2.dex */
    private class MyWebChromeClient extends WebChromeClient {
        static final /* synthetic */ boolean $assertionsDisabled;

        static {
            $assertionsDisabled = !MyWebView.class.desiredAssertionStatus();
        }

        private MyWebChromeClient() {
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public boolean onJsPrompt(WebView view, String url, String message, String defaultValue, final JsPromptResult result) {
            final SharedPreUtil data = new SharedPreUtil(MyWebView.this.mContext, "web_view_jsprompt", url);
            String m = data.getString();
            if (m != "") {
                result.confirm(m);
            } else {
                final boolean[] isReturnResult = {false};
                AlertDialog dialog = new InputDialog(MyWebView.this.mContext).setTitle("网页提示").setHint(message).setContentText(defaultValue).setPositiveButton("好了", new InputDialog.DialogListener() { // from class: com.androlua.MyWebView.MyWebChromeClient.1
                    @Override // android.widget.InputDialog.DialogListener
                    public void onClick(String content, EditText edtTxt) {
                        result.confirm(content);
                        data.setString(content);
                        isReturnResult[0] = true;
                    }
                }).setNegativeButton("取消", (DialogInterface.OnClickListener) null).show();
                dialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: com.androlua.MyWebView.MyWebChromeClient.2
                    @Override // android.content.DialogInterface.OnCancelListener
                    public void onCancel(DialogInterface dialog2) {
                        if (!isReturnResult[0]) {
                            result.cancel();
                        }
                    }
                });
            }
            return true;
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onProgressChanged(WebView view, int newProgress) {
            if (MyWebView.this.mLuaEvents != null) {
                MyWebView.this.mLuaEvents.onInjectionJavaScript(MyWebView.this);
            }
            if (MyWebView.this.mProgressBarEnabled && MyWebView.this.one_progress_animation) {
                if (newProgress >= 100) {
                    try {
                        MyWebView.this.anim_progress_eighty.cancel();
                    } catch (Exception e) {
                    }
                    startProgressAnimation_full(MyWebView.this.getProgressBar().getProgress(), 100);
                }
                if ((newProgress != 80) & (!MyWebView.this.isProgressAnimation)) {
                    startProgressAnimation(0, 90);
                    MyWebView.this.isProgressAnimation = true;
                }
            }
        }

        private void startProgressAnimation(int start, int end) {
            MyWebView.this.anim_progress_eighty = ObjectAnimator.ofInt(MyWebView.this.getProgressBar(), "progress", start, end);
            MyWebView.this.anim_progress_eighty.setDuration(1500L);
            MyWebView.this.anim_progress_eighty.setInterpolator(new DecelerateInterpolator());
            MyWebView.this.anim_progress_eighty.start();
        }

        private void startProgressAnimation_full(int start, int end) {
            MyWebView.this.anim_progress_full = ObjectAnimator.ofInt(MyWebView.this.getProgressBar(), "progress", start, end);
            MyWebView.this.anim_progress_full.setDuration(300L);
            MyWebView.this.anim_progress_full.addListener(new AnimatorListenerAdapter() { // from class: com.androlua.MyWebView.MyWebChromeClient.3
                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animation) {
                    MyWebChromeClient.this.startDismissAnimation();
                    MyWebView.this.one_progress_animation = false;
                }
            });
            MyWebView.this.anim_progress_full.start();
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void startDismissAnimation() {
            MyWebView.this.anim_progress_alpha = ObjectAnimator.ofFloat(MyWebView.this.getProgressBar(), "alpha", 1.0f, 0.0f);
            MyWebView.this.anim_progress_alpha.setDuration(800L);
            MyWebView.this.anim_progress_alpha.addListener(new AnimatorListenerAdapter() { // from class: com.androlua.MyWebView.MyWebChromeClient.4
                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animation) {
                    MyWebView.this.getProgressBar().setProgress(0);
                    MyWebView.this.isProgressAnimation = false;
                }
            });
            MyWebView.this.anim_progress_alpha.start();
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public boolean onShowFileChooser(WebView webView, ValueCallback<Uri[]> filePathCallback, WebChromeClient.FileChooserParams fileChooserParams) {
            MyWebView.this.mUploadCallbackAboveL = filePathCallback;
            Intent i = new Intent("android.intent.action.GET_CONTENT");
            i.addCategory("android.intent.category.OPENABLE");
            i.setType("*/*");
            MyWebView.this.mContext.startActivityForResult(Intent.createChooser(i, "File Browser"), 1);
            return true;
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onGeolocationPermissionsShowPrompt(final String origin, final GeolocationPermissionsCallback callback) {
            AlertDialog.Builder builder = new AlertDialog.Builder(MyWebView.this.mContext);
            builder.setTitle("位置信息");
            builder.setMessage("允许 " + MyWebView.this.getTitle() + " 获取您的地理位置信息吗？").setCancelable(true).setPositiveButton("允许", new DialogInterface.OnClickListener() { // from class: com.androlua.MyWebView.MyWebChromeClient.6
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialog, int id) {
                    callback.invoke(origin, true, true);
                }
            }).setNegativeButton("不允许", new DialogInterface.OnClickListener() { // from class: com.androlua.MyWebView.MyWebChromeClient.5
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialog, int id) {
                    callback.invoke(origin, false, true);
                }
            });
            AlertDialog alert = builder.create();
            Window mWindow = alert.getWindow();
            if (!$assertionsDisabled && mWindow == null) {
                throw new AssertionError();
            }
            mWindow.setGravity(17);
            mWindow.setWindowAnimations(R.style.dialog_anim);
            alert.show();
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onShowCustomView(View view, IX5WebChromeClient.CustomViewCallback callback) {
            MyWebView.this.mContext.setRequestedOrientation(0);
            if (MyWebView.this.mVideoView == null) {
                MyWebView.this.mVideoView = view;
                MyWebView.this.mCustomViewCallBack = callback;
                MyWebView.this.mVideoViewParent.addView(view);
                MyWebView.this.mVideoViewParent.setVisibility(0);
                UiUtils.setStatusBarVisible(MyWebView.this.mContext, false);
                return;
            }
            callback.onCustomViewHidden();
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onHideCustomView() {
            if (MyWebView.this.mVideoView != null) {
                MyWebView.this.mContext.setRequestedOrientation(1);
                UiUtils.setStatusBarVisible(MyWebView.this.mContext, true);
                MyWebView.this.mVideoView.setVisibility(8);
                MyWebView.this.mVideoViewParent.removeAllViews();
                MyWebView.this.mVideoView = null;
                MyWebView.this.mVideoViewParent.setVisibility(8);
                MyWebView.this.mCustomViewCallBack.onCustomViewHidden();
            }
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public View getVideoLoadingProgressView() {
            if (MyWebView.this.mVideoLoadView == null) {
                LayoutInflater inflater = LayoutInflater.from(MyWebView.this.mContext);
                MyWebView.this.mVideoLoadView = (LinearLayout) inflater.inflate(R.layout.video_loading, (ViewGroup) null);
            }
            return MyWebView.this.mVideoLoadView;
        }

        @Override // com.tencent.smtt.sdk.WebChromeClient
        public void onReceivedTitle(WebView view, String title) {
            if (MyWebView.this.mLuaWebEvents != null) {
                MyWebView.this.mLuaWebEvents.onReceivedTitle(view, title);
            }
            super.onReceivedTitle(view, title);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes2.dex */
    public class MyWebClient extends WebViewClient {
        static final /* synthetic */ boolean $assertionsDisabled;
        FrameLayout errorView;

        static {
            $assertionsDisabled = !MyWebView.class.desiredAssertionStatus();
        }

        private MyWebClient() {
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onReceivedError(WebView view, int errorCode, String description, String failingUrl) {
            if (Build.VERSION.SDK_INT < 23) {
                MyWebView.this.isErrorPage = true;
                MyWebView.this.loadUrl("javascript:document.body.innerHTML=''");
                if (this.errorView == null) {
                    LayoutInflater inflater = LayoutInflater.from(MyWebView.this.mContext);
                    this.errorView = (FrameLayout) inflater.inflate(R.layout.webview_error, (ViewGroup) null);
                }
                MyWebView.this.addView(this.errorView);
                ViewGroup.LayoutParams lp = this.errorView.getLayoutParams();
                lp.width = MyWebView.this.getWidth();
                lp.height = MyWebView.this.getHeight();
                this.errorView.setLayoutParams(lp);
            }
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        @TargetApi(MotionEventCompat.AXIS_BRAKE)
        public void onReceivedError(WebView view, WebResourceRequest request, WebResourceError error) {
            super.onReceivedError(view, request, error);
            if (request.isForMainFrame() & request.getUrl().toString().equals(MyWebView.this.getUrl())) {
                MyWebView.this.isErrorPage = true;
                MyWebView.this.loadUrl("javascript:document.body.innerHTML=''");
                if (this.errorView == null) {
                    LayoutInflater inflater = LayoutInflater.from(MyWebView.this.mContext);
                    this.errorView = (FrameLayout) inflater.inflate(R.layout.webview_error, (ViewGroup) null);
                }
                MyWebView.this.addView(this.errorView);
                ViewGroup.LayoutParams lp = this.errorView.getLayoutParams();
                lp.width = MyWebView.this.getWidth();
                lp.height = MyWebView.this.getHeight();
                this.errorView.setLayoutParams(lp);
            }
        }

        public void onReceivedSslError(WebView view, final SslErrorHandler handler, SslError error) {
            AlertDialog.Builder builder = new AlertDialog.Builder(MyWebView.this.mContext);
            builder.setTitle("证书错误");
            builder.setMessage("错误代码:" + error.toString());
            builder.setPositiveButton(17039370, new DialogInterface.OnClickListener() { // from class: com.androlua.MyWebView.MyWebClient.1
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialog, int which) {
                    handler.proceed();
                }
            });
            builder.setNegativeButton(17039360, new DialogInterface.OnClickListener() { // from class: com.androlua.MyWebView.MyWebClient.2
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialog, int which) {
                    handler.cancel();
                }
            });
            builder.setCancelable(false);
            builder.create();
            builder.show();
        }

        private void initProgressAnimation() {
            if (MyWebView.this.mProgressBarEnabled && MyWebView.this.getProgressBar() != null) {
                MyWebView.this.mProgressbar.setAlpha(1.0f);
                if (MyWebView.this.mProgressbar.getVisibility() == 8) {
                    MyWebView.this.mProgressbar.setVisibility(0);
                }
                MyWebView.this.one_progress_animation = true;
                try {
                    MyWebView.this.anim_progress_full.cancel();
                    MyWebView.this.anim_progress_eighty.cancel();
                    MyWebView.this.anim_progress_alpha.cancel();
                } catch (Exception e) {
                }
                MyWebView.this.isProgressAnimation = false;
                MyWebView.this.getProgressBar().setProgress(0);
            }
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onPageStarted(WebView p1, String url, Bitmap p3) {
            if (MyWebView.this.mSwipeRefreshLayout != null && MyWebView.this.mSwipeRefreshLayout.isEnabled()) {
                MyWebView.this.mSwipeRefreshLayout.setRefreshing(true);
            }
            if (MyWebView.this.mLuaWebEvents != null) {
                MyWebView.this.mLuaWebEvents.onPageStarted(MyWebView.this, url, p3);
            }
            initProgressAnimation();
            if (this.errorView != null) {
                MyWebView.this.removeView(this.errorView);
                this.errorView = null;
                MyWebView.this.isErrorPage = false;
            }
            AsyncTask<String, Integer, String> asyncTask = new AsyncTask<String, Integer, String>() { // from class: com.androlua.MyWebView.MyWebClient.3
                private String Url;

                /* JADX INFO: Access modifiers changed from: protected */
                @Override // android.os.AsyncTask
                public String doInBackground(String[] url2) {
                    this.Url = url2[0];
                    try {
                        URL realUrl = new URL(url2[0]);
                        HttpURLConnection oc = (HttpURLConnection) realUrl.openConnection();
                        oc.setConnectTimeout(TbsReaderView.ReaderCallback.GET_BAR_ANIMATING);
                        return oc.getContentType();
                    } catch (IOException e) {
                        return null;
                    }
                }

                /* JADX INFO: Access modifiers changed from: protected */
                @Override // android.os.AsyncTask
                public void onPostExecute(String type) {
                    super.onPostExecute((AnonymousClass3) type);
                    if (type != null && (type.equals("image/jpeg") | type.equals("image/jpg") | type.equals("image/png"))) {
                        MyWebView.this.stopLoading();
                        new SeeImage(this.Url).show();
                    }
                }
            };
            asyncTask.execute(url);
            super.onPageStarted(p1, url, p3);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public boolean shouldOverrideUrlLoading(WebView view, WebResourceRequest request) {
            String url = request.getUrl().toString();
            return (!url.startsWith("file://")) && (((!url.startsWith("https://")) & (!url.startsWith("http://"))) & (!url.startsWith("content://"))) && openAppByUrl(url);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public boolean shouldOverrideUrlLoading(WebView view, String url) {
            return (!url.startsWith("file://")) && (((!url.startsWith("https://")) & (!url.startsWith("http://"))) & (!url.startsWith("content://"))) && openAppByUrl(url);
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void onPageFinished(WebView view, String url) {
            if (MyWebView.this.mLuaWebEvents != null) {
                MyWebView.this.mLuaWebEvents.onPageFinished(view, url);
            }
            if (MyWebView.this.mSwipeRefreshLayout != null && MyWebView.this.mSwipeRefreshLayout.isRefreshing()) {
                MyWebView.this.mSwipeRefreshLayout.setRefreshing(false);
            }
        }

        @Override // com.tencent.smtt.sdk.WebViewClient
        public void doUpdateVisitedHistory(WebView view, String url, boolean isReload) {
            super.doUpdateVisitedHistory(view, url, isReload);
            if (MyWebView.this.needClearHistory) {
                MyWebView.this.needClearHistory = false;
                view.clearHistory();
            }
        }

        private boolean openAppByUrl(final String url) {
            if (MyWebView.this.mSupportOpenApp) {
                if (url.startsWith(WebView.SCHEME_TEL)) {
                    MyWebView.this.mContext.startActivity(new Intent("android.intent.action.DIAL", Uri.parse(url)));
                    return true;
                }
                if ((!url.startsWith("http")) & (!url.startsWith("file"))) {
                    try {
                        if (url.startsWith("intent://")) {
                            try {
                                final Intent intent = Intent.parseUri(url, 1);
                                intent.addCategory("android.intent.category.BROWSABLE");
                                intent.setComponent(null);
                                intent.setSelector(null);
                                List<ResolveInfo> resolves = MyWebView.this.mContext.getPackageManager().queryIntentActivities(intent, 0);
                                if (resolves.size() > 0) {
                                    AlertDialog mOpenAppDialog = new AlertDialog.Builder(MyWebView.this.mContext).setTitle("提示").setMessage("是否打开应用?").setPositiveButton("打开", new DialogInterface.OnClickListener() { // from class: com.androlua.MyWebView.MyWebClient.5
                                        @Override // android.content.DialogInterface.OnClickListener
                                        public void onClick(DialogInterface p1, int p2) {
                                            try {
                                                MyWebView.this.mContext.startActivityIfNeeded(intent, -1);
                                            } catch (Exception e) {
                                                MyWebView.this.mContext.toast("未安装");
                                            }
                                        }
                                    }).setNeutralButton("复制Url", new DialogInterface.OnClickListener() { // from class: com.androlua.MyWebView.MyWebClient.4
                                        @Override // android.content.DialogInterface.OnClickListener
                                        public void onClick(DialogInterface dialog, int which) {
                                        }
                                    }).create();
                                    Window mDialogWindow = mOpenAppDialog.getWindow();
                                    if ($assertionsDisabled || mDialogWindow != null) {
                                        mDialogWindow.setWindowAnimations(R.style.dialog_anim);
                                        mOpenAppDialog.show();
                                        return true;
                                    }
                                    throw new AssertionError();
                                }
                                return true;
                            } catch (URISyntaxException e) {
                                e.printStackTrace();
                                MyWebView.this.mContext.toast("未安装");
                            }
                        }
                        if (!url.startsWith("http")) {
                            try {
                                MyWebView.this.stopLoading();
                                AlertDialog mOpenAppDialog2 = new AlertDialog.Builder(MyWebView.this.mContext).setTitle("提示").setMessage("是否打开应用?").setPositiveButton("打开", new DialogInterface.OnClickListener() { // from class: com.androlua.MyWebView.MyWebClient.6
                                    @Override // android.content.DialogInterface.OnClickListener
                                    public void onClick(DialogInterface p1, int p2) {
                                        try {
                                            MyWebView.this.mContext.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(url)));
                                        } catch (Exception e2) {
                                            MyWebView.this.mContext.toast("未安装");
                                        }
                                    }
                                }).create();
                                Window mDialogWindow2 = mOpenAppDialog2.getWindow();
                                if ($assertionsDisabled || mDialogWindow2 != null) {
                                    mDialogWindow2.setWindowAnimations(R.style.dialog_anim);
                                    mOpenAppDialog2.show();
                                    return true;
                                }
                                throw new AssertionError();
                            } catch (Exception e2) {
                                MyWebView.this.mContext.toast("未安装");
                                e2.printStackTrace();
                            }
                        }
                    } catch (Exception e3) {
                        e3.printStackTrace();
                    }
                }
                return false;
            }
            return true;
        }

        public void removeErrorView() {
            MyWebView.this.removeView(this.errorView);
        }
    }
}
