package com.androlua.util;

import android.graphics.Bitmap;
import com.androlua.constants.Path;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
/* loaded from: classes.dex */
public class MyFile {
    public static String getDir(String dir) {
        File f = new File(dir);
        if (!f.exists()) {
            f.mkdirs();
        }
        return dir;
    }

    public static String getAppStorageDir() {
        return getDir(Path.APP_STORAGE);
    }

    public static String getProjectDir() {
        return getDir(Path.PROJECT_DIR);
    }

    public static String getIconSaveDir() {
        return getDir(Path.ICON_SAVE_DIR);
    }

    public static String getTmpDir() {
        return getDir(Path.TMP_DIR);
    }

    public static String getTmpDir(String sub) {
        return getDir(Path.TMP_DIR) + sub;
    }

    public static String getProjectDir(String subDirName) {
        return getDir(Path.PROJECT_DIR + subDirName);
    }

    public static String getProjectDir(int subDirName) {
        return getDir(Path.PROJECT_DIR + subDirName);
    }

    public static void write(String path, String content) throws IOException {
        File saveFile = new File(path);
        FileOutputStream outStream = new FileOutputStream(saveFile);
        outStream.write(content.getBytes());
        outStream.close();
    }

    public static String read(String path) {
        File file;
        String result = null;
        try {
            file = new File(path);
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (!file.exists()) {
            return null;
        }
        FileInputStream inputStream = new FileInputStream(file);
        byte[] b = new byte[inputStream.available()];
        inputStream.read(b);
        String result2 = new String(b);
        result = result2;
        return result;
    }

    public static String saveBitmap(String path, Bitmap bmp) {
        FileOutputStream out = null;
        File file = new File(path);
        try {
            FileOutputStream out2 = new FileOutputStream(file);
            try {
                bmp.compress(Bitmap.CompressFormat.PNG, 90, out2);
                out = out2;
            } catch (FileNotFoundException e) {
                e = e;
                out = out2;
                e.printStackTrace();
                out.flush();
                out.close();
                return path;
            }
        } catch (FileNotFoundException e2) {
            e = e2;
        }
        try {
            out.flush();
            out.close();
            return path;
        } catch (IOException e3) {
            e3.printStackTrace();
            return null;
        }
    }
}
