package com.androlua.util;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.security.Key;
import java.security.KeyPair;
import java.security.KeyPairGenerator;
import java.security.SecureRandom;
import javax.crypto.Cipher;
/* loaded from: classes.dex */
public class RSASecurity {
    private static final String ALGORITHM = "RSA";
    private static final int KEYSIZE = 1024;
    private static String PUBLIC_KEY_FILE = "/sdcard/AndroLua/PublicKey";
    private static String PRIVATE_KEY_FILE = "/sdcard/AndroLua/PrivateKey";

    public static void generateKeyPair() throws Exception {
        ObjectOutputStream oos1;
        ObjectOutputStream oos2;
        SecureRandom secureRandom = new SecureRandom();
        KeyPairGenerator keyPairGenerator = KeyPairGenerator.getInstance(ALGORITHM);
        keyPairGenerator.initialize(1024, secureRandom);
        keyPairGenerator.initialize(1024);
        KeyPair keyPair = keyPairGenerator.generateKeyPair();
        Key publicKey = keyPair.getPublic();
        Key privateKey = keyPair.getPrivate();
        ObjectOutputStream oos12 = null;
        ObjectOutputStream oos22 = null;
        try {
            try {
                oos1 = new ObjectOutputStream(new FileOutputStream(PUBLIC_KEY_FILE));
                try {
                    oos2 = new ObjectOutputStream(new FileOutputStream(PRIVATE_KEY_FILE));
                } catch (Exception e) {
                    throw e;
                } catch (Throwable th) {
                    th = th;
                    oos12 = oos1;
                }
            } catch (Throwable th2) {
                th = th2;
            }
            try {
                oos1.writeObject(publicKey);
                oos2.writeObject(privateKey);
                oos1.close();
                oos2.close();
            } catch (Exception e2) {
            } catch (Throwable th3) {
                th = th3;
                oos22 = oos2;
                oos12 = oos1;
                oos12.close();
                oos22.close();
                throw th;
            }
        } catch (Exception e3) {
            throw e3;
        }
    }

    public static byte[] encrypt(String source) throws Exception {
        ObjectInputStream ois;
        generateKeyPair();
        ObjectInputStream ois2 = null;
        try {
            try {
                ois = new ObjectInputStream(new FileInputStream(PUBLIC_KEY_FILE));
            } catch (Exception e) {
                throw e;
            }
        } catch (Throwable th) {
            th = th;
        }
        try {
            Key publicKey = (Key) ois.readObject();
            ois.close();
            Cipher cipher = Cipher.getInstance(ALGORITHM);
            cipher.init(1, publicKey);
            byte[] b = source.getBytes();
            byte[] b1 = cipher.doFinal(b);
            return b1;
        } catch (Exception e2) {
            throw e2;
        } catch (Throwable th2) {
            th = th2;
            ois2 = ois;
            ois2.close();
            throw th;
        }
    }

    public static byte[] decrypt(byte[] cryptograph) throws Exception {
        ObjectInputStream ois;
        ObjectInputStream ois2 = null;
        try {
            try {
                ois = new ObjectInputStream(new FileInputStream(PRIVATE_KEY_FILE));
            } catch (Throwable th) {
                th = th;
            }
            try {
                Key privateKey = (Key) ois.readObject();
                ois.close();
                Cipher cipher = Cipher.getInstance(ALGORITHM);
                cipher.init(2, privateKey);
                byte[] b = cipher.doFinal(cryptograph);
                return b;
            } catch (Exception e) {
                throw e;
            } catch (Throwable th2) {
                th = th2;
                ois2 = ois;
                ois2.close();
                throw th;
            }
        } catch (Exception e2) {
            throw e2;
        }
    }
}
