package com.androlua.util;

import android.content.SharedPreferences;
import com.androlua.LuaActivity;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;
/* loaded from: classes.dex */
public class SharedPreUtil {
    private String key;
    private SharedPreferences mSharedPreferences;
    private SharedPreferences.Editor mSharedPreferences_edit;

    public SharedPreUtil(LuaActivity mContext, String name, String key) {
        this.key = key;
        this.mSharedPreferences = mContext.getSharedPreferences(name, 0);
        this.mSharedPreferences_edit = this.mSharedPreferences.edit();
    }

    public SharedPreUtil(LuaActivity mContext, String name) {
        this.mSharedPreferences = mContext.getSharedPreferences(name, 0);
        this.mSharedPreferences_edit = this.mSharedPreferences.edit();
    }

    public boolean appendString(String str) {
        return setString(getString() + str);
    }

    public String getString() {
        return this.mSharedPreferences.getString(this.key, "");
    }

    public String getString(String key) {
        return this.mSharedPreferences.getString(key, "");
    }

    public boolean setString(String content) {
        this.mSharedPreferences_edit.putString(this.key, content);
        return this.mSharedPreferences_edit.commit();
    }

    public boolean setString(String key, String content) {
        this.mSharedPreferences_edit.putString(key, content);
        return this.mSharedPreferences_edit.commit();
    }

    public boolean getBoolean() {
        return this.mSharedPreferences.getBoolean(this.key, false);
    }

    public boolean getBoolean(String key) {
        return this.mSharedPreferences.getBoolean(key, false);
    }

    public boolean setBoolean(boolean b) {
        this.mSharedPreferences_edit.putBoolean(this.key, b);
        return this.mSharedPreferences_edit.commit();
    }

    public boolean setBoolean(String key, boolean b) {
        this.mSharedPreferences_edit.putBoolean(key, b);
        return this.mSharedPreferences_edit.commit();
    }

    public Set<String> getHashSet() {
        return this.mSharedPreferences.getStringSet(this.key, null);
    }

    public Boolean setHashSet(Set<String> set) {
        this.mSharedPreferences_edit.putStringSet(this.key, new HashSet()).apply();
        this.mSharedPreferences_edit.putStringSet(this.key, set);
        return Boolean.valueOf(this.mSharedPreferences_edit.commit());
    }

    public void appendHashSet(HashSet<String> sets) {
        HashSet<String> mHashSet = (HashSet) getHashSet();
        if (mHashSet == null) {
            setHashSet(sets);
            return;
        }
        Iterator<String> it = sets.iterator();
        while (it.hasNext()) {
            String str = it.next();
            mHashSet.add(str);
        }
        setHashSet(mHashSet);
    }
}
