package com.androlua.util;

import android.support.v4.view.accessibility.AccessibilityEventCompat;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Enumeration;
import java.util.logging.Logger;
import java.util.zip.Adler32;
import java.util.zip.CheckedInputStream;
import java.util.zip.CheckedOutputStream;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;
import java.util.zip.ZipInputStream;
import java.util.zip.ZipOutputStream;
/* loaded from: classes.dex */
public class ZipUtil {
    private static final Logger logger = Logger.getLogger(ZipUtil.class.getName());
    private static final byte[] BUFFER = new byte[AccessibilityEventCompat.TYPE_WINDOWS_CHANGED];

    /* JADX WARN: Removed duplicated region for block: B:28:0x00fe  */
    /* JADX WARN: Removed duplicated region for block: B:53:0x013f  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static boolean zip(String sourceFilePath, String zipFilePath) {
        boolean result = false;
        File source = new File(sourceFilePath);
        if (!source.exists()) {
            logger.info(sourceFilePath + " doesn't exist.");
            return false;
        } else if (!source.isDirectory()) {
            logger.info(sourceFilePath + " is not a directory.");
            return false;
        } else {
            File zipFile = new File(zipFilePath + "/" + source.getName() + ".zip");
            if (zipFile.exists()) {
                logger.info(zipFile.getName() + " is already exist.");
                return false;
            } else if (!zipFile.getParentFile().exists() && !zipFile.getParentFile().mkdirs()) {
                logger.info("cann't create file " + zipFile.getName());
                return false;
            } else {
                logger.info("creating zip file...");
                ZipOutputStream out = null;
                try {
                    try {
                        FileOutputStream dest = new FileOutputStream(zipFile);
                        try {
                            CheckedOutputStream checksum = new CheckedOutputStream(dest, new Adler32());
                            ZipOutputStream out2 = new ZipOutputStream(new BufferedOutputStream(checksum));
                            try {
                                out2.setMethod(8);
                                compress(source, out2, source.getName());
                                result = true;
                                if (out2 != null) {
                                    try {
                                        out2.closeEntry();
                                    } catch (IOException e) {
                                        e.printStackTrace();
                                    }
                                    try {
                                        out2.close();
                                    } catch (IOException e2) {
                                        e2.printStackTrace();
                                    }
                                }
                            } catch (FileNotFoundException e3) {
                                e = e3;
                                out = out2;
                                e.printStackTrace();
                                if (out != null) {
                                    try {
                                        out.closeEntry();
                                    } catch (IOException e4) {
                                        e4.printStackTrace();
                                    }
                                    try {
                                        out.close();
                                    } catch (IOException e5) {
                                        e5.printStackTrace();
                                    }
                                }
                                if (result) {
                                }
                                return result;
                            } catch (Throwable th) {
                                th = th;
                                out = out2;
                                if (out != null) {
                                    try {
                                        out.closeEntry();
                                    } catch (IOException e6) {
                                        e6.printStackTrace();
                                    }
                                    try {
                                        out.close();
                                    } catch (IOException e7) {
                                        e7.printStackTrace();
                                    }
                                }
                                throw th;
                            }
                        } catch (FileNotFoundException e8) {
                            e = e8;
                        } catch (Throwable th2) {
                            th = th2;
                        }
                    } catch (FileNotFoundException e9) {
                        e = e9;
                    }
                    if (result) {
                        logger.info("fail.");
                    } else {
                        logger.info("done.");
                    }
                    return result;
                } catch (Throwable th3) {
                    th = th3;
                }
            }
        }
    }

    private static void compress(File file, ZipOutputStream out, String mainFileName) {
        File[] fs;
        BufferedInputStream origin;
        if (!file.isFile()) {
            if (!file.isDirectory() || (fs = file.listFiles()) == null || fs.length <= 0) {
                return;
            }
            for (File f : fs) {
                compress(f, out, mainFileName);
            }
            return;
        }
        BufferedInputStream origin2 = null;
        try {
            try {
                FileInputStream fi = new FileInputStream(file);
                try {
                    origin = new BufferedInputStream(fi, BUFFER.length);
                } catch (FileNotFoundException e) {
                    e = e;
                } catch (IOException e2) {
                    e = e2;
                } catch (Throwable th) {
                    th = th;
                }
            } catch (Throwable th2) {
                th = th2;
            }
        } catch (FileNotFoundException e3) {
            e = e3;
        } catch (IOException e4) {
            e = e4;
        }
        try {
            int index = file.getAbsolutePath().indexOf(mainFileName);
            String entryName = file.getAbsolutePath().substring(index);
            System.out.println(entryName);
            ZipEntry entry = new ZipEntry(entryName);
            out.putNextEntry(entry);
            while (true) {
                int count = origin.read(BUFFER, 0, BUFFER.length);
                if (count == -1) {
                    break;
                }
                out.write(BUFFER, 0, count);
            }
            if (origin != null) {
                try {
                    origin.close();
                    origin2 = origin;
                } catch (IOException e5) {
                    e5.printStackTrace();
                    origin2 = origin;
                }
            } else {
                origin2 = origin;
            }
        } catch (FileNotFoundException e6) {
            e = e6;
            origin2 = origin;
            e.printStackTrace();
            if (origin2 != null) {
                try {
                    origin2.close();
                } catch (IOException e7) {
                    e7.printStackTrace();
                }
            }
        } catch (IOException e8) {
            e = e8;
            origin2 = origin;
            e.printStackTrace();
            if (origin2 != null) {
                try {
                    origin2.close();
                } catch (IOException e9) {
                    e9.printStackTrace();
                }
            }
        } catch (Throwable th3) {
            th = th3;
            origin2 = origin;
            if (origin2 != null) {
                try {
                    origin2.close();
                } catch (IOException e10) {
                    e10.printStackTrace();
                }
            }
            throw th;
        }
    }

    public static boolean unzip(String zipPath, String destPath) {
        return unzip(new File(zipPath), destPath);
    }

    /* JADX WARN: Code restructure failed: missing block: B:20:0x00e4, code lost:
        throw new java.lang.RuntimeException("create file " + r14.getName() + " fail");
     */
    /* JADX WARN: Removed duplicated region for block: B:27:0x00f2  */
    /* JADX WARN: Removed duplicated region for block: B:59:0x016c  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static boolean unzip(File zipFile, String destPath) {
        boolean result = false;
        if (!zipFile.exists()) {
            logger.info(zipFile.getName() + " doesn't exist.");
            return false;
        }
        File target = new File(destPath);
        if (!target.exists() && !target.mkdirs()) {
            logger.info("cann't create file " + target.getName());
            return false;
        }
        ZipInputStream zis = null;
        logger.info("start unzip file ...");
        try {
            try {
                FileInputStream fis = new FileInputStream(zipFile);
                CheckedInputStream checksum = new CheckedInputStream(fis, new Adler32());
                ZipInputStream zis2 = new ZipInputStream(new BufferedInputStream(checksum));
                while (true) {
                    try {
                        ZipEntry entry = zis2.getNextEntry();
                        if (entry != null) {
                            String entryName = entry.getName();
                            String newEntryName = destPath + "/" + entryName;
                            System.out.println(newEntryName);
                            File temp = new File(newEntryName).getParentFile();
                            if (!temp.exists() && !temp.mkdirs()) {
                                break;
                            }
                            FileOutputStream fos = new FileOutputStream(newEntryName);
                            BufferedOutputStream dest = new BufferedOutputStream(fos, BUFFER.length);
                            while (true) {
                                int count = zis2.read(BUFFER, 0, BUFFER.length);
                                if (count != -1) {
                                    dest.write(BUFFER, 0, count);
                                }
                            }
                            dest.flush();
                            dest.close();
                        } else {
                            result = true;
                            if (zis2 != null) {
                                try {
                                    zis2.close();
                                    zis = zis2;
                                } catch (IOException e) {
                                    e.printStackTrace();
                                    zis = zis2;
                                }
                            } else {
                                zis = zis2;
                            }
                        }
                    } catch (FileNotFoundException e2) {
                        e = e2;
                        zis = zis2;
                        e.printStackTrace();
                        if (zis != null) {
                            try {
                                zis.close();
                            } catch (IOException e3) {
                                e3.printStackTrace();
                            }
                        }
                        if (result) {
                        }
                        return result;
                    } catch (IOException e4) {
                        e = e4;
                        zis = zis2;
                        e.printStackTrace();
                        if (zis != null) {
                            try {
                                zis.close();
                            } catch (IOException e5) {
                                e5.printStackTrace();
                            }
                        }
                        if (result) {
                        }
                        return result;
                    } catch (Throwable th) {
                        th = th;
                        zis = zis2;
                        if (zis != null) {
                            try {
                                zis.close();
                            } catch (IOException e6) {
                                e6.printStackTrace();
                            }
                        }
                        throw th;
                    }
                }
            } catch (Throwable th2) {
                th = th2;
            }
        } catch (FileNotFoundException e7) {
            e = e7;
        } catch (IOException e8) {
            e = e8;
        }
        if (result) {
            logger.info("done.");
        } else {
            logger.info("fail.");
        }
        return result;
    }

    public static void copy(InputStream input, OutputStream output) throws IOException {
        while (true) {
            int bytesRead = input.read(BUFFER);
            if (bytesRead != -1) {
                output.write(BUFFER, 0, bytesRead);
            } else {
                return;
            }
        }
    }

    public static void append(String zipFilePath, String appendFilePath) throws Exception {
        ZipFile war = new ZipFile(zipFilePath);
        ZipOutputStream append = new ZipOutputStream(new FileOutputStream(zipFilePath));
        Enumeration<? extends ZipEntry> entries = war.entries();
        while (entries.hasMoreElements()) {
            ZipEntry e = entries.nextElement();
            System.out.println("copy: " + e.getName());
            append.putNextEntry(e);
            if (!e.isDirectory()) {
                copy(war.getInputStream(e), append);
            }
            append.closeEntry();
        }
        ZipEntry e2 = new ZipEntry(appendFilePath);
        System.out.println("append: " + e2.getName());
        append.putNextEntry(e2);
        copy(new FileInputStream(new File(appendFilePath)), append);
        append.closeEntry();
        war.close();
        append.close();
    }
}
