package com.flask.colorpicker;

import android.graphics.Color;
import android.support.v4.view.ViewCompat;
/* loaded from: classes.dex */
public class Utils {
    public static float getAlphaPercent(int argb) {
        return Color.alpha(argb) / 255.0f;
    }

    public static int alphaValueAsInt(float alpha) {
        return Math.round(255.0f * alpha);
    }

    public static int adjustAlpha(float alpha, int color) {
        return (alphaValueAsInt(alpha) << 24) | (16777215 & color);
    }

    public static int colorAtLightness(int color, float lightness) {
        Color.colorToHSV(color, hsv);
        float[] hsv = {0.0f, 0.0f, lightness};
        return Color.HSVToColor(hsv);
    }

    public static float lightnessOfColor(int color) {
        float[] hsv = new float[3];
        Color.colorToHSV(color, hsv);
        return hsv[2];
    }

    public static String getHexString(int color, boolean showAlpha) {
        int base = showAlpha ? -1 : ViewCompat.MEASURED_SIZE_MASK;
        String format = showAlpha ? "#%08X" : "#%06X";
        return String.format(format, Integer.valueOf(base & color)).toUpperCase();
    }
}
