package com.luajava;

import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public final class LuaStateFactory {
    private static final Map<Long, LuaState> states = new HashMap();

    private LuaStateFactory() {
    }

    public static synchronized LuaState newLuaState() {
        LuaState L;
        synchronized (LuaStateFactory.class) {
            L = new LuaState();
            states.put(Long.valueOf(L.getPointer()), L);
        }
        return L;
    }

    public static synchronized LuaState getExistingState(long index) {
        LuaState l;
        synchronized (LuaStateFactory.class) {
            l = states.get(Long.valueOf(index));
            if (l == null) {
                l = new LuaState(index);
                states.put(Long.valueOf(index), l);
            }
        }
        return l;
    }

    public static synchronized long insertLuaState(LuaState L) {
        long pointer;
        synchronized (LuaStateFactory.class) {
            states.put(Long.valueOf(L.getPointer()), L);
            pointer = L.getPointer();
        }
        return pointer;
    }

    public static synchronized void removeLuaState(long idx) {
        synchronized (LuaStateFactory.class) {
            states.put(Long.valueOf(idx), null);
        }
    }
}
