package com.luajava;

import java.util.Collection;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
/* loaded from: classes.dex */
public class LuaTable<K, V> extends LuaObject implements Map<K, V> {
    @Override // java.util.Map
    public void clear() {
        push();
        this.L.pushNil();
        while (this.L.next(-2) != 0) {
            this.L.pop(1);
            this.L.pushValue(-1);
            this.L.pushNil();
            this.L.setTable(-4);
        }
        this.L.pop(1);
    }

    @Override // java.util.Map
    public boolean containsKey(Object key) {
        push();
        try {
            this.L.pushObjectValue(key);
            boolean b = this.L.getTable(-2) == 0;
            this.L.pop(1);
            this.L.pop(1);
            return b;
        } catch (LuaException e) {
            return false;
        }
    }

    @Override // java.util.Map
    public boolean containsValue(Object value) {
        return false;
    }

    @Override // java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        HashSet<Map.Entry<K, V>> sets = new HashSet<>();
        push();
        this.L.pushNil();
        while (this.L.next(-2) != 0) {
            try {
                sets.add(new LuaEntry<>(this.L.toJavaObject(-2), this.L.toJavaObject(-1)));
            } catch (LuaException e) {
            }
            this.L.pop(1);
        }
        this.L.pop(1);
        return sets;
    }

    @Override // java.util.Map
    public V get(Object key) {
        push();
        V obj = null;
        try {
            this.L.pushObjectValue(key);
            this.L.getTable(-2);
            obj = (V) this.L.toJavaObject(-1);
            this.L.pop(1);
        } catch (LuaException e) {
        }
        this.L.pop(1);
        return obj;
    }

    @Override // java.util.Map
    public boolean isEmpty() {
        push();
        this.L.pushNil();
        boolean b = this.L.next(-2) == 0;
        if (b) {
            this.L.pop(1);
        } else {
            this.L.pop(3);
        }
        return b;
    }

    @Override // java.util.Map
    public Set<K> keySet() {
        HashSet hashSet = new HashSet();
        push();
        this.L.pushNil();
        while (this.L.next(-2) != 0) {
            try {
                hashSet.add(this.L.toJavaObject(-2));
            } catch (LuaException e) {
            }
            this.L.pop(1);
        }
        this.L.pop(1);
        return hashSet;
    }

    @Override // java.util.Map
    public V put(K key, V value) {
        push();
        try {
            this.L.pushObjectValue(key);
            this.L.pushObjectValue(value);
            this.L.setTable(-3);
        } catch (LuaException e) {
        }
        this.L.pop(1);
        return null;
    }

    @Override // java.util.Map
    public void putAll(Map p1) {
    }

    @Override // java.util.Map
    public V remove(Object key) {
        push();
        try {
            this.L.pushObjectValue(key);
            this.L.setTable(-2);
        } catch (LuaException e) {
        }
        this.L.pop(1);
        return null;
    }

    public boolean isList() {
        push();
        int len = this.L.rawLen(-1);
        if (len != 0) {
            pop();
            return true;
        }
        this.L.pushNil();
        boolean b = this.L.next(-2) == 0;
        if (b) {
            this.L.pop(1);
            return b;
        }
        this.L.pop(3);
        return b;
    }

    public int length() {
        push();
        int len = this.L.rawLen(-1);
        pop();
        return len;
    }

    @Override // java.util.Map
    public int size() {
        int n = 0;
        push();
        this.L.pushNil();
        while (this.L.next(-2) != 0) {
            n++;
            this.L.pop(1);
        }
        this.L.pop(1);
        return n;
    }

    @Override // java.util.Map
    public Collection values() {
        return null;
    }

    protected LuaTable(LuaState L, String globalName) {
        super(L, globalName);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public LuaTable(LuaState L, int index) {
        super(L, index);
    }

    public LuaTable(LuaState L) {
        super(L);
        L.newTable();
        registerValue(-1);
    }

    /* loaded from: classes.dex */
    public class LuaEntry<K, V> implements Map.Entry<K, V> {
        private K mKey;
        private V mValue;

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.mKey;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.mValue;
        }

        @Override // java.util.Map.Entry
        public V setValue(V value) {
            V old = this.mValue;
            this.mValue = value;
            return old;
        }

        public LuaEntry(K k, V v) {
            this.mKey = k;
            this.mValue = v;
        }
    }
}
