package com.myopicmobile.textwarrior.android;

import android.content.Context;
import android.content.res.TypedArray;
import android.view.ActionMode;
import android.view.Menu;
import android.view.MenuItem;
/* loaded from: classes.dex */
public class ClipboardPanel {
    private ActionMode _clipboardActionMode;
    private Context _context;
    protected FreeScrollingTextField _textField;

    public ClipboardPanel(FreeScrollingTextField textField) {
        this._textField = textField;
        this._context = textField.getContext();
    }

    public Context getContext() {
        return this._context;
    }

    public void show() {
        startClipboardAction();
    }

    public void hide() {
        stopClipboardAction();
    }

    public void startClipboardAction() {
        if (this._clipboardActionMode == null) {
            this._textField.startActionMode(new ActionMode.Callback() { // from class: com.myopicmobile.textwarrior.android.ClipboardPanel.1
                @Override // android.view.ActionMode.Callback
                public boolean onCreateActionMode(ActionMode mode, Menu menu) {
                    ClipboardPanel.this._clipboardActionMode = mode;
                    mode.setTitle(17039382);
                    TypedArray array = ClipboardPanel.this._context.getTheme().obtainStyledAttributes(new int[]{16843646, 16843537, 16843538, 16843539});
                    menu.add(0, 0, 0, ClipboardPanel.this._context.getString(17039373)).setShowAsActionFlags(2).setAlphabeticShortcut('a').setIcon(array.getDrawable(0));
                    menu.add(0, 1, 0, ClipboardPanel.this._context.getString(17039363)).setShowAsActionFlags(2).setAlphabeticShortcut('x').setIcon(array.getDrawable(1));
                    menu.add(0, 2, 0, ClipboardPanel.this._context.getString(17039361)).setShowAsActionFlags(2).setAlphabeticShortcut('c').setIcon(array.getDrawable(2));
                    menu.add(0, 3, 0, ClipboardPanel.this._context.getString(17039371)).setShowAsActionFlags(2).setAlphabeticShortcut('v').setIcon(array.getDrawable(3));
                    array.recycle();
                    return true;
                }

                @Override // android.view.ActionMode.Callback
                public boolean onPrepareActionMode(ActionMode mode, Menu menu) {
                    return false;
                }

                @Override // android.view.ActionMode.Callback
                public boolean onActionItemClicked(ActionMode mode, MenuItem item) {
                    switch (item.getItemId()) {
                        case 0:
                            ClipboardPanel.this._textField.selectAll();
                            return false;
                        case 1:
                            ClipboardPanel.this._textField.cut();
                            mode.finish();
                            return false;
                        case 2:
                            ClipboardPanel.this._textField.copy();
                            mode.finish();
                            return false;
                        case 3:
                            ClipboardPanel.this._textField.paste();
                            mode.finish();
                            return false;
                        default:
                            return false;
                    }
                }

                @Override // android.view.ActionMode.Callback
                public void onDestroyActionMode(ActionMode p1) {
                    ClipboardPanel.this._textField.selectText(false);
                    ClipboardPanel.this._clipboardActionMode = null;
                }
            });
        }
    }

    public void stopClipboardAction() {
        if (this._clipboardActionMode != null) {
            this._clipboardActionMode.finish();
            this._clipboardActionMode = null;
        }
    }
}
