package com.myopicmobile.textwarrior.android;

import android.view.KeyEvent;
/* loaded from: classes.dex */
public class KeysInterpreter {
    public static boolean isSwitchPanel(KeyEvent event) {
        return event.isShiftPressed() && event.getKeyCode() == 66;
    }

    public static char keyEventToPrintableChar(KeyEvent event) {
        if (isNewline(event)) {
            return '\n';
        }
        if (isBackspace(event)) {
            return '\b';
        }
        if (isTab(event)) {
            return '\t';
        }
        if (isSpace(event)) {
            return ' ';
        }
        if (!event.isPrintingKey()) {
            return (char) 0;
        }
        char c = (char) event.getUnicodeChar(event.getMetaState());
        return c;
    }

    private static boolean isTab(KeyEvent event) {
        return (event.isShiftPressed() && event.getKeyCode() == 62) || event.getKeyCode() == 61;
    }

    private static boolean isBackspace(KeyEvent event) {
        return event.getKeyCode() == 67;
    }

    private static boolean isNewline(KeyEvent event) {
        return event.getKeyCode() == 66;
    }

    private static boolean isSpace(KeyEvent event) {
        return event.getKeyCode() == 62;
    }

    public static boolean isNavigationKey(KeyEvent event) {
        int keyCode = event.getKeyCode();
        return keyCode == 20 || keyCode == 19 || keyCode == 22 || keyCode == 21;
    }
}
