package com.myopicmobile.textwarrior.common;

import android.app.ProgressDialog;
import android.os.AsyncTask;
import com.androlua.LuaEditor;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
/* loaded from: classes.dex */
public class ReadTask extends AsyncTask {
    private static int _total = 0;
    protected final Document _buf;
    private ProgressDialog _dlg;
    private LuaEditor _edit;
    private File _file;
    private long _len;

    public int getMin() {
        return 0;
    }

    public int getMax() {
        return (int) this._len;
    }

    public int getCurrent() {
        return _total;
    }

    public ReadTask(LuaEditor edit, String fileName) {
        this(edit, new File(fileName));
    }

    public ReadTask(LuaEditor edit, File file) {
        this._file = file;
        this._len = this._file.length();
        this._edit = edit;
        this._buf = new Document(edit);
        this._dlg = new ProgressDialog(edit.getContext());
        this._dlg.setProgressStyle(1);
        this._dlg.setTitle("正在打开");
        this._dlg.setIcon(17301659);
        this._dlg.setMax((int) this._len);
    }

    public void start() {
        execute(new Object[0]);
        this._dlg.show();
    }

    @Override // android.os.AsyncTask
    protected Object doInBackground(Object[] p1) {
        try {
            FileInputStream fi = new FileInputStream(this._file);
            byte[] buf = readAll(fi);
            return new String(buf);
        } catch (Exception e) {
            this._dlg.setMessage(e.getMessage());
            return "";
        }
    }

    @Override // android.os.AsyncTask
    protected void onPostExecute(Object result) {
        super.onPostExecute(result);
        this._edit.setText((String) result);
        this._dlg.dismiss();
    }

    @Override // android.os.AsyncTask
    protected void onProgressUpdate(Object[] values) {
        this._dlg.setProgress(_total);
        super.onProgressUpdate(values);
    }

    private byte[] readAll(InputStream input) throws IOException {
        ByteArrayOutputStream output = new ByteArrayOutputStream(4096);
        byte[] buffer = new byte[4096];
        _total = 0;
        while (true) {
            int n = input.read(buffer);
            if (-1 != n) {
                output.write(buffer, 0, n);
                _total += n;
                publishProgress(new Object[0]);
            } else {
                byte[] ret = output.toByteArray();
                output.close();
                return ret;
            }
        }
    }
}
