package com.pixplicity.sharp;

import android.graphics.Picture;
import android.graphics.RectF;
import android.support.annotation.Nullable;
import android.view.View;
/* loaded from: classes.dex */
public class SharpPicture {
    private RectF mBounds;
    private RectF mLimits = null;
    private Picture mPicture;

    /* JADX INFO: Access modifiers changed from: package-private */
    public SharpPicture(Picture picture, RectF bounds) {
        this.mPicture = picture;
        this.mBounds = bounds;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void setLimits(RectF limits) {
        this.mLimits = limits;
    }

    public SharpDrawable createDrawable(@Nullable View view, int sizeInPixels) {
        SharpDrawable drawable = getDrawable(view);
        float ratio = drawable.getIntrinsicWidth() / drawable.getIntrinsicHeight();
        if (ratio < 1.0f) {
            drawable.setBounds(0, 0, (int) (sizeInPixels * ratio), sizeInPixels);
        } else {
            drawable.setBounds(0, 0, sizeInPixels, (int) (sizeInPixels / ratio));
        }
        return drawable;
    }

    public SharpDrawable getDrawable() {
        return new SharpDrawable(this.mPicture);
    }

    @Deprecated
    public SharpDrawable getDrawable(@Nullable View view) {
        return new SharpDrawable(view, this.mPicture);
    }

    public Picture getPicture() {
        return this.mPicture;
    }

    public RectF getBounds() {
        return this.mBounds;
    }

    public RectF getLimits() {
        return this.mLimits;
    }
}
