package com.pixplicity.sharp;

import android.support.v4.view.MotionEventCompat;
import com.myopicmobile.textwarrior.common.Lexer;
/* loaded from: classes.dex */
public class SvgParserHelper {
    private static final double[] pow10 = new double[128];
    private char current;
    private int n;
    public int pos;
    private CharSequence s;

    public SvgParserHelper(CharSequence s, int pos) {
        this.s = s;
        this.pos = pos;
        this.n = s.length();
        this.current = s.charAt(pos);
    }

    private char read() {
        if (this.pos < this.n) {
            this.pos++;
        }
        if (this.pos == this.n) {
            return (char) 0;
        }
        return this.s.charAt(this.pos);
    }

    public void skipWhitespace() {
        while (this.pos < this.n && Character.isWhitespace(this.s.charAt(this.pos))) {
            advance();
        }
    }

    public void skipNumberSeparator() {
        while (this.pos < this.n) {
            char c = this.s.charAt(this.pos);
            switch (c) {
                case '\t':
                case '\n':
                case ' ':
                case MotionEventCompat.AXIS_GENERIC_13 /* 44 */:
                    advance();
                default:
                    return;
            }
        }
    }

    public void advance() {
        this.current = read();
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARN: Removed duplicated region for block: B:50:0x00bc  */
    /* JADX WARN: Removed duplicated region for block: B:54:0x00c9 A[LOOP:3: B:54:0x00c9->B:55:0x00d1, LOOP_START] */
    /* JADX WARN: Removed duplicated region for block: B:73:0x00d5 A[SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public float parseFloat() {
        int mant = 0;
        int mantDig = 0;
        boolean mantPos = true;
        boolean mantRead = false;
        int exp = 0;
        int expDig = 0;
        int expAdj = 0;
        boolean expPos = true;
        switch (this.current) {
            case MotionEventCompat.AXIS_GENERIC_12 /* 43 */:
                this.current = read();
                break;
            case MotionEventCompat.AXIS_GENERIC_14 /* 45 */:
                mantPos = false;
                this.current = read();
                break;
        }
        switch (this.current) {
            case MotionEventCompat.AXIS_GENERIC_15 /* 46 */:
                break;
            case MotionEventCompat.AXIS_GENERIC_16 /* 47 */:
            default:
                return Float.NaN;
            case '0':
                mantRead = true;
                while (true) {
                    this.current = read();
                    switch (this.current) {
                        case MotionEventCompat.AXIS_GENERIC_15 /* 46 */:
                        case 'E':
                        case 'e':
                            break;
                        case '0':
                            break;
                        case '1':
                        case Lexer.SINGLE_SYMBOL_DELIMITED_A /* 50 */:
                        case Lexer.SINGLE_SYMBOL_DELIMITED_B /* 51 */:
                        case '4':
                        case '5':
                        case '6':
                        case '7':
                        case '8':
                        case '9':
                        default:
                            return 0.0f;
                    }
                }
            case '1':
            case Lexer.SINGLE_SYMBOL_DELIMITED_A /* 50 */:
            case Lexer.SINGLE_SYMBOL_DELIMITED_B /* 51 */:
            case '4':
            case '5':
            case '6':
            case '7':
            case '8':
            case '9':
                mantRead = true;
                while (true) {
                    if (mantDig < 9) {
                        mantDig++;
                        mant = (mant * 10) + (this.current - '0');
                    } else {
                        expAdj++;
                    }
                    this.current = read();
                    switch (this.current) {
                    }
                }
                break;
        }
        if (this.current == '.') {
            this.current = read();
            switch (this.current) {
                case '0':
                    if (mantDig == 0) {
                        while (true) {
                            this.current = read();
                            expAdj--;
                            switch (this.current) {
                                case '0':
                                    break;
                                case '1':
                                case Lexer.SINGLE_SYMBOL_DELIMITED_A /* 50 */:
                                case Lexer.SINGLE_SYMBOL_DELIMITED_B /* 51 */:
                                case '4':
                                case '5':
                                case '6':
                                case '7':
                                case '8':
                                case '9':
                                default:
                                    if (!mantRead) {
                                        return 0.0f;
                                    }
                                    break;
                            }
                        }
                    }
                    break;
                case '1':
                case Lexer.SINGLE_SYMBOL_DELIMITED_A /* 50 */:
                case Lexer.SINGLE_SYMBOL_DELIMITED_B /* 51 */:
                case '4':
                case '5':
                case '6':
                case '7':
                case '8':
                case '9':
                    while (true) {
                        if (mantDig < 9) {
                            mantDig++;
                            mant = (mant * 10) + (this.current - '0');
                            expAdj--;
                        }
                        this.current = read();
                        switch (this.current) {
                        }
                    }
                    break;
                default:
                    if (!mantRead) {
                        reportUnexpectedCharacterError(this.current);
                        return 0.0f;
                    }
                    break;
            }
        }
        switch (this.current) {
            case 'E':
            case 'e':
                this.current = read();
                switch (this.current) {
                    case MotionEventCompat.AXIS_GENERIC_12 /* 43 */:
                        this.current = read();
                        switch (this.current) {
                            case '0':
                            case '1':
                            case Lexer.SINGLE_SYMBOL_DELIMITED_A /* 50 */:
                            case Lexer.SINGLE_SYMBOL_DELIMITED_B /* 51 */:
                            case '4':
                            case '5':
                            case '6':
                            case '7':
                            case '8':
                            case '9':
                                break;
                            default:
                                reportUnexpectedCharacterError(this.current);
                                return 0.0f;
                        }
                        switch (this.current) {
                            case '0':
                                while (true) {
                                    this.current = read();
                                    switch (this.current) {
                                    }
                                }
                            case '1':
                            case Lexer.SINGLE_SYMBOL_DELIMITED_A /* 50 */:
                            case Lexer.SINGLE_SYMBOL_DELIMITED_B /* 51 */:
                            case '4':
                            case '5':
                            case '6':
                            case '7':
                            case '8':
                            case '9':
                                while (true) {
                                    if (expDig < 3) {
                                        expDig++;
                                        exp = (exp * 10) + (this.current - '0');
                                    }
                                    this.current = read();
                                    switch (this.current) {
                                    }
                                }
                                break;
                        }
                    case MotionEventCompat.AXIS_GENERIC_13 /* 44 */:
                    case MotionEventCompat.AXIS_GENERIC_15 /* 46 */:
                    case MotionEventCompat.AXIS_GENERIC_16 /* 47 */:
                    default:
                        reportUnexpectedCharacterError(this.current);
                        return 0.0f;
                    case MotionEventCompat.AXIS_GENERIC_14 /* 45 */:
                        expPos = false;
                        this.current = read();
                        switch (this.current) {
                        }
                        switch (this.current) {
                        }
                    case '0':
                    case '1':
                    case Lexer.SINGLE_SYMBOL_DELIMITED_A /* 50 */:
                    case Lexer.SINGLE_SYMBOL_DELIMITED_B /* 51 */:
                    case '4':
                    case '5':
                    case '6':
                    case '7':
                    case '8':
                    case '9':
                        switch (this.current) {
                        }
                }
        }
        if (!expPos) {
            exp = -exp;
        }
        int exp2 = exp + expAdj;
        if (!mantPos) {
            mant = -mant;
        }
        return buildFloat(mant, exp2);
    }

    private void reportUnexpectedCharacterError(char c) {
        throw new RuntimeException("Unexpected char '" + c + "'.");
    }

    public static float buildFloat(int mant, int exp) {
        if (exp < -125 || mant == 0) {
            return 0.0f;
        }
        if (exp >= 128) {
            return mant > 0 ? Float.POSITIVE_INFINITY : Float.NEGATIVE_INFINITY;
        } else if (exp == 0) {
            return mant;
        } else {
            if (mant >= 67108864) {
                mant++;
            }
            return (float) (exp > 0 ? mant * pow10[exp] : mant / pow10[-exp]);
        }
    }

    static {
        for (int i = 0; i < pow10.length; i++) {
            pow10[i] = Math.pow(10.0d, i);
        }
    }

    public float nextFloat() {
        skipWhitespace();
        float f = parseFloat();
        skipNumberSeparator();
        return f;
    }

    public int nextFlag() {
        skipWhitespace();
        int flag = this.current - '0';
        this.current = read();
        skipNumberSeparator();
        return flag;
    }
}
