package com.tencent.smtt.sdk;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.Log;
import com.larvalabs.svgandroid.BuildConfig;
import com.tencent.smtt.sdk.TbsDownloadConfig;
import com.tencent.smtt.sdk.TbsDownloadUpload;
import com.tencent.smtt.sdk.TbsListener;
import com.tencent.smtt.sdk.TbsLogReport;
import com.tencent.smtt.sdk.e;
import com.tencent.smtt.utils.Apn;
import com.tencent.smtt.utils.FileUtil;
import com.tencent.smtt.utils.TbsLog;
import com.tencent.smtt.utils.f;
import java.io.File;
import java.io.FileOutputStream;
import java.nio.channels.FileLock;
import java.util.Locale;
import java.util.TimeZone;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.json.JSONArray;
import org.json.JSONObject;
/* loaded from: classes2.dex */
public class TbsDownloader {
    public static final boolean DEBUG_DISABLE_DOWNLOAD = false;
    public static final String LOGTAG = "TbsDownload";
    public static final String TBS_METADATA = "com.tencent.mm.BuildInfo.CLIENT_VERSION";
    static boolean a;
    private static String b;
    private static Context c;
    private static Handler d;
    private static String e;
    private static l g;
    private static HandlerThread h;
    public static boolean DOWNLOAD_OVERSEA_TBS = false;
    private static Object f = new byte[0];
    private static boolean i = false;
    private static boolean j = false;
    private static boolean k = false;
    private static long l = -1;

    /* loaded from: classes2.dex */
    public interface TbsDownloaderCallback {
        void onNeedDownloadFinish(boolean z, int i);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public static File a(int i2) {
        String[] coreProviderAppList = TbsShareManager.getCoreProviderAppList();
        File file = null;
        int length = coreProviderAppList.length;
        int i3 = 0;
        while (true) {
            if (i3 >= length) {
                break;
            }
            String str = coreProviderAppList[i3];
            if (!str.equals(c.getApplicationInfo().packageName)) {
                file = new File(FileUtil.a(c, str, 4, false), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
                if (file == null || !file.exists()) {
                    TbsLog.i(LOGTAG, "can not find local backup core file");
                } else if (com.tencent.smtt.utils.a.a(c, file) == i2) {
                    TbsLog.i(LOGTAG, "local tbs version fond,path = " + file.getAbsolutePath());
                    break;
                } else {
                    TbsLog.i(LOGTAG, "version is not match");
                }
            }
            i3++;
        }
        return file;
    }

    private static String a(String str) {
        return str == null ? "" : str;
    }

    private static JSONArray a(boolean z) {
        String[] coreProviderAppList;
        boolean z2;
        JSONArray jSONArray = new JSONArray();
        for (String str : TbsShareManager.getCoreProviderAppList()) {
            File file = z ? new File(FileUtil.a(c, str, 4, false), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false)) : new File(FileUtil.a(c, str, 4, false), "x5.tbs.decouple");
            if (file != null && file.exists()) {
                long a2 = com.tencent.smtt.utils.a.a(c, file);
                if (a2 > 0) {
                    int i2 = 0;
                    while (true) {
                        if (i2 >= jSONArray.length()) {
                            z2 = false;
                            break;
                        } else if (jSONArray.optInt(i2) == a2) {
                            z2 = true;
                            break;
                        } else {
                            i2++;
                        }
                    }
                    if (!z2) {
                        jSONArray.put(a2);
                    }
                }
            }
        }
        return jSONArray;
    }

    /* JADX WARN: Can't wrap try/catch for region: R(36:1|(1:3)(1:109)|4|5|(30:7|(1:104)|9|10|11|(1:13)(1:101)|14|(1:16)|17|(2:19|(1:21)(1:82))(4:(1:84)(1:100)|(2:88|(2:90|(1:92)))|93|(3:95|(1:98)|97)(1:99))|(1:23)(3:77|(1:79)(1:81)|80)|24|(2:26|(1:28))(2:70|(1:76))|29|(1:31)(1:69)|32|(1:34)(1:68)|35|(1:37)|38|(2:(3:41|(1:43)(1:46)|44)(1:47)|45)|48|(1:67)(1:52)|(1:55)|(1:57)|58|(1:60)|(1:62)|64|65)|106|(0)|9|10|11|(0)(0)|14|(0)|17|(0)(0)|(0)(0)|24|(0)(0)|29|(0)(0)|32|(0)(0)|35|(0)|38|(0)|48|(1:50)|67|(1:55)|(0)|58|(0)|(0)|64|65) */
    /* JADX WARN: Removed duplicated region for block: B:105:0x030f  */
    /* JADX WARN: Removed duplicated region for block: B:12:0x007b A[Catch: Exception -> 0x021e, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:15:0x0091 A[Catch: Exception -> 0x021e, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:18:0x00a5 A[Catch: Exception -> 0x021e, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:22:0x00b3 A[Catch: Exception -> 0x021e, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:25:0x00c1 A[Catch: Exception -> 0x021e, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:30:0x0130  */
    /* JADX WARN: Removed duplicated region for block: B:33:0x013a  */
    /* JADX WARN: Removed duplicated region for block: B:36:0x0147 A[Catch: Exception -> 0x021e, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:39:0x018c  */
    /* JADX WARN: Removed duplicated region for block: B:54:0x01d6 A[Catch: Exception -> 0x021e, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:57:0x01e4 A[Catch: Exception -> 0x021e, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:59:0x01ec A[Catch: Exception -> 0x021e, TRY_LEAVE, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:65:0x0216 A[Catch: Exception -> 0x021e, TRY_ENTER, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:69:0x0232  */
    /* JADX WARN: Removed duplicated region for block: B:86:0x02ce  */
    /* JADX WARN: Removed duplicated region for block: B:91:0x02da A[Catch: Exception -> 0x021e, TryCatch #1 {Exception -> 0x021e, blocks: (B:10:0x006c, B:12:0x007b, B:13:0x0081, B:15:0x0091, B:16:0x0097, B:18:0x00a5, B:20:0x00a9, B:22:0x00b3, B:23:0x00b9, B:25:0x00c1, B:27:0x00dc, B:28:0x00e2, B:31:0x0131, B:34:0x013b, B:36:0x0147, B:37:0x0152, B:40:0x018e, B:43:0x0199, B:44:0x019c, B:101:0x0301, B:45:0x01ab, B:47:0x01c5, B:49:0x01c9, B:54:0x01d6, B:55:0x01dc, B:57:0x01e4, B:59:0x01ec, B:91:0x02da, B:93:0x02e7, B:97:0x02f1, B:89:0x02d3, B:68:0x0220, B:70:0x0234, B:72:0x0240, B:74:0x024c, B:76:0x025d, B:78:0x0283, B:79:0x028d, B:81:0x02b1, B:84:0x02c0, B:65:0x0216), top: B:109:0x006c }] */
    /* JADX WARN: Removed duplicated region for block: B:98:0x02f8  */
    /* JADX WARN: Removed duplicated region for block: B:99:0x02fb  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static JSONObject a(boolean z, boolean z2, boolean z3) {
        String str;
        int i2;
        Object a2;
        TelephonyManager telephonyManager;
        boolean z4 = false;
        TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData]isQuery: " + z + " forDecoupleCore is " + z3);
        TbsDownloadConfig tbsDownloadConfig = TbsDownloadConfig.getInstance(c);
        String b2 = b(c);
        String g2 = com.tencent.smtt.utils.b.g(c);
        String f2 = com.tencent.smtt.utils.b.f(c);
        String i3 = com.tencent.smtt.utils.b.i(c);
        String id = TimeZone.getDefault().getID();
        String str2 = id != null ? id : "";
        try {
            telephonyManager = (TelephonyManager) c.getSystemService("phone");
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        if (telephonyManager != null) {
            str = telephonyManager.getSimCountryIso();
            if (str == null) {
                str = "";
            }
            JSONObject jSONObject = new JSONObject();
            if (m.a(c).c("tpatch_num") >= 5) {
                jSONObject.put("REQUEST_TPATCH", 1);
            } else {
                jSONObject.put("REQUEST_TPATCH", 0);
            }
            jSONObject.put("TIMEZONEID", str2);
            jSONObject.put("COUNTRYISO", str);
            if (com.tencent.smtt.utils.b.d()) {
                jSONObject.put("REQUEST_64", 1);
            }
            jSONObject.put("PROTOCOLVERSION", 1);
            if (TbsShareManager.isThirdPartyApp(c)) {
                int i4 = z3 ? o.a().i(c) : o.a().m(c);
                if (i4 == 0 && o.a().l(c)) {
                    i4 = -1;
                    if (TbsConfig.APP_QQ.equals(c.getApplicationInfo().packageName)) {
                        TbsDownloadUpload.clear();
                        TbsDownloadUpload tbsDownloadUpload = TbsDownloadUpload.getInstance(c);
                        tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_LOCAL_CORE_VERSION, -1);
                        tbsDownloadUpload.commit();
                        TbsPVConfig.releaseInstance();
                        if (TbsPVConfig.getInstance(c).getLocalCoreVersionMoreTimes() == 1) {
                            i4 = o.a().i(c);
                        }
                    }
                }
                TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData] tbsLocalVersion=" + i4 + " isDownloadForeground=" + z2);
                if (z2) {
                    if (!o.a().l(c)) {
                        i4 = 0;
                    }
                    i2 = i4;
                } else {
                    i2 = i4;
                }
            } else {
                i2 = QbSdk.c ? TbsShareManager.a(c, false) : TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0);
            }
            if (z) {
                jSONObject.put("FUNCTION", i2 == 0 ? 0 : 1);
            } else {
                jSONObject.put("FUNCTION", 2);
            }
            if (TbsShareManager.isThirdPartyApp(c)) {
                JSONArray a3 = a(z3);
                if (Apn.getApnType(c) != 3 && a3.length() != 0 && i2 == 0 && z) {
                    jSONObject.put("TBSBACKUPARR", a3);
                }
            } else {
                JSONArray g3 = g();
                jSONObject.put("TBSVLARR", g3);
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_THIRDAPP_SENDREQUEST_COREVERSION, g3.toString());
                tbsDownloadConfig.commit();
                if (QbSdk.c) {
                    jSONObject.put("THIRDREQ", 1);
                }
            }
            jSONObject.put("APPN", c.getPackageName());
            jSONObject.put("APPVN", a(tbsDownloadConfig.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, null)));
            jSONObject.put("APPVC", tbsDownloadConfig.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, 0));
            jSONObject.put("APPMETA", a(tbsDownloadConfig.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, null)));
            jSONObject.put("TBSSDKV", 43967);
            jSONObject.put("TBSV", i2);
            jSONObject.put("DOWNLOADDECOUPLECORE", !z3 ? 1 : 0);
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, Integer.valueOf(!z3 ? 1 : 0));
            tbsDownloadConfig.commit();
            if (i2 != 0) {
                jSONObject.put("TBSBACKUPV", g.c(z3));
            }
            jSONObject.put("CPU", e);
            jSONObject.put("UA", b2);
            jSONObject.put("IMSI", a(g2));
            jSONObject.put("IMEI", a(f2));
            jSONObject.put("ANDROID_ID", a(i3));
            jSONObject.put("GUID", com.tencent.smtt.utils.b.e(c));
            if (!TbsShareManager.isThirdPartyApp(c)) {
                if (i2 != 0) {
                    jSONObject.put("STATUS", QbSdk.a(c, i2) ? 0 : 1);
                } else {
                    jSONObject.put("STATUS", 0);
                }
                jSONObject.put("TBSDV", o.a().h(c));
            }
            boolean z5 = TbsDownloadConfig.getInstance(c).mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_FULL_PACKAGE, false);
            a2 = QbSdk.a(c, "can_unlzma", (Bundle) null);
            if (((a2 == null && (a2 instanceof Boolean)) ? ((Boolean) a2).booleanValue() : false) && !z5) {
                z4 = true;
            }
            if (z4) {
                jSONObject.put("REQUEST_LZMA", 1);
            }
            if (getOverSea(c)) {
                jSONObject.put("OVERSEA", 1);
            }
            if (z2) {
                jSONObject.put("DOWNLOAD_FOREGROUND", 1);
            }
            TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData] jsonData=" + jSONObject.toString());
            return jSONObject;
        }
        str = id;
        if (str == null) {
        }
        JSONObject jSONObject2 = new JSONObject();
        if (m.a(c).c("tpatch_num") >= 5) {
        }
        jSONObject2.put("TIMEZONEID", str2);
        jSONObject2.put("COUNTRYISO", str);
        if (com.tencent.smtt.utils.b.d()) {
        }
        jSONObject2.put("PROTOCOLVERSION", 1);
        if (TbsShareManager.isThirdPartyApp(c)) {
        }
        if (z) {
        }
        if (TbsShareManager.isThirdPartyApp(c)) {
        }
        jSONObject2.put("APPN", c.getPackageName());
        jSONObject2.put("APPVN", a(tbsDownloadConfig.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, null)));
        jSONObject2.put("APPVC", tbsDownloadConfig.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, 0));
        jSONObject2.put("APPMETA", a(tbsDownloadConfig.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, null)));
        jSONObject2.put("TBSSDKV", 43967);
        jSONObject2.put("TBSV", i2);
        jSONObject2.put("DOWNLOADDECOUPLECORE", !z3 ? 1 : 0);
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, Integer.valueOf(!z3 ? 1 : 0));
        tbsDownloadConfig.commit();
        if (i2 != 0) {
        }
        jSONObject2.put("CPU", e);
        jSONObject2.put("UA", b2);
        jSONObject2.put("IMSI", a(g2));
        jSONObject2.put("IMEI", a(f2));
        jSONObject2.put("ANDROID_ID", a(i3));
        jSONObject2.put("GUID", com.tencent.smtt.utils.b.e(c));
        if (!TbsShareManager.isThirdPartyApp(c)) {
        }
        boolean z52 = TbsDownloadConfig.getInstance(c).mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_FULL_PACKAGE, false);
        a2 = QbSdk.a(c, "can_unlzma", (Bundle) null);
        if ((a2 == null && (a2 instanceof Boolean)) ? ((Boolean) a2).booleanValue() : false) {
            z4 = true;
        }
        if (z4) {
        }
        if (getOverSea(c)) {
        }
        if (z2) {
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData] jsonData=" + jSONObject2.toString());
        return jSONObject2;
    }

    private static void a(JSONArray jSONArray) {
        String[] f2;
        String[] f3;
        boolean z;
        boolean z2;
        for (String str : f()) {
            int sharedTbsCoreVersion = TbsShareManager.getSharedTbsCoreVersion(c, str);
            if (sharedTbsCoreVersion > 0) {
                Context packageContext = TbsShareManager.getPackageContext(c, str, true);
                if (packageContext != null && !o.a().f(packageContext)) {
                    TbsLog.e(LOGTAG, "host check failed,packageName = " + str);
                } else if (a(c, sharedTbsCoreVersion)) {
                    TbsLog.i(LOGTAG, "add CoreVersionToJsonData,version+" + sharedTbsCoreVersion + " is in black list");
                } else {
                    int i2 = 0;
                    while (true) {
                        if (i2 >= jSONArray.length()) {
                            z2 = false;
                            break;
                        } else if (jSONArray.optInt(i2) == sharedTbsCoreVersion) {
                            z2 = true;
                            break;
                        } else {
                            i2++;
                        }
                    }
                    if (!z2) {
                        jSONArray.put(sharedTbsCoreVersion);
                    }
                }
            }
        }
        for (String str2 : f()) {
            int coreShareDecoupleCoreVersion = TbsShareManager.getCoreShareDecoupleCoreVersion(c, str2);
            if (coreShareDecoupleCoreVersion > 0) {
                Context packageContext2 = TbsShareManager.getPackageContext(c, str2, true);
                if (packageContext2 == null || o.a().f(packageContext2)) {
                    int i3 = 0;
                    while (true) {
                        if (i3 >= jSONArray.length()) {
                            z = false;
                            break;
                        } else if (jSONArray.optInt(i3) == coreShareDecoupleCoreVersion) {
                            z = true;
                            break;
                        } else {
                            i3++;
                        }
                    }
                    if (!z) {
                        jSONArray.put(coreShareDecoupleCoreVersion);
                    }
                } else {
                    TbsLog.e(LOGTAG, "host check failed,packageName = " + str2);
                }
            }
        }
    }

    private static void a(boolean z, TbsDownloaderCallback tbsDownloaderCallback, boolean z2) {
        TbsLog.i(LOGTAG, "[TbsDownloader.queryConfig]");
        d.removeMessages(100);
        Message obtain = Message.obtain(d, 100);
        if (tbsDownloaderCallback != null) {
            obtain.obj = tbsDownloaderCallback;
        }
        obtain.arg1 = 0;
        obtain.arg1 = z ? 1 : 0;
        obtain.arg2 = z2 ? 1 : 0;
        obtain.sendToTarget();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static boolean a(Context context) {
        return TbsDownloadConfig.getInstance(context).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, 0) == 1;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static boolean a(Context context, int i2) {
        return Build.VERSION.SDK_INT > 28 && context.getApplicationInfo().targetSdkVersion > 28 && i2 > 0 && i2 < 45114;
    }

    private static boolean a(Context context, boolean z) {
        Matcher matcher = null;
        TbsDownloadConfig tbsDownloadConfig = TbsDownloadConfig.getInstance(context);
        if (Build.VERSION.SDK_INT < 8) {
            tbsDownloadConfig.setDownloadInterruptCode(-102);
            return false;
        } else if (QbSdk.c || !TbsShareManager.isThirdPartyApp(c) || c()) {
            if (!tbsDownloadConfig.mPreferences.contains(TbsDownloadConfig.TbsConfigKey.KEY_IS_OVERSEA)) {
                if (z && !TbsConfig.APP_WX.equals(context.getApplicationInfo().packageName)) {
                    TbsLog.i(LOGTAG, "needDownload-oversea is true, but not WX");
                    z = false;
                }
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_IS_OVERSEA, Boolean.valueOf(z));
                tbsDownloadConfig.commit();
                j = z;
                TbsLog.i(LOGTAG, "needDownload-first-called--isoversea = " + z);
            }
            if (getOverSea(context) && Build.VERSION.SDK_INT != 16 && Build.VERSION.SDK_INT != 17 && Build.VERSION.SDK_INT != 18) {
                TbsLog.i(LOGTAG, "needDownload- return false,  because of  version is " + Build.VERSION.SDK_INT + ", and overea");
                tbsDownloadConfig.setDownloadInterruptCode(-103);
                return false;
            }
            e = tbsDownloadConfig.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_DEVICE_CPUABI, null);
            if (!TextUtils.isEmpty(e)) {
                try {
                    matcher = Pattern.compile("i686|mips|x86_64").matcher(e);
                } catch (Exception e2) {
                }
                if (matcher != null && matcher.find()) {
                    TbsLog.e(LOGTAG, "can not support x86 devices!!");
                    tbsDownloadConfig.setDownloadInterruptCode(-104);
                    return false;
                }
            }
            return true;
        } else {
            return false;
        }
    }

    private static boolean a(Context context, boolean z, boolean z2) {
        boolean z3;
        String str;
        final TbsDownloadConfig tbsDownloadConfig = TbsDownloadConfig.getInstance(context);
        e.a().a(1000, new e.a() { // from class: com.tencent.smtt.sdk.TbsDownloader.1
            @Override // com.tencent.smtt.sdk.e.a
            public void a(String str2) {
                Log.e("TBSEmergency", "Execute command [1000](" + str2 + "), force tbs downloader request");
                SharedPreferences.Editor edit = TbsDownloadConfig.this.mPreferences.edit();
                edit.putLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_CHECK, 0L);
                edit.apply();
                edit.commit();
            }
        });
        if (z) {
            z3 = true;
            str = null;
        } else {
            String string = tbsDownloadConfig.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, null);
            int i2 = tbsDownloadConfig.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, 0);
            String string2 = tbsDownloadConfig.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, null);
            String c2 = com.tencent.smtt.utils.b.c(c);
            int d2 = com.tencent.smtt.utils.b.d(c);
            String a2 = com.tencent.smtt.utils.b.a(c, TBS_METADATA);
            TbsLog.i(LOGTAG, "[TbsDownloader.needSendQueryRequest] appVersionName=" + c2 + " oldAppVersionName=" + string + " appVersionCode=" + d2 + " oldAppVersionCode=" + i2 + " appMetadata=" + a2 + " oldAppVersionMetadata=" + string2);
            long currentTimeMillis = System.currentTimeMillis();
            long j2 = tbsDownloadConfig.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_CHECK, 0L);
            TbsLog.i(LOGTAG, "[TbsDownloader.needSendQueryRequest] timeLastCheck=" + j2 + " timeNow=" + currentTimeMillis);
            if (z2) {
                boolean contains = tbsDownloadConfig.mPreferences.contains(TbsDownloadConfig.TbsConfigKey.KEY_LAST_CHECK);
                TbsLog.i(LOGTAG, "[TbsDownloader.needSendQueryRequest] hasLaskCheckKey=" + contains);
                if (contains && j2 == 0) {
                    j2 = currentTimeMillis;
                }
            }
            long j3 = tbsDownloadConfig.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_REQUEST_SUCCESS, 0L);
            long j4 = tbsDownloadConfig.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_COUNT_REQUEST_FAIL_IN_24HOURS, 0L);
            long retryInterval = tbsDownloadConfig.getRetryInterval();
            TbsLog.i(LOGTAG, "retryInterval = " + retryInterval + " s");
            TbsPVConfig.releaseInstance();
            int emergentCoreVersion = TbsPVConfig.getInstance(c).getEmergentCoreVersion();
            int i3 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0);
            if (currentTimeMillis - j2 > 1000 * retryInterval) {
                z3 = true;
                str = null;
            } else if (emergentCoreVersion > o.a().i(c) && emergentCoreVersion > i3) {
                z3 = true;
                str = null;
            } else if (TbsShareManager.isThirdPartyApp(c) && j3 > 0 && currentTimeMillis - j3 > retryInterval * 1000 && j4 < 11) {
                z3 = true;
                str = null;
            } else if (TbsShareManager.isThirdPartyApp(c) && TbsShareManager.findCoreForThirdPartyApp(c) == 0 && !e()) {
                o.a().d(c);
                z3 = true;
                str = null;
            } else if (c2 == null || d2 == 0 || a2 == null) {
                if (TbsShareManager.isThirdPartyApp(c)) {
                    str = "timeNow - timeLastCheck is " + (currentTimeMillis - j2) + " TbsShareManager.findCoreForThirdPartyApp(sAppContext) is " + TbsShareManager.findCoreForThirdPartyApp(c) + " sendRequestWithSameHostCoreVersion() is " + e() + " appVersionName is " + c2 + " appVersionCode is " + d2 + " appMetadata is " + a2 + " oldAppVersionName is " + string + " oldAppVersionCode is " + i2 + " oldAppVersionMetadata is " + string2;
                    z3 = false;
                }
                str = null;
                z3 = false;
            } else {
                if (!c2.equals(string) || d2 != i2 || !a2.equals(string2)) {
                    z3 = true;
                    str = null;
                }
                str = null;
                z3 = false;
            }
        }
        if (!z3 && TbsShareManager.isThirdPartyApp(c)) {
            TbsLogReport.TbsLogInfo tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
            tbsLogInfo.setErrorCode(-119);
            tbsLogInfo.setFailDetail(str);
            TbsLogReport.getInstance(c).eventReport(TbsLogReport.EventType.TYPE_DOWNLOAD, tbsLogInfo);
        }
        return z3;
    }

    /* JADX WARN: Code restructure failed: missing block: B:125:0x034c, code lost:
        if (r2 > 0) goto L110;
     */
    /* JADX WARN: Removed duplicated region for block: B:71:0x0224  */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:262:0x0842 -> B:296:0x0371). Please submit an issue!!! */
    @TargetApi(11)
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static boolean a(String str, int i2, boolean z, boolean z2, boolean z3) throws Exception {
        String str2;
        boolean z4;
        boolean z5;
        String str3;
        int i3;
        String str4;
        boolean z6;
        int i4;
        boolean z7;
        boolean z8;
        int i5;
        int i6;
        long j2;
        boolean z9;
        TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] response=" + str + "isNeedInstall=" + z3);
        TbsDownloadConfig tbsDownloadConfig = TbsDownloadConfig.getInstance(c);
        if (TextUtils.isEmpty(str)) {
            if (z) {
                tbsDownloadConfig.setDownloadInterruptCode(-108);
            } else {
                tbsDownloadConfig.setDownloadInterruptCode(-208);
            }
            TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] return #1,response is empty...");
            return false;
        }
        JSONObject jSONObject = new JSONObject(str);
        int i7 = jSONObject.getInt("RET");
        if (i7 != 0) {
            if (z) {
                tbsDownloadConfig.setDownloadInterruptCode(-109);
            } else {
                tbsDownloadConfig.setDownloadInterruptCode(-209);
            }
            TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] return #2,returnCode=" + i7);
            return false;
        }
        int i8 = jSONObject.getInt("RESPONSECODE");
        String string = jSONObject.getString("DOWNLOADURL");
        String optString = jSONObject.optString("URLLIST", "");
        int i9 = jSONObject.getInt("TBSAPKSERVERVERSION");
        int i10 = jSONObject.getInt("DOWNLOADMAXFLOW");
        int i11 = jSONObject.getInt("DOWNLOAD_MIN_FREE_SPACE");
        int i12 = jSONObject.getInt("DOWNLOAD_SUCCESS_MAX_RETRYTIMES");
        int i13 = jSONObject.getInt("DOWNLOAD_FAILED_MAX_RETRYTIMES");
        long j3 = jSONObject.getLong("DOWNLOAD_SINGLE_TIMEOUT");
        long j4 = jSONObject.getLong("TBSAPKFILESIZE");
        long optLong = jSONObject.optLong("RETRY_INTERVAL", 0L);
        int optInt = jSONObject.optInt("FLOWCTR", -1);
        int i14 = 0;
        try {
            i14 = jSONObject.getInt("USEBBACKUPVER");
        } catch (Exception e2) {
        }
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_USE_BACKUP_VERSION, Integer.valueOf(i14));
        if (z && QbSdk.i && TbsShareManager.isThirdPartyApp(c)) {
            try {
                TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.BUGLY_SWITCH_FILE_NAME, jSONObject.optInt("BUGLY", 0) == 1);
            } catch (Throwable th) {
                TbsLog.i("qbsdk", "throwable:" + th.toString());
            }
        }
        if (z) {
            try {
                int optInt2 = jSONObject.optInt("TEMPLATESWITCH", 0);
                boolean z10 = (optInt2 & 1) != 0;
                TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.COOKIE_SWITCH_FILE_NAME, z10);
                TbsLog.w(LOGTAG, "useCookieCompatiable:" + z10);
                boolean z11 = (optInt2 & 2) != 0;
                TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.DISABLE_GET_APK_VERSION_SWITCH_FILE_NAME, z11);
                TbsLog.w(LOGTAG, "disableGetApkVersionByReadFile:" + z11);
                boolean z12 = (optInt2 & 4) != 0;
                TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.DISABLE_UNPREINIT, z12);
                QbSdk.setDisableUnpreinitBySwitch(z12);
                TbsLog.i(LOGTAG, "disableUnpreinitBySwitch:" + z12);
                boolean z13 = (optInt2 & 8) != 0;
                TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.DISABLE_USE_HOST_BACKUP_CORE, z13);
                QbSdk.setDisableUseHostBackupCoreBySwitch(z13);
                TbsLog.i(LOGTAG, "disableUseHostBackupCoreBySwitch:" + z13);
            } catch (Throwable th2) {
                TbsLog.i("qbsdk", "throwable:" + th2.toString());
            }
        }
        String str5 = null;
        int i15 = 0;
        int i16 = 0;
        boolean z14 = true;
        str2 = "";
        try {
            String string2 = jSONObject.getString("PKGMD5");
            try {
                int i17 = jSONObject.getInt("RESETX5");
                try {
                    int i18 = jSONObject.getInt("UPLOADLOG");
                    try {
                        if (jSONObject.has("RESETTOKEN")) {
                            z9 = jSONObject.getInt("RESETTOKEN") != 0;
                        } else {
                            z9 = false;
                        }
                        try {
                            str2 = jSONObject.has("SETTOKEN") ? jSONObject.getString("SETTOKEN") : "";
                            if (jSONObject.has("ENABLE_LOAD_RENAME_FILE_LOCK")) {
                                z14 = jSONObject.getInt("ENABLE_LOAD_RENAME_FILE_LOCK") != 0;
                            }
                            str4 = string2;
                            i3 = i17;
                            i4 = i18;
                            z6 = z9;
                            z7 = z14;
                            z8 = jSONObject.has("ENABLE_LOAD_RENAME_FILE_LOCK_WAIT") ? jSONObject.getInt("ENABLE_LOAD_RENAME_FILE_LOCK_WAIT") != 0 : true;
                        } catch (Exception e3) {
                            str3 = str2;
                            z4 = z14;
                            z5 = z9;
                            i16 = i18;
                            i15 = i17;
                            str5 = string2;
                            i3 = i15;
                            str4 = str5;
                            z6 = z5;
                            i4 = i16;
                            z7 = z4;
                            z8 = true;
                            str2 = str3;
                            i5 = jSONObject.getInt("RESETDECOUPLECORE");
                            i6 = 0;
                            i6 = jSONObject.getInt("RESETTODECOUPLECORE");
                            synchronized (f) {
                            }
                        }
                    } catch (Exception e4) {
                        i16 = i18;
                        i15 = i17;
                        str5 = string2;
                        z4 = true;
                        z5 = false;
                        str3 = "";
                    }
                } catch (Exception e5) {
                    i15 = i17;
                    str5 = string2;
                    str3 = "";
                    z4 = true;
                    z5 = false;
                }
            } catch (Exception e6) {
                str5 = string2;
                z5 = false;
                str3 = "";
                z4 = true;
            }
        } catch (Exception e7) {
            z4 = true;
            z5 = false;
            str3 = "";
        }
        try {
            i5 = jSONObject.getInt("RESETDECOUPLECORE");
        } catch (Exception e8) {
            i5 = 0;
        }
        i6 = 0;
        try {
            i6 = jSONObject.getInt("RESETTODECOUPLECORE");
        } catch (Exception e9) {
        }
        synchronized (f) {
            if (z6) {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DESkEY_TOKEN, "");
            }
            if (!TextUtils.isEmpty(str2) && str2.length() == 96) {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DESkEY_TOKEN, str2 + "&" + com.tencent.smtt.utils.g.c());
            }
        }
        if (i3 == 1) {
            if (z) {
                tbsDownloadConfig.setDownloadInterruptCode(-110);
            } else {
                tbsDownloadConfig.setDownloadInterruptCode(-210);
            }
            QbSdk.reset(c, i6 == 1);
            TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] return #3,needResetTbs=1,isQuery=" + z);
            return false;
        }
        if (!z7) {
            tbsDownloadConfig.setTbsCoreLoadRenameFileLockEnable(z7);
        }
        if (!z8) {
            tbsDownloadConfig.setTbsCoreLoadRenameFileLockWaitEnable(z8);
        }
        if (i5 == 1) {
            QbSdk.resetDecoupleCore(c);
        }
        if (i4 == 1) {
            d.removeMessages(104);
            Message.obtain(d, 104).sendToTarget();
        }
        if (optInt == 1) {
            j2 = optLong > 604800 ? 604800L : optLong;
        }
        j2 = 86400;
        if (getRetryIntervalInSeconds() >= 0) {
            j2 = getRetryIntervalInSeconds();
        }
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_RETRY_INTERVAL, Long.valueOf(j2));
        int i19 = 0;
        int i20 = 0;
        try {
            i19 = z ? jSONObject.getInt("DECOUPLECOREVERSION") : TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DECOUPLECOREVERSION, 0);
        } catch (Exception e10) {
        }
        try {
            i20 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, 0);
        } catch (Exception e11) {
        }
        if (z && !TbsShareManager.isThirdPartyApp(c) && i19 == 0) {
            i19 = o.a().h(c);
        }
        TbsLog.i(LOGTAG, "in response decoupleCoreVersion is " + i19);
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DECOUPLECOREVERSION, Integer.valueOf(i19));
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, Integer.valueOf(i20));
        if (!TbsShareManager.isThirdPartyApp(c)) {
            if (i19 > 0 && i19 != o.a().h(c) && i19 == o.a().i(c)) {
                o.a().n(c);
            } else if (i19 == 0) {
                try {
                    FileUtil.b(o.a().p(c));
                } catch (Throwable th3) {
                }
            }
        }
        if (TextUtils.isEmpty(string) && TbsShareManager.isThirdPartyApp(c)) {
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
            tbsDownloadConfig.commit();
            if (z) {
                TbsShareManager.writeCoreInfoForThirdPartyApp(c, i9, false);
            }
            TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] return #4,current app is third app...");
            return false;
        }
        TbsLog.i(LOGTAG, "in response responseCode is " + i8);
        if (i8 == 0) {
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_RESPONSECODE, Integer.valueOf(i8));
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
            if (z) {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -111);
            } else {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -211);
                tbsDownloadConfig.setDownloadInterruptCode(-211);
            }
            tbsDownloadConfig.commit();
            if (!TbsShareManager.isThirdPartyApp(c)) {
                startDecoupleCoreIfNeeded();
            }
            TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] return #5,responseCode=0");
            return false;
        }
        int i21 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0);
        if (i21 > i9) {
            g.c();
            o.a().o(c);
        }
        if (!TbsShareManager.isThirdPartyApp(c)) {
            int e12 = o.a().e(c, 0);
            r2 = e12 >= i9;
            TbsLog.i(LOGTAG, "tmpCoreVersion is " + e12 + " tbsDownloadVersion is" + i9);
        }
        if ((i2 >= i9 || TextUtils.isEmpty(string) || r2) && i20 != 1) {
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
            if (!z) {
                int i22 = -212;
                if (TextUtils.isEmpty(string)) {
                    i22 = -217;
                } else if (i9 <= 0) {
                    i22 = -218;
                } else if (i2 >= i9) {
                    i22 = -219;
                }
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, Integer.valueOf(i22));
                tbsDownloadConfig.setDownloadInterruptCode(i22);
            } else if (TextUtils.isEmpty(string)) {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -124);
            } else if (i9 <= 0) {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -125);
            } else if (i2 >= i9) {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -127);
            } else {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -112);
            }
            tbsDownloadConfig.commit();
            TbsLog.i(LOGTAG, "version error or downloadUrl empty ,return ahead tbsLocalVersion=" + i2 + " tbsDownloadVersion=" + i9 + " tbsLastDownloadVersion=" + i21 + " downloadUrl=" + string);
            return false;
        }
        if (!string.equals(tbsDownloadConfig.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_TBSDOWNLOADURL, null))) {
            g.c();
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_FAILED_RETRYTIMES, 0);
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_SUCCESS_RETRYTIMES, 0);
        }
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, Integer.valueOf(i9));
        TbsLog.i(LOGTAG, "put KEY_TBS_DOWNLOAD_V is " + i9);
        if (i9 > 0) {
            if (i20 == 1) {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 1);
            } else {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 0);
            }
            TbsLog.i(LOGTAG, "put KEY_TBS_DOWNLOAD_V_TYPE is " + i20);
        }
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSDOWNLOADURL, string);
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADURL_LIST, optString);
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_RESPONSECODE, Integer.valueOf(i8));
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_MAXFLOW, Integer.valueOf(i10));
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_MIN_FREE_SPACE, Integer.valueOf(i11));
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_SUCCESS_MAX_RETRYTIMES, Integer.valueOf(i12));
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_FAILED_MAX_RETRYTIMES, Integer.valueOf(i13));
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_SINGLE_TIMEOUT, Long.valueOf(j3));
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSAPKFILESIZE, Long.valueOf(j4));
        tbsDownloadConfig.commit();
        if (str4 != null) {
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSAPK_MD5, str4);
        }
        if (!z2 && z3 && o.a().b(c, i9)) {
            if (z) {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -113);
            } else {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -213);
                tbsDownloadConfig.setDownloadInterruptCode(-213);
            }
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
            TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] ##6 set needDownload=false");
        } else {
            if (!z2 && z3) {
                if (g.a(z2, i8 == 1 || i8 == 2)) {
                    tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
                    TbsLogReport.TbsLogInfo tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
                    tbsLogInfo.setErrorCode(100);
                    tbsLogInfo.setFailDetail("use local backup apk in needDownload" + g.a);
                    if (a(c)) {
                        TbsLogReport.getInstance(c).eventReport(TbsLogReport.EventType.TYPE_DOWNLOAD_DECOUPLE, tbsLogInfo);
                    } else {
                        TbsLogReport.getInstance(c).eventReport(TbsLogReport.EventType.TYPE_DOWNLOAD, tbsLogInfo);
                    }
                    TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] ##7 set needDownload=false");
                }
            }
            if (TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 0) == 1 && g.a()) {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
                TbsLogReport.TbsLogInfo tbsLogInfo2 = TbsLogReport.getInstance(c).tbsLogInfo();
                tbsLogInfo2.setErrorCode(100);
                tbsLogInfo2.setFailDetail("installDecoupleCoreFromBackup" + g.a);
                if (a(c)) {
                    TbsLogReport.getInstance(c).eventReport(TbsLogReport.EventType.TYPE_DOWNLOAD_DECOUPLE, tbsLogInfo2);
                } else {
                    TbsLogReport.getInstance(c).eventReport(TbsLogReport.EventType.TYPE_DOWNLOAD, tbsLogInfo2);
                }
                TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] ##8 set needDownload=false");
            } else {
                if (!z) {
                    tbsDownloadConfig.setDownloadInterruptCode(-216);
                }
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, true);
                TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] ##9 set needDownload=true");
            }
        }
        if (jSONObject.optInt("stop_pre_oat", 0) == 1) {
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_STOP_PRE_OAT, true);
        }
        tbsDownloadConfig.commit();
        return true;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public static File b(int i2) {
        String[] coreProviderAppList;
        File file = null;
        for (String str : TbsShareManager.getCoreProviderAppList()) {
            File file2 = new File(FileUtil.a(c, str, 4, false), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
            if (file2 != null && file2.exists() && com.tencent.smtt.utils.a.a(c, file2) == i2) {
                TbsLog.i(LOGTAG, "local tbs version fond,path = " + file2.getAbsolutePath());
                return file2;
            }
            file = new File(FileUtil.a(c, str, 4, false), "x5.tbs.decouple");
            if (file != null && file.exists() && com.tencent.smtt.utils.a.a(c, file) == i2) {
                TbsLog.i(LOGTAG, "local tbs version fond,path = " + file.getAbsolutePath());
                return file;
            }
        }
        return file;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static String b(Context context) {
        String str;
        String str2;
        if (TextUtils.isEmpty(b)) {
            Locale locale = Locale.getDefault();
            StringBuffer stringBuffer = new StringBuffer();
            String str3 = Build.VERSION.RELEASE;
            try {
                str = new String(str3.getBytes("UTF-8"), "ISO8859-1");
            } catch (Exception e2) {
                str = str3;
            }
            if (str == null) {
                stringBuffer.append(BuildConfig.VERSION_NAME);
            } else if (str.length() > 0) {
                stringBuffer.append(str);
            } else {
                stringBuffer.append(BuildConfig.VERSION_NAME);
            }
            stringBuffer.append("; ");
            String language = locale.getLanguage();
            if (language != null) {
                stringBuffer.append(language.toLowerCase());
                String country = locale.getCountry();
                if (country != null) {
                    stringBuffer.append("-");
                    stringBuffer.append(country.toLowerCase());
                }
            } else {
                stringBuffer.append("en");
            }
            if ("REL".equals(Build.VERSION.CODENAME)) {
                String str4 = Build.MODEL;
                try {
                    str2 = new String(str4.getBytes("UTF-8"), "ISO8859-1");
                } catch (Exception e3) {
                    str2 = str4;
                }
                if (str2 == null) {
                    stringBuffer.append("; ");
                } else if (str2.length() > 0) {
                    stringBuffer.append("; ");
                    stringBuffer.append(str2);
                }
            }
            String replaceAll = (Build.ID == null ? "" : Build.ID).replaceAll("[一-龥]", "");
            if (replaceAll == null) {
                stringBuffer.append(" Build/");
                stringBuffer.append("00");
            } else if (replaceAll.length() > 0) {
                stringBuffer.append(" Build/");
                stringBuffer.append(replaceAll);
            }
            String format = String.format("Mozilla/5.0 (Linux; U; Android %s) AppleWebKit/533.1 (KHTML, like Gecko)Version/4.0 Mobile Safari/533.1", stringBuffer);
            b = format;
            return format;
        }
        return b;
    }

    private static void b(JSONArray jSONArray) {
        boolean z = false;
        if (TbsShareManager.getHostCorePathAppDefined() != null) {
            int a2 = o.a().a(TbsShareManager.getHostCorePathAppDefined());
            int i2 = 0;
            while (true) {
                if (i2 >= jSONArray.length()) {
                    break;
                } else if (jSONArray.optInt(i2) == a2) {
                    z = true;
                    break;
                } else {
                    i2++;
                }
            }
            if (z) {
                return;
            }
            jSONArray.put(a2);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static boolean b(final boolean z, boolean z2, boolean z3, boolean z4) {
        int i2;
        if (z) {
            TbsDownloadUpload tbsDownloadUpload = TbsDownloadUpload.getInstance(c);
            tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_5));
            tbsDownloadUpload.commit();
        } else if (!z3) {
            TbsDownloadUpload tbsDownloadUpload2 = TbsDownloadUpload.getInstance(c);
            tbsDownloadUpload2.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_5));
            tbsDownloadUpload2.commit();
        }
        if (QbSdk.n != null && QbSdk.n.containsKey(QbSdk.KEY_SET_SENDREQUEST_AND_UPLOAD) && QbSdk.n.get(QbSdk.KEY_SET_SENDREQUEST_AND_UPLOAD).equals("false")) {
            TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest] -- SET_SENDREQUEST_AND_UPLOAD is false");
            if (z) {
                TbsDownloadUpload tbsDownloadUpload3 = TbsDownloadUpload.getInstance(c);
                tbsDownloadUpload3.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_6));
                tbsDownloadUpload3.commit();
            } else if (!z3) {
                TbsDownloadUpload tbsDownloadUpload4 = TbsDownloadUpload.getInstance(c);
                tbsDownloadUpload4.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_6));
                tbsDownloadUpload4.commit();
            }
            return false;
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest]isQuery: " + z + " forDecoupleCore is " + z3);
        if (o.a().c(c)) {
            TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest] -- isTbsLocalInstalled!");
            if (z) {
                TbsDownloadUpload tbsDownloadUpload5 = TbsDownloadUpload.getInstance(c);
                tbsDownloadUpload5.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_7));
                tbsDownloadUpload5.commit();
            } else if (!z3) {
                TbsDownloadUpload tbsDownloadUpload6 = TbsDownloadUpload.getInstance(c);
                tbsDownloadUpload6.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_7));
                tbsDownloadUpload6.commit();
            }
            return false;
        }
        final TbsDownloadConfig tbsDownloadConfig = TbsDownloadConfig.getInstance(c);
        File file = new File(FileUtil.a(c, 1), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
        File file2 = new File(FileUtil.a(c, 2), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
        File file3 = new File(FileUtil.a(c, 3), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
        File file4 = new File(FileUtil.a(c, 4), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
        if (!file4.exists()) {
            if (file3.exists()) {
                file3.renameTo(file4);
            } else if (file2.exists()) {
                file2.renameTo(file4);
            } else if (file.exists()) {
                file.renameTo(file4);
            }
        }
        if (e == null) {
            e = com.tencent.smtt.utils.b.b();
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DEVICE_CPUABI, e);
            tbsDownloadConfig.commit();
        }
        boolean z5 = false;
        if (!TextUtils.isEmpty(e)) {
            Matcher matcher = null;
            try {
                matcher = Pattern.compile("i686|mips|x86_64").matcher(e);
            } catch (Exception e2) {
            }
            if (matcher != null && matcher.find()) {
                if (TbsShareManager.isThirdPartyApp(c)) {
                    TbsLog.e(LOGTAG, "don't support x86 devices,skip send request");
                    TbsLogReport.TbsLogInfo tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
                    if (z) {
                        tbsDownloadConfig.setDownloadInterruptCode(-104);
                        tbsLogInfo.setErrorCode(-104);
                    } else {
                        tbsDownloadConfig.setDownloadInterruptCode(-205);
                        tbsLogInfo.setErrorCode(-205);
                    }
                    tbsLogInfo.setFailDetail("mycpu is " + e);
                    TbsLogReport.getInstance(c).eventReport(TbsLogReport.EventType.TYPE_DOWNLOAD, tbsLogInfo);
                } else if (z) {
                    tbsDownloadConfig.setDownloadInterruptCode(-104);
                } else {
                    tbsDownloadConfig.setDownloadInterruptCode(-205);
                }
                z5 = true;
            }
        }
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, com.tencent.smtt.utils.b.c(c));
        tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, Integer.valueOf(com.tencent.smtt.utils.b.d(c)));
        tbsDownloadConfig.commit();
        JSONObject a2 = a(z, z2, z3);
        try {
            i2 = a2.getInt("TBSV");
        } catch (Exception e3) {
            i2 = -1;
        }
        if (z5 || i2 != -1) {
            long currentTimeMillis = System.currentTimeMillis();
            if (TbsShareManager.isThirdPartyApp(c)) {
                tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_COUNT_REQUEST_FAIL_IN_24HOURS, Long.valueOf(currentTimeMillis - tbsDownloadConfig.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_REQUEST_FAIL, 0L) < tbsDownloadConfig.getRetryInterval() * 1000 ? 1 + tbsDownloadConfig.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_COUNT_REQUEST_FAIL_IN_24HOURS, 0L) : 1L));
            }
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_REQUEST_FAIL, Long.valueOf(currentTimeMillis));
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, com.tencent.smtt.utils.b.c(c));
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, Integer.valueOf(com.tencent.smtt.utils.b.d(c)));
            tbsDownloadConfig.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, com.tencent.smtt.utils.b.a(c, TBS_METADATA));
            tbsDownloadConfig.commit();
            if (z5) {
                if (z) {
                    TbsDownloadUpload tbsDownloadUpload7 = TbsDownloadUpload.getInstance(c);
                    tbsDownloadUpload7.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_8));
                    tbsDownloadUpload7.commit();
                } else if (!z3) {
                    TbsDownloadUpload tbsDownloadUpload8 = TbsDownloadUpload.getInstance(c);
                    tbsDownloadUpload8.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_8));
                    tbsDownloadUpload8.commit();
                }
                return false;
            }
        }
        if (i2 == -1 && !z3) {
            if (z) {
                TbsDownloadUpload tbsDownloadUpload9 = TbsDownloadUpload.getInstance(c);
                tbsDownloadUpload9.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_10));
                tbsDownloadUpload9.commit();
                return false;
            }
            if (!z3) {
                TbsDownloadUpload tbsDownloadUpload10 = TbsDownloadUpload.getInstance(c);
                tbsDownloadUpload10.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_10));
                tbsDownloadUpload10.commit();
            }
            return false;
        }
        try {
            String d2 = com.tencent.smtt.utils.m.a(c).d();
            TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest] postUrl=" + d2);
            if (z) {
                TbsDownloadUpload tbsDownloadUpload11 = TbsDownloadUpload.getInstance(c);
                tbsDownloadUpload11.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_9));
                tbsDownloadUpload11.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_SENT, 1);
                tbsDownloadUpload11.commit();
                TbsLog.i(LOGTAG, "sendRequest query 148");
            } else if (!z3) {
                TbsDownloadUpload tbsDownloadUpload12 = TbsDownloadUpload.getInstance(c);
                tbsDownloadUpload12.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_9));
                tbsDownloadUpload12.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_SENT, 1);
                tbsDownloadUpload12.commit();
                TbsLog.i(LOGTAG, "sendRequest download 168");
            }
            return a(com.tencent.smtt.utils.f.a(d2, a2.toString().getBytes("utf-8"), new f.a() { // from class: com.tencent.smtt.sdk.TbsDownloader.3
                @Override // com.tencent.smtt.utils.f.a
                public void a(int i3) {
                    TbsDownloadConfig.this.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_CHECK, Long.valueOf(System.currentTimeMillis()));
                    TbsDownloadConfig.this.commit();
                    TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.sendRequest] httpResponseCode=" + i3);
                    if (TbsShareManager.isThirdPartyApp(TbsDownloader.c) && i3 == 200) {
                        TbsDownloadConfig.this.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_REQUEST_SUCCESS, Long.valueOf(System.currentTimeMillis()));
                        TbsDownloadConfig.this.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_REQUEST_FAIL, 0L);
                        TbsDownloadConfig.this.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_COUNT_REQUEST_FAIL_IN_24HOURS, 0L);
                        TbsDownloadConfig.this.commit();
                    }
                    if (i3 >= 300) {
                        if (z) {
                            TbsDownloadConfig.this.setDownloadInterruptCode(-107);
                        } else {
                            TbsDownloadConfig.this.setDownloadInterruptCode(-207);
                        }
                    }
                }
            }, false), i2, z, z2, z4);
        } catch (Throwable th) {
            th.printStackTrace();
            if (z) {
                tbsDownloadConfig.setDownloadInterruptCode(-106);
            } else {
                tbsDownloadConfig.setDownloadInterruptCode(-206);
            }
            return false;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @TargetApi(11)
    public static void c(Context context) {
        TbsDownloadConfig.getInstance(context).clear();
        TbsLogReport.getInstance(context).clear();
        l.c(context);
        (Build.VERSION.SDK_INT >= 11 ? context.getSharedPreferences("tbs_extension_config", 4) : context.getSharedPreferences("tbs_extension_config", 0)).edit().clear().commit();
        (Build.VERSION.SDK_INT >= 11 ? context.getSharedPreferences("tbs_preloadx5_check_cfg_file", 4) : context.getSharedPreferences("tbs_preloadx5_check_cfg_file", 0)).edit().clear().commit();
    }

    private static void c(JSONArray jSONArray) {
        String[] f2;
        boolean z;
        boolean z2;
        if (TbsPVConfig.getInstance(c).isDisableHostBackupCore()) {
            return;
        }
        for (String str : f()) {
            int backupCoreVersion = TbsShareManager.getBackupCoreVersion(c, str);
            if (backupCoreVersion > 0) {
                Context packageContext = TbsShareManager.getPackageContext(c, str, false);
                if (packageContext != null && !o.a().f(packageContext)) {
                    TbsLog.e(LOGTAG, "host check failed,packageName = " + str);
                } else if (a(c, backupCoreVersion)) {
                    TbsLog.i(LOGTAG, "add addBackupVersionToJsonData,version+" + backupCoreVersion + " is in black list");
                } else {
                    int i2 = 0;
                    while (true) {
                        if (i2 >= jSONArray.length()) {
                            z2 = false;
                            break;
                        } else if (jSONArray.optInt(i2) == backupCoreVersion) {
                            z2 = true;
                            break;
                        } else {
                            i2++;
                        }
                    }
                    if (!z2) {
                        jSONArray.put(backupCoreVersion);
                    }
                }
            }
            int backupDecoupleCoreVersion = TbsShareManager.getBackupDecoupleCoreVersion(c, str);
            if (backupDecoupleCoreVersion > 0) {
                Context packageContext2 = TbsShareManager.getPackageContext(c, str, false);
                if (packageContext2 == null || o.a().f(packageContext2)) {
                    int i3 = 0;
                    while (true) {
                        if (i3 >= jSONArray.length()) {
                            z = false;
                            break;
                        } else if (jSONArray.optInt(i3) == backupDecoupleCoreVersion) {
                            z = true;
                            break;
                        } else {
                            i3++;
                        }
                    }
                    if (!z) {
                        jSONArray.put(backupDecoupleCoreVersion);
                    }
                } else {
                    TbsLog.e(LOGTAG, "host check failed,packageName = " + str);
                }
            }
        }
    }

    private static boolean c() {
        try {
            for (String str : TbsShareManager.getCoreProviderAppList()) {
                if (TbsShareManager.getSharedTbsCoreVersion(c, str) > 0) {
                    return true;
                }
            }
            return false;
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    private static synchronized void d() {
        synchronized (TbsDownloader.class) {
            if (h == null) {
                h = n.a();
                try {
                    g = new l(c);
                    d = new Handler(h.getLooper()) { // from class: com.tencent.smtt.sdk.TbsDownloader.2
                        @Override // android.os.Handler
                        public void handleMessage(Message message) {
                            FileOutputStream fileOutputStream;
                            FileLock fileLock = null;
                            switch (message.what) {
                                case 100:
                                    boolean z = message.arg1 == 1;
                                    boolean b2 = TbsDownloader.b(true, false, false, message.arg2 == 1);
                                    if (message.obj != null && (message.obj instanceof TbsDownloaderCallback)) {
                                        TbsLog.i(TbsDownloader.LOGTAG, "needDownload-onNeedDownloadFinish needStartDownload=" + b2);
                                        String str = "";
                                        if (TbsDownloader.c != null && TbsDownloader.c.getApplicationContext() != null && TbsDownloader.c.getApplicationContext().getApplicationInfo() != null) {
                                            str = TbsDownloader.c.getApplicationContext().getApplicationInfo().packageName;
                                        }
                                        if (!b2 || z) {
                                            ((TbsDownloaderCallback) message.obj).onNeedDownloadFinish(b2, TbsDownloadConfig.getInstance(TbsDownloader.c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0));
                                        } else if (TbsConfig.APP_WX.equals(str) || TbsConfig.APP_QQ.equals(str)) {
                                            TbsLog.i(TbsDownloader.LOGTAG, "needDownload-onNeedDownloadFinish in mm or QQ callback needStartDownload = " + b2);
                                            ((TbsDownloaderCallback) message.obj).onNeedDownloadFinish(b2, TbsDownloadConfig.getInstance(TbsDownloader.c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0));
                                        }
                                    }
                                    if (TbsShareManager.isThirdPartyApp(TbsDownloader.c) && b2) {
                                        TbsDownloader.startDownload(TbsDownloader.c);
                                        return;
                                    }
                                    return;
                                case 101:
                                case TbsListener.ErrorCode.VERIFY_ERROR /* 108 */:
                                    if (Apn.getApnType(TbsDownloader.c) != 3 && !QbSdk.getDownloadWithoutWifi()) {
                                        TbsLog.i(TbsDownloader.LOGTAG, "not wifi,no need send request");
                                        return;
                                    }
                                    if (TbsShareManager.isThirdPartyApp(TbsDownloader.c)) {
                                        fileOutputStream = null;
                                    } else {
                                        fileOutputStream = FileUtil.b(TbsDownloader.c, false, "tbs_download_lock_file" + TbsDownloadConfig.getInstance(TbsDownloader.c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0) + ".txt");
                                        if (fileOutputStream != null) {
                                            fileLock = FileUtil.a(TbsDownloader.c, fileOutputStream);
                                            if (fileLock == null) {
                                                QbSdk.m.onDownloadFinish(TbsListener.ErrorCode.NONEEDDOWNLOAD_OTHER_PROCESS_DOWNLOADING);
                                                TbsLog.i(TbsDownloader.LOGTAG, "file lock locked,wx or qq is downloading");
                                                TbsDownloadConfig.getInstance(TbsDownloader.c).setDownloadInterruptCode(-203);
                                                TbsLog.i(TbsDownloader.LOGTAG, "MSG_START_DOWNLOAD_DECOUPLECORE return #1");
                                                return;
                                            }
                                        } else if (FileUtil.a(TbsDownloader.c)) {
                                            TbsDownloadConfig.getInstance(TbsDownloader.c).setDownloadInterruptCode(-204);
                                            TbsLog.i(TbsDownloader.LOGTAG, "MSG_START_DOWNLOAD_DECOUPLECORE return #2");
                                            return;
                                        }
                                    }
                                    boolean z2 = message.arg1 == 1;
                                    TbsDownloadConfig tbsDownloadConfig = TbsDownloadConfig.getInstance(TbsDownloader.c);
                                    if (!TbsDownloader.b(false, z2, 108 == message.what, true)) {
                                        QbSdk.m.onDownloadFinish(TbsListener.ErrorCode.NONEEDTODOWN_ERROR);
                                    } else if (z2 && o.a().b(TbsDownloader.c, TbsDownloadConfig.getInstance(TbsDownloader.c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0))) {
                                        QbSdk.m.onDownloadFinish(TbsListener.ErrorCode.DOWNLOAD_HAS_COPY_TBS_ERROR);
                                        tbsDownloadConfig.setDownloadInterruptCode(-213);
                                    } else if (tbsDownloadConfig.mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false)) {
                                        TbsDownloadConfig.getInstance(TbsDownloader.c).setDownloadInterruptCode(-215);
                                        TbsDownloader.g.b(z2, 108 == message.what);
                                    } else {
                                        QbSdk.m.onDownloadFinish(TbsListener.ErrorCode.NONEEDTODOWN_ERROR);
                                    }
                                    TbsLog.i(TbsDownloader.LOGTAG, "------freeFileLock called :");
                                    FileUtil.a(fileLock, fileOutputStream);
                                    return;
                                case 102:
                                    TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.handleMessage] MSG_REPORT_DOWNLOAD_STAT");
                                    int a2 = TbsShareManager.isThirdPartyApp(TbsDownloader.c) ? TbsShareManager.a(TbsDownloader.c, false) : o.a().m(TbsDownloader.c);
                                    TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.handleMessage] localTbsVersion=" + a2);
                                    TbsDownloader.g.a(a2);
                                    TbsLogReport.getInstance(TbsDownloader.c).dailyReport();
                                    return;
                                case 103:
                                    TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.handleMessage] MSG_CONTINUEINSTALL_TBSCORE");
                                    if (message.arg1 == 0) {
                                        o.a().a((Context) message.obj, true);
                                        return;
                                    } else {
                                        o.a().a((Context) message.obj, false);
                                        return;
                                    }
                                case 104:
                                    TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.handleMessage] MSG_UPLOAD_TBSLOG");
                                    TbsLogReport.getInstance(TbsDownloader.c).reportTbsLog();
                                    return;
                                case TbsListener.ErrorCode.DISK_FULL /* 105 */:
                                case TbsListener.ErrorCode.FILE_DELETED /* 106 */:
                                case TbsListener.ErrorCode.UNKNOWN_ERROR /* 107 */:
                                default:
                                    return;
                                case TbsListener.ErrorCode.FILE_RENAME_ERROR /* 109 */:
                                    if (TbsDownloader.g != null) {
                                        TbsDownloader.g.f();
                                        return;
                                    }
                                    return;
                            }
                        }
                    };
                } catch (Exception e2) {
                    i = true;
                    TbsLog.e(LOGTAG, "TbsApkDownloader init has Exception");
                }
            }
        }
    }

    private static boolean e() {
        try {
            return TbsDownloadConfig.getInstance(c).mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_LAST_THIRDAPP_SENDREQUEST_COREVERSION, "").equals(g().toString());
        } catch (Exception e2) {
            return false;
        }
    }

    private static String[] f() {
        if (QbSdk.getOnlyDownload()) {
            return new String[]{c.getApplicationContext().getPackageName()};
        }
        String[] coreProviderAppList = TbsShareManager.getCoreProviderAppList();
        String packageName = c.getApplicationContext().getPackageName();
        if (packageName.equals(TbsShareManager.f(c))) {
            int length = coreProviderAppList.length;
            String[] strArr = new String[length + 1];
            System.arraycopy(coreProviderAppList, 0, strArr, 0, length);
            strArr[length] = packageName;
            return strArr;
        }
        return coreProviderAppList;
    }

    private static JSONArray g() {
        if (TbsShareManager.isThirdPartyApp(c)) {
            JSONArray jSONArray = new JSONArray();
            a(jSONArray);
            c(jSONArray);
            b(jSONArray);
            return jSONArray;
        }
        return null;
    }

    public static String getBackupFileName(boolean z) {
        return z ? com.tencent.smtt.utils.b.d() ? "x5.tbs.decouple.64" : "x5.tbs.decouple" : com.tencent.smtt.utils.b.d() ? "x5.tbs.org.64" : "x5.tbs.org";
    }

    public static int getCoreShareDecoupleCoreVersion() {
        return o.a().h(c);
    }

    public static int getCoreShareDecoupleCoreVersionByContext(Context context) {
        return o.a().h(context);
    }

    public static synchronized boolean getOverSea(Context context) {
        boolean z;
        synchronized (TbsDownloader.class) {
            if (!k) {
                k = true;
                TbsDownloadConfig tbsDownloadConfig = TbsDownloadConfig.getInstance(context);
                if (tbsDownloadConfig.mPreferences.contains(TbsDownloadConfig.TbsConfigKey.KEY_IS_OVERSEA)) {
                    j = tbsDownloadConfig.mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_IS_OVERSEA, false);
                    TbsLog.i(LOGTAG, "[TbsDownloader.getOverSea]  first called. sOverSea = " + j);
                }
                TbsLog.i(LOGTAG, "[TbsDownloader.getOverSea]  sOverSea = " + j);
            }
            z = j;
        }
        return z;
    }

    public static long getRetryIntervalInSeconds() {
        return l;
    }

    public static HandlerThread getsTbsHandlerThread() {
        return h;
    }

    private static boolean h() {
        TbsDownloadConfig tbsDownloadConfig = TbsDownloadConfig.getInstance(c);
        if (tbsDownloadConfig.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_SUCCESS_RETRYTIMES, 0) >= tbsDownloadConfig.getDownloadSuccessMaxRetrytimes()) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] out of success retrytimes", true);
            tbsDownloadConfig.setDownloadInterruptCode(-115);
            return false;
        } else if (tbsDownloadConfig.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_FAILED_RETRYTIMES, 0) >= tbsDownloadConfig.getDownloadFailedMaxRetrytimes()) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] out of failed retrytimes", true);
            tbsDownloadConfig.setDownloadInterruptCode(-116);
            return false;
        } else if (!FileUtil.b(c)) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] local rom freespace limit", true);
            tbsDownloadConfig.setDownloadInterruptCode(-117);
            return false;
        } else {
            if (System.currentTimeMillis() - tbsDownloadConfig.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_TBSDOWNLOAD_STARTTIME, 0L) <= 86400000) {
                long j2 = tbsDownloadConfig.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_TBSDOWNLOAD_FLOW, 0L);
                TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] downloadFlow=" + j2);
                if (j2 >= tbsDownloadConfig.getDownloadMaxflow()) {
                    TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] failed because you exceeded max flow!", true);
                    tbsDownloadConfig.setDownloadInterruptCode(-120);
                    return false;
                }
            }
            return true;
        }
    }

    public static boolean isDownloadForeground() {
        return g != null && g.d();
    }

    public static synchronized boolean isDownloading() {
        boolean z;
        synchronized (TbsDownloader.class) {
            TbsLog.i(LOGTAG, "[TbsDownloader.isDownloading] is " + a);
            z = a;
        }
        return z;
    }

    public static boolean needDownload(Context context, boolean z) {
        return needDownload(context, z, false, true, null);
    }

    public static boolean needDownload(Context context, boolean z, boolean z2, TbsDownloaderCallback tbsDownloaderCallback) {
        return needDownload(context, z, z2, true, tbsDownloaderCallback);
    }

    public static boolean needDownload(Context context, boolean z, boolean z2, boolean z3, TbsDownloaderCallback tbsDownloaderCallback) {
        TbsLog.i(LOGTAG, "needDownload,process=" + QbSdk.getCurrentProcessName(context) + "stack=" + Log.getStackTraceString(new Throwable()));
        TbsDownloadUpload.clear();
        TbsDownloadUpload tbsDownloadUpload = TbsDownloadUpload.getInstance(context);
        tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_1));
        tbsDownloadUpload.commit();
        TbsLog.i(LOGTAG, "[TbsDownloader.needDownload] oversea=" + z + ",isDownloadForeground=" + z2);
        boolean z4 = false;
        TbsLog.initIfNeed(context);
        if (o.b) {
            if (tbsDownloaderCallback != null) {
                tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
            }
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#1,return false");
            tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_RETURN, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_1));
            tbsDownloadUpload.commit();
            return false;
        }
        TbsLog.app_extra(LOGTAG, context);
        c = context.getApplicationContext();
        TbsDownloadConfig tbsDownloadConfig = TbsDownloadConfig.getInstance(c);
        tbsDownloadConfig.setDownloadInterruptCode(-100);
        if (!a(c, z)) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#2,return false");
            tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_2));
            tbsDownloadUpload.commit();
            tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_RETURN, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_2));
            tbsDownloadUpload.commit();
            if (tbsDownloaderCallback != null) {
                tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
                return false;
            }
            return false;
        }
        d();
        if (i) {
            if (tbsDownloaderCallback != null) {
                tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
            }
            tbsDownloadConfig.setDownloadInterruptCode(-105);
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#3,return false");
            tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_3));
            tbsDownloadUpload.commit();
            tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_RETURN, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_3));
            tbsDownloadUpload.commit();
            if (tbsDownloaderCallback != null) {
                tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
            }
            return false;
        }
        boolean a2 = a(c, z2, false);
        TbsLog.i(LOGTAG, "[TbsDownloader.needDownload],needSendRequest=" + a2);
        if (a2) {
            a(z2, tbsDownloaderCallback, z3);
            tbsDownloadConfig.setDownloadInterruptCode(-114);
        } else {
            tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_4));
            tbsDownloadUpload.commit();
        }
        d.removeMessages(102);
        Message.obtain(d, 102).sendToTarget();
        boolean z5 = false;
        if (QbSdk.c || !TbsShareManager.isThirdPartyApp(context)) {
            z5 = tbsDownloadConfig.mPreferences.contains(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD);
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload] hasNeedDownloadKey=" + z5);
            z4 = (z5 || TbsShareManager.isThirdPartyApp(context)) ? tbsDownloadConfig.mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false) : true;
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#4,needDownload=" + z4 + ",hasNeedDownloadKey=" + z5);
        if (!z4) {
            int m = o.a().m(c);
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#7,tbsLocalVersion=" + m + ",needSendRequest=" + a2);
            if (a2 || m <= 0) {
                d.removeMessages(103);
                if (m > 0 || a2) {
                    Message.obtain(d, 103, 1, 0, c).sendToTarget();
                } else {
                    Message.obtain(d, 103, 0, 0, c).sendToTarget();
                }
                tbsDownloadConfig.setDownloadInterruptCode(-121);
            } else {
                tbsDownloadConfig.setDownloadInterruptCode(-119);
            }
        } else if (h()) {
            tbsDownloadConfig.setDownloadInterruptCode(-118);
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#6");
        } else {
            z4 = false;
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#5,set needDownload = false");
        }
        if (!a2 && tbsDownloaderCallback != null) {
            tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.needDownload] needDownload=" + z4);
        tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_RETURN, Integer.valueOf(z4 ? TbsListener.ErrorCode.NEEDDOWNLOAD_TRUE : TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_4));
        tbsDownloadUpload.commit();
        return z4;
    }

    public static boolean needDownloadDecoupleCore() {
        int i2;
        if (TbsShareManager.isThirdPartyApp(c) || a(c)) {
            return false;
        }
        return System.currentTimeMillis() - TbsDownloadConfig.getInstance(c).mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_DOWNLOAD_DECOUPLE_CORE, 0L) >= 1000 * TbsDownloadConfig.getInstance(c).getRetryInterval() && (i2 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DECOUPLECOREVERSION, 0)) > 0 && i2 != o.a().h(c) && TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0) != i2;
    }

    public static boolean needSendRequest(Context context, boolean z) {
        boolean z2 = true;
        c = context.getApplicationContext();
        TbsLog.initIfNeed(context);
        if (a(c, z)) {
            int m = o.a().m(context);
            TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] localTbsVersion=" + m);
            if (m <= 0) {
                if (a(c, false, true)) {
                    return true;
                }
                TbsDownloadConfig tbsDownloadConfig = TbsDownloadConfig.getInstance(c);
                boolean contains = tbsDownloadConfig.mPreferences.contains(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD);
                TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] hasNeedDownloadKey=" + contains);
                boolean z3 = !contains ? true : tbsDownloadConfig.mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
                TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] needDownload=" + z3);
                if (!z3 || !h()) {
                    z2 = false;
                }
                TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] ret=" + z2);
                return z2;
            }
            return false;
        }
        return false;
    }

    public static void pauseDownload() {
        TbsLog.i(LOGTAG, "called pauseDownload,downloader=" + g);
        if (g != null) {
            g.e();
        }
    }

    public static void resumeDownload() {
        TbsLog.i(LOGTAG, "called resumeDownload,downloader=" + g);
        if (d != null) {
            d.removeMessages(TbsListener.ErrorCode.FILE_RENAME_ERROR);
            d.sendEmptyMessage(TbsListener.ErrorCode.FILE_RENAME_ERROR);
        }
    }

    public static void setAppContext(Context context) {
        if (context == null || context.getApplicationContext() == null) {
            return;
        }
        c = context.getApplicationContext();
    }

    public static void setRetryIntervalInSeconds(Context context, long j2) {
        if (context == null) {
            return;
        }
        if (context.getApplicationInfo().packageName.equals("com.tencent.qqlive")) {
            l = j2;
        }
        TbsLog.i(LOGTAG, "mRetryIntervalInSeconds is " + l);
    }

    public static boolean startDecoupleCoreIfNeeded() {
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded ");
        if (TbsShareManager.isThirdPartyApp(c)) {
            return false;
        }
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #1");
        if (a(c) || d == null) {
            return false;
        }
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #2");
        long j2 = TbsDownloadConfig.getInstance(c).mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_DOWNLOAD_DECOUPLE_CORE, 0L);
        if (System.currentTimeMillis() - j2 >= 1000 * TbsDownloadConfig.getInstance(c).getRetryInterval()) {
            TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #3");
            int i2 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DECOUPLECOREVERSION, 0);
            if (i2 <= 0 || i2 == o.a().h(c)) {
                TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded no need, deCoupleCoreVersion is " + i2 + " getTbsCoreShareDecoupleCoreVersion is " + o.a().h(c));
                return false;
            } else if (TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0) == i2 && TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 0) != 1) {
                TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded no need, KEY_TBS_DOWNLOAD_V is " + TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0) + " deCoupleCoreVersion is " + i2 + " KEY_TBS_DOWNLOAD_V_TYPE is " + TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 0));
                return false;
            } else {
                TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #4");
                a = true;
                d.removeMessages(TbsListener.ErrorCode.VERIFY_ERROR);
                Message obtain = Message.obtain(d, TbsListener.ErrorCode.VERIFY_ERROR, QbSdk.m);
                obtain.arg1 = 0;
                obtain.sendToTarget();
                TbsDownloadConfig.getInstance(c).mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_DOWNLOAD_DECOUPLE_CORE, Long.valueOf(System.currentTimeMillis()));
                return true;
            }
        }
        return false;
    }

    public static void startDownload(Context context) {
        startDownload(context, false);
    }

    public static synchronized void startDownload(Context context, boolean z) {
        synchronized (TbsDownloader.class) {
            TbsDownloadUpload tbsDownloadUpload = TbsDownloadUpload.getInstance(context);
            tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_1));
            tbsDownloadUpload.commit();
            TbsLog.i(LOGTAG, "[TbsDownloader.startDownload] sAppContext=" + c);
            if (o.b) {
                tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_2));
                tbsDownloadUpload.commit();
            } else {
                a = true;
                c = context.getApplicationContext();
                TbsDownloadConfig.getInstance(c).setDownloadInterruptCode(-200);
                if (Build.VERSION.SDK_INT < 8) {
                    QbSdk.m.onDownloadFinish(TbsListener.ErrorCode.NONEEDTODOWN_ERROR);
                    TbsDownloadConfig.getInstance(c).setDownloadInterruptCode(-201);
                    tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_3));
                    tbsDownloadUpload.commit();
                } else {
                    d();
                    if (i) {
                        QbSdk.m.onDownloadFinish(TbsListener.ErrorCode.THREAD_INIT_ERROR);
                        TbsDownloadConfig.getInstance(c).setDownloadInterruptCode(-202);
                        tbsDownloadUpload.a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_4));
                        tbsDownloadUpload.commit();
                    } else {
                        if (z) {
                            stopDownload();
                        }
                        d.removeMessages(101);
                        d.removeMessages(100);
                        Message obtain = Message.obtain(d, 101, QbSdk.m);
                        obtain.arg1 = z ? 1 : 0;
                        obtain.sendToTarget();
                    }
                }
            }
        }
    }

    public static void stopDownload() {
        if (i) {
            return;
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.stopDownload]");
        if (g != null) {
            g.b();
        }
        if (d != null) {
            d.removeMessages(100);
            d.removeMessages(101);
            d.removeMessages(TbsListener.ErrorCode.VERIFY_ERROR);
        }
    }
}
